import flag


def encode(text):
    assert flag.flagize(text, subregions=True) == flag.flagize(
        flag.flagize_subregional(text)
    )
    assert flag.flagize(flag.flagize_subregional(text)) == flag.flagize_subregional(
        flag.flagize(text)
    )
    return flag.flagize(text, subregions=True)


def decode(text):
    assert flag.dflagize(text, subregions=True) == flag.dflagize(
        flag.dflagize_subregional(text)
    )
    assert flag.dflagize(flag.dflagize_subregional(text)) == flag.dflagize_subregional(
        flag.dflagize(text)
    )
    return flag.dflagize(text, subregions=True)


subdivisions = {
    "ad-02": "Canillo, Andorra",
    "ad-03": "Encamp, Andorra",
    "ad-04": "La Massana, Andorra",
    "ad-05": "Ordino, Andorra",
    "ad-06": "Sant Julià de Lòria, Andorra",
    "ad-07": "Andorra la Vella, Andorra",
    "ad-08": "Escaldes-Engordany, Andorra",
    "ae-aj": "Ajman, United Arab Emirates",
    "ae-az": "Abu Dhabi, United Arab Emirates",
    "ae-du": "Dubai, United Arab Emirates",
    "ae-fu": "Fujairah, United Arab Emirates",
    "ae-rk": "Ras al-Khaimah, United Arab Emirates",
    "ae-sh": "Sharjah, United Arab Emirates",
    "ae-uq": "Umm al-Quwain, United Arab Emirates",
    "af-bal": "Balkh, Afghanistan",
    "af-bam": "Bamyan, Afghanistan",
    "af-bdg": "Badghis, Afghanistan",
    "af-bds": "Badakhshan, Afghanistan",
    "af-bgl": "Baghlan, Afghanistan",
    "af-day": "Daykundi, Afghanistan",
    "af-fra": "Farah, Afghanistan",
    "af-fyb": "Faryab, Afghanistan",
    "af-gha": "Ghazni, Afghanistan",
    "af-gho": "Ghōr, Afghanistan",
    "af-hel": "Helmand, Afghanistan",
    "af-her": "Herat, Afghanistan",
    "af-jow": "Jowzjan, Afghanistan",
    "af-kab": "Kabul, Afghanistan",
    "af-kan": "Kandahar, Afghanistan",
    "af-kap": "Kapisa, Afghanistan",
    "af-kdz": "Kunduz, Afghanistan",
    "af-kho": "Khost, Afghanistan",
    "af-knr": "Kunar, Afghanistan",
    "af-lag": "Laghman, Afghanistan",
    "af-log": "Logar, Afghanistan",
    "af-nan": "Nangarhar, Afghanistan",
    "af-nim": "Nimruz, Afghanistan",
    "af-nur": "Nuristan, Afghanistan",
    "af-pan": "Panjshir, Afghanistan",
    "af-par": "Parwan, Afghanistan",
    "af-pia": "Paktia, Afghanistan",
    "af-pka": "Paktika, Afghanistan",
    "af-sam": "Samangan, Afghanistan",
    "af-sar": "Sar-e Pol, Afghanistan",
    "af-tak": "Takhar, Afghanistan",
    "af-uru": "Urozgan, Afghanistan",
    "af-war": "Maidan Wardak, Afghanistan",
    "af-zab": "Zabul, Afghanistan",
    "ag-03": "Saint George, Antigua & Barbuda",
    "ag-04": "Saint John, Antigua & Barbuda",
    "ag-05": "Saint Mary, Antigua & Barbuda",
    "ag-06": "Saint Paul, Antigua & Barbuda",
    "ag-07": "Saint Peter, Antigua & Barbuda",
    "ag-08": "Saint Philip, Antigua & Barbuda",
    "ag-10": "Barbuda, Antigua & Barbuda",
    "ag-11": "Redonda, Antigua & Barbuda",
    "al-01": "Berat County, Albania",
    "al-02": "Durrës County, Albania",
    "al-03": "Elbasan County, Albania",
    "al-04": "Fier County, Albania",
    "al-05": "Gjirokastër County, Albania",
    "al-06": "Korçë County, Albania",
    "al-07": "Kukës County, Albania",
    "al-08": "Lezhë County, Albania",
    "al-09": "Dibër County, Albania",
    "al-10": "Shkodër County, Albania",
    "al-11": "Tirana County, Albania",
    "al-12": "Vlorë County, Albania",
    "am-ag": "Aragatsotn, Armenia",
    "am-ar": "Ararat, Armenia",
    "am-av": "Armavir, Armenia",
    "am-er": "Yerevan, Armenia",
    "am-gr": "Gegharkunik, Armenia",
    "am-kt": "Kotayk, Armenia",
    "am-lo": "Lori, Armenia",
    "am-sh": "Shirak, Armenia",
    "am-su": "Syunik, Armenia",
    "am-tv": "Tavush, Armenia",
    "am-vd": "Vayots Dzor, Armenia",
    "ao-bgo": "Bengo, Angola",
    "ao-bgu": "Benguela, Angola",
    "ao-bie": "Bié, Angola",
    "ao-cab": "Cabinda, Angola",
    "ao-ccu": "Cuando Cubango, Angola",
    "ao-cnn": "Cunene, Angola",
    "ao-cno": "Cuanza Norte, Angola",
    "ao-cus": "Cuanza Sul, Angola",
    "ao-hua": "Huambo, Angola",
    "ao-hui": "Huíla, Angola",
    "ao-lno": "Lunda Norte, Angola",
    "ao-lsu": "Lunda Sul, Angola",
    "ao-lua": "Luanda, Angola",
    "ao-mal": "Malanje, Angola",
    "ao-mox": "Moxico, Angola",
    "ao-nam": "Namibe, Angola",
    "ao-uig": "Uíge, Angola",
    "ao-zai": "Zaire, Angola",
    "ar-a": "Salta, Argentina",
    "ar-b": "Buenos Aires Province, Argentina",
    "ar-c": "Buenos Aires, Argentina",
    "ar-d": "San Luis, Argentina",
    "ar-e": "Entre Ríos, Argentina",
    "ar-f": "La Rioja, Argentina",
    "ar-g": "Santiago del Estero, Argentina",
    "ar-h": "Chaco, Argentina",
    "ar-j": "San Juan, Argentina",
    "ar-k": "Catamarca, Argentina",
    "ar-l": "La Pampa, Argentina",
    "ar-m": "Mendoza, Argentina",
    "ar-n": "Misiones, Argentina",
    "ar-p": "Formosa, Argentina",
    "ar-q": "Neuquén, Argentina",
    "ar-r": "Río Negro, Argentina",
    "ar-s": "Santa Fe, Argentina",
    "ar-t": "Tucumán, Argentina",
    "ar-u": "Chubut, Argentina",
    "ar-v": "Tierra del Fuego, Argentina",
    "ar-w": "Corrientes, Argentina",
    "ar-x": "Córdoba, Argentina",
    "ar-y": "Jujuy, Argentina",
    "ar-z": "Santa Cruz, Argentina",
    "at-1": "Burgenland, Austria",
    "at-2": "Carinthia, Austria",
    "at-3": "Lower Austria, Austria",
    "at-4": "Upper Austria, Austria",
    "at-5": "Salzburg, Austria",
    "at-6": "Styria, Austria",
    "at-7": "Tyrol, Austria",
    "at-8": "Vorarlberg, Austria",
    "at-9": "Vienna, Austria",
    "au-act": "Australian Capital Territory, Australia",
    "au-nsw": "New South Wales, Australia",
    "au-nt": "Northern Territory, Australia",
    "au-qld": "Queensland, Australia",
    "au-sa": "South Australia, Australia",
    "au-tas": "Tasmania, Australia",
    "au-vic": "Victoria, Australia",
    "au-wa": "Western Australia, Australia",
    "az-abs": "Absheron, Azerbaijan",
    "az-aga": "Agstafa, Azerbaijan",
    "az-agc": "Aghjabadi, Azerbaijan",
    "az-agm": "Agdam, Azerbaijan",
    "az-ags": "Agdash, Azerbaijan",
    "az-agu": "Agsu, Azerbaijan",
    "az-ast": "Astara, Azerbaijan",
    "az-ba": "Baku, Azerbaijan",
    "az-bab": "Babek, Azerbaijan",
    "az-bal": "Balakan, Azerbaijan",
    "az-bar": "Barda, Azerbaijan",
    "az-bey": "Beylagan, Azerbaijan",
    "az-bil": "Bilasuvar, Azerbaijan",
    "az-cab": "Jabrayil, Azerbaijan",
    "az-cal": "Jalilabad, Azerbaijan",
    "az-cul": "Julfa, Azerbaijan",
    "az-das": "Dashkasan, Azerbaijan",
    "az-fuz": "Fizuli, Azerbaijan",
    "az-ga": "Ganja, Azerbaijan",
    "az-gad": "Gadabay, Azerbaijan",
    "az-gor": "Goranboy, Azerbaijan",
    "az-goy": "Goychay, Azerbaijan",
    "az-gyg": "Goygol, Azerbaijan",
    "az-hac": "Hajigabul, Azerbaijan",
    "az-imi": "Imishli, Azerbaijan",
    "az-ism": "Ismailli, Azerbaijan",
    "az-kal": "Kalbajar, Azerbaijan",
    "az-kan": "Kangarli, Azerbaijan",
    "az-kur": "Kurdamir, Azerbaijan",
    "az-la": "Lankaran, Azerbaijan",
    "az-lac": "Lachin, Azerbaijan",
    "az-lan": "Lankaran District, Azerbaijan",
    "az-ler": "Lerik, Azerbaijan",
    "az-mas": "Masally, Azerbaijan",
    "az-mi": "Mingachevir, Azerbaijan",
    "az-na": "Naftalan, Azerbaijan",
    "az-nef": "Neftchala, Azerbaijan",
    "az-nv": "Nakhchivan, Azerbaijan",
    "az-nx": "Nakhchivan AR, Azerbaijan",
    "az-ogu": "Oghuz, Azerbaijan",
    "az-ord": "Ordubad, Azerbaijan",
    "az-qab": "Qabala, Azerbaijan",
    "az-qax": "Qakh, Azerbaijan",
    "az-qaz": "Qazakh, Azerbaijan",
    "az-qba": "Quba, Azerbaijan",
    "az-qbi": "Qubadli, Azerbaijan",
    "az-qob": "Gobustan, Azerbaijan",
    "az-qus": "Qusar, Azerbaijan",
    "az-sa": "Shaki, Azerbaijan",
    "az-sab": "Sabirabad, Azerbaijan",
    "az-sad": "Sadarak, Azerbaijan",
    "az-sah": "Shahbuz, Azerbaijan",
    "az-sak": "Shaki District, Azerbaijan",
    "az-sal": "Salyan, Azerbaijan",
    "az-sar": "Sharur, Azerbaijan",
    "az-sat": "Saatly, Azerbaijan",
    "az-sbn": "Shabran, Azerbaijan",
    "az-siy": "Siazan, Azerbaijan",
    "az-skr": "Shamkir, Azerbaijan",
    "az-sm": "Sumqayit, Azerbaijan",
    "az-smi": "Shamakhi, Azerbaijan",
    "az-smx": "Samukh, Azerbaijan",
    "az-sr": "Shirvan, Azerbaijan",
    "az-sus": "Shusha, Azerbaijan",
    "az-tar": "Tartar, Azerbaijan",
    "az-tov": "Tovuz, Azerbaijan",
    "az-uca": "Ujar, Azerbaijan",
    "az-xa": "Stepanakert, Azerbaijan",
    "az-xac": "Khachmaz, Azerbaijan",
    "az-xci": "Khojali, Azerbaijan",
    "az-xiz": "Khizi, Azerbaijan",
    "az-xvd": "Khojavend, Azerbaijan",
    "az-yar": "Yardymli, Azerbaijan",
    "az-ye": "Yevlakh, Azerbaijan",
    "az-yev": "Yevlakh District, Azerbaijan",
    "az-zan": "Zangilan, Azerbaijan",
    "az-zaq": "Zaqatala, Azerbaijan",
    "az-zar": "Zardab, Azerbaijan",
    "ba-bih": "Federation of Bosnia and Herzegovina, Bosnia & Herzegovina",
    "ba-brc": "Brčko District, Bosnia & Herzegovina",
    "ba-srp": "Republika Srpska, Bosnia & Herzegovina",
    "bb-01": "Christ Church, Barbados",
    "bb-02": "Saint Andrew, Barbados",
    "bb-03": "Saint George, Barbados",
    "bb-04": "Saint James, Barbados",
    "bb-05": "Saint John, Barbados",
    "bb-06": "Saint Joseph, Barbados",
    "bb-07": "Saint Lucy, Barbados",
    "bb-08": "Saint Michael, Barbados",
    "bb-09": "Saint Peter, Barbados",
    "bb-10": "Saint Philip, Barbados",
    "bb-11": "Saint Thomas, Barbados",
    "bd-01": "Bandarban, Barbados",
    "bd-02": "Barguna, Barbados",
    "bd-03": "Bogra, Barbados",
    "bd-04": "Brahmanbaria, Barbados",
    "bd-05": "Bagerhat, Barbados",
    "bd-06": "Barisal Division, Barbados",
    "bd-07": "Bhola, Barbados",
    "bd-08": "Comilla, Barbados",
    "bd-09": "Chandpur, Barbados",
    "bd-10": "Chittagong, Barbados",
    "bd-11": "Cox’s Bazar, Barbados",
    "bd-12": "Chuadanga, Barbados",
    "bd-13": "Dhaka, Barbados",
    "bd-14": "Dinajpur, Barbados",
    "bd-15": "Faridpur, Barbados",
    "bd-16": "Feni, Barbados",
    "bd-17": "Gopalganj, Barbados",
    "bd-18": "Gazipur, Barbados",
    "bd-19": "Gaibandha, Barbados",
    "bd-20": "Habiganj, Barbados",
    "bd-21": "Jamalpur, Barbados",
    "bd-22": "Jessore, Barbados",
    "bd-23": "Jhenaidah, Barbados",
    "bd-24": "Joypurhat, Barbados",
    "bd-25": "Jhalokati, Barbados",
    "bd-26": "Kishoreganj, Barbados",
    "bd-27": "Khulna, Barbados",
    "bd-28": "Kurigram, Barbados",
    "bd-29": "Khagrachari, Barbados",
    "bd-30": "Kushtia, Barbados",
    "bd-31": "Lakshmipur, Barbados",
    "bd-32": "Lalmonirhat, Barbados",
    "bd-33": "Manikganj, Barbados",
    "bd-34": "Mymensingh, Barbados",
    "bd-35": "Munshiganj, Barbados",
    "bd-36": "Madaripur, Barbados",
    "bd-37": "Magura, Barbados",
    "bd-38": "Maulvi Bazar, Barbados",
    "bd-39": "Meherpur, Barbados",
    "bd-40": "Narayanganj, Barbados",
    "bd-41": "Netrokona, Barbados",
    "bd-42": "Narsingdi, Barbados",
    "bd-43": "Narail, Barbados",
    "bd-44": "Natore, Barbados",
    "bd-45": "Nawabganj, Barbados",
    "bd-46": "Nilphamari, Barbados",
    "bd-47": "Noakhali, Barbados",
    "bd-48": "Naogaon, Barbados",
    "bd-49": "Pabna, Barbados",
    "bd-50": "Pirojpur, Barbados",
    "bd-51": "Patuakhali, Barbados",
    "bd-52": "Panchagarh, Barbados",
    "bd-53": "Rajbari, Barbados",
    "bd-54": "Rajshahi, Barbados",
    "bd-55": "Rangpur, Barbados",
    "bd-56": "Rangamati Hill, Barbados",
    "bd-57": "Sherpur, Barbados",
    "bd-58": "Satkhira, Barbados",
    "bd-59": "Sirajganj, Barbados",
    "bd-60": "Sylhet, Barbados",
    "bd-61": "Sunamganj, Barbados",
    "bd-62": "Shariatpur, Barbados",
    "bd-63": "Tangail, Barbados",
    "bd-64": "Thakurgaon, Barbados",
    "bd-a": "Barisal, Bangladesh",
    "bd-b": "Chittagong Division, Bangladesh",
    "bd-c": "Dhaka Division, Bangladesh",
    "bd-d": "Khulna Division, Bangladesh",
    "bd-e": "Rajshahi Division, Bangladesh",
    "bd-f": "Rangpur Division, Bangladesh",
    "bd-g": "Sylhet Division, Bangladesh",
    "bd-h": "Mymensingh Division, Bangladesh",
    "be-bru": "Brussels, Belgium",
    "be-van": "Antwerp, Belgium",
    "be-vbr": "Flemish Brabant, Belgium",
    "be-vlg": "Flanders, Belgium",
    "be-vli": "Limburg, Belgium",
    "be-vov": "East Flanders, Belgium",
    "be-vwv": "West Flanders, Belgium",
    "be-wal": "Wallonia, Belgium",
    "be-wbr": "Walloon Brabant, Belgium",
    "be-wht": "Hainaut, Belgium",
    "be-wlg": "Liège, Belgium",
    "be-wlx": "Luxembourg, Belgium",
    "be-wna": "Namur, Belgium",
    "bf-01": "Boucle du Mouhoun, Burkina Faso",
    "bf-02": "Cascades, Burkina Faso",
    "bf-03": "Centre, Burkina Faso",
    "bf-04": "Centre-Est, Burkina Faso",
    "bf-05": "Centre-Nord, Burkina Faso",
    "bf-06": "Centre-Ouest, Burkina Faso",
    "bf-07": "Centre-Sud, Burkina Faso",
    "bf-08": "Est, Burkina Faso",
    "bf-09": "Hauts-Bassins, Burkina Faso",
    "bf-10": "Nord, Burkina Faso",
    "bf-11": "Plateau-Central, Burkina Faso",
    "bf-12": "Sahel, Burkina Faso",
    "bf-13": "Sud-Ouest, Burkina Faso",
    "bf-bal": "Balé, Burkina Faso",
    "bf-bam": "Bam, Burkina Faso",
    "bf-ban": "Banwa, Burkina Faso",
    "bf-baz": "Bazèga, Burkina Faso",
    "bf-bgr": "Bougouriba, Burkina Faso",
    "bf-blg": "Boulgou, Burkina Faso",
    "bf-blk": "Boulkiemdé, Burkina Faso",
    "bf-com": "Comoé, Burkina Faso",
    "bf-gan": "Ganzourgou, Burkina Faso",
    "bf-gna": "Gnagna, Burkina Faso",
    "bf-gou": "Gourma, Burkina Faso",
    "bf-hou": "Houet, Burkina Faso",
    "bf-iob": "Ioba, Burkina Faso",
    "bf-kad": "Kadiogo, Burkina Faso",
    "bf-ken": "Kénédougou, Burkina Faso",
    "bf-kmd": "Komondjari, Burkina Faso",
    "bf-kmp": "Kompienga, Burkina Faso",
    "bf-kop": "Koulpélogo, Burkina Faso",
    "bf-kos": "Kossi, Burkina Faso",
    "bf-kot": "Kouritenga, Burkina Faso",
    "bf-kow": "Kourwéogo, Burkina Faso",
    "bf-ler": "Léraba, Burkina Faso",
    "bf-lor": "Loroum, Burkina Faso",
    "bf-mou": "Mouhoun, Burkina Faso",
    "bf-nam": "Namentenga, Burkina Faso",
    "bf-nao": "Nahouri, Burkina Faso",
    "bf-nay": "Nayala, Burkina Faso",
    "bf-nou": "Noumbiel, Burkina Faso",
    "bf-oub": "Oubritenga, Burkina Faso",
    "bf-oud": "Oudalan, Burkina Faso",
    "bf-pas": "Passoré, Burkina Faso",
    "bf-pon": "Poni, Burkina Faso",
    "bf-sen": "Séno, Burkina Faso",
    "bf-sis": "Sissili, Burkina Faso",
    "bf-smt": "Sanmatenga, Burkina Faso",
    "bf-sng": "Sanguié, Burkina Faso",
    "bf-som": "Soum, Burkina Faso",
    "bf-sor": "Sourou, Burkina Faso",
    "bf-tap": "Tapoa, Burkina Faso",
    "bf-tui": "Tuy, Burkina Faso",
    "bf-yag": "Yagha, Burkina Faso",
    "bf-yat": "Yatenga, Burkina Faso",
    "bf-zir": "Ziro, Burkina Faso",
    "bf-zon": "Zondoma, Burkina Faso",
    "bf-zou": "Zoundwéogo, Burkina Faso",
    "bg-01": "Blagoevgrad, Bulgaria",
    "bg-02": "Burgas, Bulgaria",
    "bg-03": "Varna, Bulgaria",
    "bg-04": "Veliko Tarnovo, Bulgaria",
    "bg-05": "Vidin, Bulgaria",
    "bg-06": "Vratsa, Bulgaria",
    "bg-07": "Gabrovo, Bulgaria",
    "bg-08": "Dobrich, Bulgaria",
    "bg-09": "Kardzhali, Bulgaria",
    "bg-10": "Kyustendil, Bulgaria",
    "bg-11": "Lovech, Bulgaria",
    "bg-12": "Montana, Bulgaria",
    "bg-13": "Pazardzhik, Bulgaria",
    "bg-14": "Pernik, Bulgaria",
    "bg-15": "Pleven, Bulgaria",
    "bg-16": "Plovdiv, Bulgaria",
    "bg-17": "Razgrad, Bulgaria",
    "bg-18": "Ruse, Bulgaria",
    "bg-19": "Silistra, Bulgaria",
    "bg-20": "Sliven, Bulgaria",
    "bg-21": "Smolyan, Bulgaria",
    "bg-22": "Sofia, Bulgaria",
    "bg-23": "Sofia District, Bulgaria",
    "bg-24": "Stara Zagora, Bulgaria",
    "bg-25": "Targovishte, Bulgaria",
    "bg-26": "Haskovo, Bulgaria",
    "bg-27": "Shumen, Bulgaria",
    "bg-28": "Yambol, Bulgaria",
    "bh-13": "Capital, Bahrain",
    "bh-14": "Southern, Bahrain",
    "bh-15": "Muharraq, Bahrain",
    "bh-17": "Northern, Bahrain",
    "bi-bb": "Bubanza, Burundi",
    "bi-bl": "Bujumbura Rural, Burundi",
    "bi-bm": "Bujumbura, Burundi",
    "bi-br": "Bururi, Burundi",
    "bi-ca": "Cankuzo, Burundi",
    "bi-ci": "Cibitoke, Burundi",
    "bi-gi": "Gitega, Burundi",
    "bi-ki": "Kirundo, Burundi",
    "bi-kr": "Karuzi, Burundi",
    "bi-ky": "Kayanza, Burundi",
    "bi-ma": "Makamba, Burundi",
    "bi-mu": "Muramvya, Burundi",
    "bi-mw": "Mwaro, Burundi",
    "bi-my": "Muyinga, Burundi",
    "bi-ng": "Ngozi, Burundi",
    "bi-rm": "Rumonge, Burundi",
    "bi-rt": "Rutana, Burundi",
    "bi-ry": "Ruyigi, Burundi",
    "bj-ak": "Atakora, Benin",
    "bj-al": "Alibori, Benin",
    "bj-aq": "Atlantique, Benin",
    "bj-bo": "Borgou, Benin",
    "bj-co": "Collines, Benin",
    "bj-do": "Donga, Benin",
    "bj-ko": "Kouffo, Benin",
    "bj-li": "Littoral, Benin",
    "bj-mo": "Mono, Benin",
    "bj-ou": "Ouémé, Benin",
    "bj-pl": "Plateau, Benin",
    "bj-zo": "Zou, Benin",
    "bn-be": "Belait, Brunei",
    "bn-bm": "Brunei-Muara, Brunei",
    "bn-te": "Temburong, Brunei",
    "bn-tu": "Tutong, Brunei",
    "bo-b": "Beni, Bolivia",
    "bo-c": "Cochabamba, Bolivia",
    "bo-h": "Chuquisaca, Bolivia",
    "bo-l": "La Paz, Bolivia",
    "bo-n": "Pando, Bolivia",
    "bo-o": "Oruro, Bolivia",
    "bo-p": "Potosí, Bolivia",
    "bo-s": "Santa Cruz, Bolivia",
    "bo-t": "Tarija, Bolivia",
    "bq-bo": "Bonaire, Caribbean Netherlands",
    "bq-sa": "Saba, Caribbean Netherlands",
    "bq-se": "Sint Eustatius, Caribbean Netherlands",
    "br-ac": "Acre, Brazil",
    "br-al": "Alagoas, Brazil",
    "br-am": "Amazonas, Brazil",
    "br-ap": "Amapá, Brazil",
    "br-ba": "Bahia, Brazil",
    "br-ce": "Ceará, Brazil",
    "br-df": "Federal District, Brazil",
    "br-es": "Espírito Santo, Brazil",
    "br-go": "Goiás, Brazil",
    "br-ma": "Maranhão, Brazil",
    "br-mg": "Minas Gerais, Brazil",
    "br-ms": "Mato Grosso do Sul, Brazil",
    "br-mt": "Mato Grosso, Brazil",
    "br-pa": "Pará, Brazil",
    "br-pb": "Paraíba, Brazil",
    "br-pe": "Pernambuco, Brazil",
    "br-pi": "Piauí, Brazil",
    "br-pr": "Paraná, Brazil",
    "br-rj": "Rio de Janeiro, Brazil",
    "br-rn": "Rio Grande do Norte, Brazil",
    "br-ro": "Rondônia, Brazil",
    "br-rr": "Roraima, Brazil",
    "br-rs": "Rio Grande do Sul, Brazil",
    "br-sc": "Santa Catarina, Brazil",
    "br-se": "Sergipe, Brazil",
    "br-sp": "São Paulo, Brazil",
    "br-to": "Tocantins, Brazil",
    "bs-ak": "Acklins, Bahamas",
    "bs-bi": "Bimini, Bahamas",
    "bs-bp": "Black Point, Bahamas",
    "bs-by": "Berry Islands, Bahamas",
    "bs-ce": "Central Eleuthera, Bahamas",
    "bs-ci": "Cat Island, Bahamas",
    "bs-ck": "Crooked Island, Bahamas",
    "bs-co": "Central Abaco, Bahamas",
    "bs-cs": "Central Andros, Bahamas",
    "bs-eg": "East Grand Bahama, Bahamas",
    "bs-ex": "Exuma, Bahamas",
    "bs-fp": "Freeport, Bahamas",
    "bs-gc": "Grand Cay, Bahamas",
    "bs-hi": "Harbour Island, Bahamas",
    "bs-ht": "Hope Town, Bahamas",
    "bs-in": "Inagua, Bahamas",
    "bs-li": "Long Island, Bahamas",
    "bs-mc": "Mangrove Cay, Bahamas",
    "bs-mg": "Mayaguana, Bahamas",
    "bs-mi": "Moore’s Island, Bahamas",
    "bs-ne": "North Eleuthera, Bahamas",
    "bs-no": "North Abaco, Bahamas",
    "bs-np": "New Providence, Bahamas",
    "bs-ns": "North Andros, Bahamas",
    "bs-rc": "Rum Cay, Bahamas",
    "bs-ri": "Ragged Island, Bahamas",
    "bs-sa": "South Andros, Bahamas",
    "bs-se": "South Eleuthera, Bahamas",
    "bs-so": "South Abaco, Bahamas",
    "bs-ss": "San Salvador, Bahamas",
    "bs-sw": "Spanish Wells, Bahamas",
    "bs-wg": "West Grand Bahama, Bahamas",
    "bt-11": "Paro, Bhutan",
    "bt-12": "Chukha, Bhutan",
    "bt-13": "Haa, Bhutan",
    "bt-14": "Samtse, Bhutan",
    "bt-15": "Thimphu, Bhutan",
    "bt-21": "Tsirang, Bhutan",
    "bt-22": "Dagana, Bhutan",
    "bt-23": "Punakha, Bhutan",
    "bt-24": "Wangdue Phodrang, Bhutan",
    "bt-31": "Sarpang, Bhutan",
    "bt-32": "Trongsa, Bhutan",
    "bt-33": "Bumthang, Bhutan",
    "bt-34": "Zhemgang, Bhutan",
    "bt-41": "Trashigang, Bhutan",
    "bt-42": "Mongar, Bhutan",
    "bt-43": "Pemagatshel, Bhutan",
    "bt-44": "Lhuntse, Bhutan",
    "bt-45": "Samdrup Jongkhar, Bhutan",
    "bt-ga": "Gasa, Bhutan",
    "bt-ty": "Trashiyangtse, Bhutan",
    "bw-ce": "Central, Botswana",
    "bw-ch": "Chobe, Botswana",
    "bw-fr": "Francistown, Botswana",
    "bw-ga": "Gaborone, Botswana",
    "bw-gh": "Ghanzi, Botswana",
    "bw-jw": "Jwaneng, Botswana",
    "bw-kg": "Kgalagadi, Botswana",
    "bw-kl": "Kgatleng, Botswana",
    "bw-kw": "Kweneng, Botswana",
    "bw-lo": "Lobatse, Botswana",
    "bw-ne": "North East, Botswana",
    "bw-nw": "North West, Botswana",
    "bw-se": "South East, Botswana",
    "bw-so": "Southern, Botswana",
    "bw-sp": "Selibe Phikwe, Botswana",
    "bw-st": "Sowa Town, Botswana",
    "by-br": "Brest, Belarus",
    "by-hm": "Minsk, Belarus",
    "by-ho": "Homel, Belarus",
    "by-hr": "Hrodna, Belarus",
    "by-ma": "Magileu, Belarus",
    "by-mi": "Minsk Region, Belarus",
    "by-vi": "Vitebsk, Belarus",
    "bz-bz": "Belize, Belize",
    "bz-cy": "Cayo, Belize",
    "bz-czl": "Corozal, Belize",
    "bz-ow": "Orange Walk, Belize",
    "bz-sc": "Stann Creek, Belize",
    "bz-tol": "Toledo, Belize",
    "ca-ab": "Alberta, Canada",
    "ca-bc": "British Columbia, Canada",
    "ca-mb": "Manitoba, Canada",
    "ca-nb": "New Brunswick, Canada",
    "ca-nl": "Newfoundland and Labrador, Canada",
    "ca-ns": "Nova Scotia, Canada",
    "ca-nt": "Northwest Territories, Canada",
    "ca-nu": "Nunavut, Canada",
    "ca-on": "Ontario, Canada",
    "ca-pe": "Prince Edward Island, Canada",
    "ca-qc": "Quebec, Canada",
    "ca-sk": "Saskatchewan, Canada",
    "ca-yt": "Yukon, Canada",
    "cd-bc": "Bas-Congo, Congo - Kinshasa",
    "cd-bu": "Bas-Uélé, Congo - Kinshasa",
    "cd-eq": "Équateur, Congo - Kinshasa",
    "cd-hk": "Haut-Katanga, Congo - Kinshasa",
    "cd-hl": "Haut-Lomami, Congo - Kinshasa",
    "cd-hu": "Haut-Uélé, Congo - Kinshasa",
    "cd-it": "Ituri, Congo - Kinshasa",
    "cd-kc": "Kasaï Central, Congo - Kinshasa",
    "cd-ke": "Kasaï-Oriental, Congo - Kinshasa",
    "cd-kg": "Kwango, Congo - Kinshasa",
    "cd-kl": "Kwilu, Congo - Kinshasa",
    "cd-kn": "Kinshasa, Congo - Kinshasa",
    "cd-ks": "Kasaï, Congo - Kinshasa",
    "cd-lo": "Lomami, Congo - Kinshasa",
    "cd-lu": "Lualaba, Congo - Kinshasa",
    "cd-ma": "Maniema, Congo - Kinshasa",
    "cd-mn": "Mai-Ndombe, Congo - Kinshasa",
    "cd-mo": "Mongala, Congo - Kinshasa",
    "cd-nk": "North Kivu, Congo - Kinshasa",
    "cd-nu": "Nord-Ubangi, Congo - Kinshasa",
    "cd-sa": "Sankuru, Congo - Kinshasa",
    "cd-sk": "South Kivu, Congo - Kinshasa",
    "cd-su": "Sud-Ubangi, Congo - Kinshasa",
    "cd-ta": "Tanganyika, Congo - Kinshasa",
    "cd-to": "Tshopo, Congo - Kinshasa",
    "cd-tu": "Tshuapa, Congo - Kinshasa",
    "cf-ac": "Ouham, Central African Republic",
    "cf-bb": "Bamingui-Bangoran, Central African Republic",
    "cf-bgf": "Bangui, Central African Republic",
    "cf-bk": "Basse-Kotto, Central African Republic",
    "cf-hk": "Haute-Kotto, Central African Republic",
    "cf-hm": "Haut-Mbomou, Central African Republic",
    "cf-hs": "Mambéré-Kadéï, Central African Republic",
    "cf-kb": "Nana-Grébizi, Central African Republic",
    "cf-kg": "Kémo, Central African Republic",
    "cf-lb": "Lobaye, Central African Republic",
    "cf-mb": "Mbomou, Central African Republic",
    "cf-mp": "Ombella-M’Poko, Central African Republic",
    "cf-nm": "Nana-Mambéré, Central African Republic",
    "cf-op": "Ouham-Pendé, Central African Republic",
    "cf-se": "Sangha-Mbaéré, Central African Republic",
    "cf-uk": "Ouaka, Central African Republic",
    "cf-vk": "Vakaga, Central African Republic",
    "cg-2": "Lékoumou, Congo - Brazzaville",
    "cg-5": "Kouilou, Congo - Brazzaville",
    "cg-7": "Likouala, Congo - Brazzaville",
    "cg-8": "Cuvette, Congo - Brazzaville",
    "cg-9": "Niari, Congo - Brazzaville",
    "cg-11": "Bouenza, Congo - Brazzaville",
    "cg-12": "Pool, Congo - Brazzaville",
    "cg-13": "Sangha, Congo - Brazzaville",
    "cg-14": "Plateaux, Congo - Brazzaville",
    "cg-15": "Cuvette-Ouest, Congo - Brazzaville",
    "cg-16": "Pointe-Noire, Congo - Brazzaville",
    "cg-bzv": "Brazzaville, Congo - Brazzaville",
    "ch-ag": "Aargau, Switzerland",
    "ch-ai": "Appenzell Innerrhoden, Switzerland",
    "ch-ar": "Appenzell Ausserrhoden, Switzerland",
    "ch-be": "Bern, Switzerland",
    "ch-bl": "Basel-Landschaft, Switzerland",
    "ch-bs": "Basel-Stadt, Switzerland",
    "ch-fr": "Fribourg, Switzerland",
    "ch-ge": "Geneva, Switzerland",
    "ch-gl": "Glarus, Switzerland",
    "ch-gr": "Graubünden, Switzerland",
    "ch-ju": "Jura, Switzerland",
    "ch-lu": "Lucerne, Switzerland",
    "ch-ne": "Neuchâtel, Switzerland",
    "ch-nw": "Nidwalden, Switzerland",
    "ch-ow": "Obwalden, Switzerland",
    "ch-sg": "St. Gallen, Switzerland",
    "ch-sh": "Schaffhausen, Switzerland",
    "ch-so": "Solothurn, Switzerland",
    "ch-sz": "Schwyz, Switzerland",
    "ch-tg": "Thurgau, Switzerland",
    "ch-ti": "Ticino, Switzerland",
    "ch-ur": "Uri, Switzerland",
    "ch-vd": "Vaud, Switzerland",
    "ch-vs": "Valais, Switzerland",
    "ch-zg": "Zug, Switzerland",
    "ch-zh": "Zürich, Switzerland",
    "ci-ab": "Abidjan, Côte d’Ivoire",
    "ci-bs": "Bas-Sassandra², Côte d’Ivoire",
    "ci-cm": "Comoé, Côte d’Ivoire",
    "ci-dn": "Denguélé², Côte d’Ivoire",
    "ci-gd": "Gôh-Djiboua, Côte d’Ivoire",
    "ci-lc": "Lacs², Côte d’Ivoire",
    "ci-lg": "Lagunes², Côte d’Ivoire",
    "ci-mg": "Montagnes, Côte d’Ivoire",
    "ci-sm": "Sassandra-Marahoué, Côte d’Ivoire",
    "ci-sv": "Savanes, Côte d’Ivoire",
    "ci-vb": "Vallée du Bandama², Côte d’Ivoire",
    "ci-wr": "Woroba, Côte d’Ivoire",
    "ci-ym": "Yamoussoukro, Côte d’Ivoire",
    "ci-zz": "Zanzan², Côte d’Ivoire",
    "cl-ai": "Aysén, Chile",
    "cl-an": "Antofagasta, Chile",
    "cl-ap": "Arica y Parinacota, Chile",
    "cl-ar": "Araucanía, Chile",
    "cl-at": "Atacama, Chile",
    "cl-bi": "Bío Bío, Chile",
    "cl-co": "Coquimbo, Chile",
    "cl-li": "Libertador General Bernardo O’Higgins, Chile",
    "cl-ll": "Los Lagos, Chile",
    "cl-lr": "Los Ríos, Chile",
    "cl-ma": "Magallanes Region, Chile",
    "cl-ml": "Maule, Chile",
    "cl-nb": "Ñuble, Chile",
    "cl-rm": "Santiago Metropolitan, Chile",
    "cl-ta": "Tarapacá, Chile",
    "cl-vs": "Valparaíso, Chile",
    "cm-ad": "Adamawa, Cameroon",
    "cm-ce": "Centre, Cameroon",
    "cm-en": "Far North, Cameroon",
    "cm-es": "East, Cameroon",
    "cm-lt": "Littoral, Cameroon",
    "cm-no": "North, Cameroon",
    "cm-nw": "Northwest, Cameroon",
    "cm-ou": "West, Cameroon",
    "cm-su": "South, Cameroon",
    "cm-sw": "Southwest, Cameroon",
    "cn-ah": "Anhui, Cameroon",
    "cn-bj": "Beijing, Cameroon",
    "cn-cq": "Chongqing, Cameroon",
    "cn-fj": "Fujian, Cameroon",
    "cn-gd": "Guangdong, Cameroon",
    "cn-gs": "Gansu, Cameroon",
    "cn-gx": "Guangxi, Cameroon",
    "cn-gz": "Guizhou, Cameroon",
    "cn-ha": "Henan, Cameroon",
    "cn-hb": "Hubei, Cameroon",
    "cn-he": "Hebei, Cameroon",
    "cn-hi": "Hainan, Cameroon",
    "cn-hk": "Hong Kong, Cameroon",
    "cn-hl": "Heilongjiang, Cameroon",
    "cn-hn": "Hunan, Cameroon",
    "cn-jl": "Jilin, Cameroon",
    "cn-js": "Jiangsu, Cameroon",
    "cn-jx": "Jiangxi, Cameroon",
    "cn-ln": "Liaoning, Cameroon",
    "cn-mo": "Macau, Cameroon",
    "cn-nm": "Inner Mongolia, Cameroon",
    "cn-nx": "Ningxia, Cameroon",
    "cn-qh": "Qinghai, Cameroon",
    "cn-sc": "Sichuan, Cameroon",
    "cn-sd": "Shandong, Cameroon",
    "cn-sh": "Shanghai, Cameroon",
    "cn-sn": "Shaanxi, Cameroon",
    "cn-sx": "Shanxi, Cameroon",
    "cn-tj": "Tianjin, Cameroon",
    "cn-tw": "Taiwan, Cameroon",
    "cn-xj": "Xinjiang, Cameroon",
    "cn-xz": "Tibet, Cameroon",
    "cn-yn": "Yunnan, Cameroon",
    "cn-zj": "Zhejiang, Cameroon",
    "co-ama": "Amazonas, Colombia",
    "co-ant": "Antioquia, Colombia",
    "co-ara": "Arauca, Colombia",
    "co-atl": "Atlántico, Colombia",
    "co-bol": "Bolívar, Colombia",
    "co-boy": "Boyacá, Colombia",
    "co-cal": "Caldas, Colombia",
    "co-caq": "Caquetá, Colombia",
    "co-cas": "Casanare, Colombia",
    "co-cau": "Cauca, Colombia",
    "co-ces": "Cesar, Colombia",
    "co-cho": "Chocó, Colombia",
    "co-cor": "Córdoba, Colombia",
    "co-cun": "Cundinamarca, Colombia",
    "co-dc": "Capital District, Colombia",
    "co-gua": "Guainía, Colombia",
    "co-guv": "Guaviare, Colombia",
    "co-hui": "Huila, Colombia",
    "co-lag": "La Guajira, Colombia",
    "co-mag": "Magdalena, Colombia",
    "co-met": "Meta, Colombia",
    "co-nar": "Nariño, Colombia",
    "co-nsa": "Norte de Santander, Colombia",
    "co-put": "Putumayo, Colombia",
    "co-qui": "Quindío, Colombia",
    "co-ris": "Risaralda, Colombia",
    "co-san": "Santander, Colombia",
    "co-sap": "San Andrés & Providencia, Colombia",
    "co-suc": "Sucre, Colombia",
    "co-tol": "Tolima, Colombia",
    "co-vac": "Valle del Cauca, Colombia",
    "co-vau": "Vaupés, Colombia",
    "co-vid": "Vichada, Colombia",
    "cr-a": "Alajuela, Costa Rica",
    "cr-c": "Cartago, Costa Rica",
    "cr-g": "Guanacaste, Costa Rica",
    "cr-h": "Heredia, Costa Rica",
    "cr-l": "Limón, Costa Rica",
    "cr-p": "Puntarenas, Costa Rica",
    "cr-sj": "San José, Costa Rica",
    "cu-01": "Pinar del Río, Cuba",
    "cu-03": "Havana, Cuba",
    "cu-04": "Matanzas, Cuba",
    "cu-05": "Villa Clara, Cuba",
    "cu-06": "Cienfuegos, Cuba",
    "cu-07": "Sancti Spíritus, Cuba",
    "cu-08": "Ciego de Ávila, Cuba",
    "cu-09": "Camagüey, Cuba",
    "cu-10": "Las Tunas, Cuba",
    "cu-11": "Holguín, Cuba",
    "cu-12": "Granma, Cuba",
    "cu-13": "Santiago de Cuba, Cuba",
    "cu-14": "Guantánamo, Cuba",
    "cu-15": "Artemisa, Cuba",
    "cu-16": "Mayabeque, Cuba",
    "cu-99": "Isla de la Juventud, Cuba",
    "cv-b": "Barlavento Islands, Cape Verde",
    "cv-br": "Brava, Cape Verde",
    "cv-bv": "Boa Vista, Cape Verde",
    "cv-ca": "Santa Catarina, Cape Verde",
    "cv-cf": "Santa Catarina do Fogo, Cape Verde",
    "cv-cr": "Santa Cruz, Cape Verde",
    "cv-ma": "Maio, Cape Verde",
    "cv-mo": "Mosteiros, Cape Verde",
    "cv-pa": "Paul, Cape Verde",
    "cv-pn": "Porto Novo, Cape Verde",
    "cv-pr": "Praia, Cape Verde",
    "cv-rb": "Ribeira Brava, Cape Verde",
    "cv-rg": "Ribeira Grande, Cape Verde",
    "cv-rs": "Ribeira Grande de Santiago, Cape Verde",
    "cv-s": "Sotavento Islands, Cape Verde",
    "cv-sd": "São Domingos, Cape Verde",
    "cv-sf": "São Filipe, Cape Verde",
    "cv-sl": "Sal, Cape Verde",
    "cv-sm": "São Miguel, Cape Verde",
    "cv-so": "São Lourenço dos Órgãos, Cape Verde",
    "cv-ss": "São Salvador do Mundo, Cape Verde",
    "cv-sv": "São Vicente, Cape Verde",
    "cv-ta": "Tarrafal, Cape Verde",
    "cv-ts": "Tarrafal de São Nicolau, Cape Verde",
    "cy-01": "Nicosia, Cyprus",
    "cy-02": "Limassol, Cyprus",
    "cy-03": "Larnaca, Cyprus",
    "cy-04": "Famagusta, Cyprus",
    "cy-05": "Paphos, Cyprus",
    "cy-06": "Kyrenia, Cyprus",
    "cz-10": "Prague, Hlavní mešto, Czech Republic",
    "cz-20": "Středočeský, Czech Republic",
    "cz-20a": "Prague-West, Czech Republic",
    "cz-20b": "Příbram, Czech Republic",
    "cz-20c": "Rakovník, Czech Republic",
    "cz-31": "Jihočeský, Czech Republic",
    "cz-32": "Plzeňský, Czech Republic",
    "cz-41": "Karlovarský, Czech Republic",
    "cz-42": "Ústecký, Czech Republic",
    "cz-51": "Liberecký, Czech Republic",
    "cz-52": "Královéhradecký, Czech Republic",
    "cz-53": "Pardubický, Czech Republic",
    "cz-63": "Vysočina, Czech Republic",
    "cz-64": "Jihomoravský, Czech Republic",
    "cz-71": "Olomoucký, Czech Republic",
    "cz-72": "Zlínský, Czech Republic",
    "cz-80": "Moravskoslezský, Czech Republic",
    "cz-101": "Prague 1, Czech Republic",
    "cz-102": "Prague 2, Czech Republic",
    "cz-103": "Prague 3, Czech Republic",
    "cz-104": "Prague 4, Czech Republic",
    "cz-105": "Prague 5, Czech Republic",
    "cz-106": "Prague 6, Czech Republic",
    "cz-107": "Prague 7, Czech Republic",
    "cz-108": "Prague 8, Czech Republic",
    "cz-109": "Prague 9, Czech Republic",
    "cz-110": "Prague 10, Czech Republic",
    "cz-111": "Prague 11, Czech Republic",
    "cz-112": "Prague 12, Czech Republic",
    "cz-113": "Prague 13, Czech Republic",
    "cz-114": "Prague 14, Czech Republic",
    "cz-115": "Prague 15, Czech Republic",
    "cz-116": "Prague 16, Czech Republic",
    "cz-117": "Prague 17, Czech Republic",
    "cz-118": "Prague 18, Czech Republic",
    "cz-119": "Prague 19, Czech Republic",
    "cz-120": "Prague 20, Czech Republic",
    "cz-121": "Prague 21, Czech Republic",
    "cz-122": "Prague 22, Czech Republic",
    "cz-201": "Benešov, Czech Republic",
    "cz-202": "Beroun, Czech Republic",
    "cz-203": "Kladno, Czech Republic",
    "cz-204": "Kolín, Czech Republic",
    "cz-205": "Kutná Hora, Czech Republic",
    "cz-206": "Mělník, Czech Republic",
    "cz-207": "Mladá Boleslav, Czech Republic",
    "cz-208": "Nymburk, Czech Republic",
    "cz-209": "Prague-East, Czech Republic",
    "cz-311": "České Budějovice, Czech Republic",
    "cz-312": "Český Krumlov, Czech Republic",
    "cz-313": "Jindřichův Hradec, Czech Republic",
    "cz-314": "Písek, Czech Republic",
    "cz-315": "Prachatice, Czech Republic",
    "cz-316": "Strakonice, Czech Republic",
    "cz-317": "Tábor, Czech Republic",
    "cz-321": "Domažlice, Czech Republic",
    "cz-322": "Klatovy, Czech Republic",
    "cz-323": "Plzeň, Czech Republic",
    "cz-324": "Plzeň-South, Czech Republic",
    "cz-325": "Plzeň-North, Czech Republic",
    "cz-326": "Rokycany, Czech Republic",
    "cz-327": "Tachov, Czech Republic",
    "cz-411": "Cheb, Czech Republic",
    "cz-412": "Karlovy Vary, Czech Republic",
    "cz-413": "Sokolov, Czech Republic",
    "cz-421": "Děčín, Czech Republic",
    "cz-422": "Chomutov, Czech Republic",
    "cz-423": "Litoměřice, Czech Republic",
    "cz-424": "Louny, Czech Republic",
    "cz-425": "Most, Czech Republic",
    "cz-426": "Teplice, Czech Republic",
    "cz-427": "Ústí nad Labem, Czech Republic",
    "cz-511": "Česká Lípa, Czech Republic",
    "cz-512": "Jablonec nad Nisou, Czech Republic",
    "cz-513": "Liberec, Czech Republic",
    "cz-514": "Semily, Czech Republic",
    "cz-521": "Hradec Králové, Czech Republic",
    "cz-522": "Jičín, Czech Republic",
    "cz-523": "Náchod, Czech Republic",
    "cz-524": "Rychnov nad Kněžnou, Czech Republic",
    "cz-525": "Trutnov, Czech Republic",
    "cz-531": "Chrudim, Czech Republic",
    "cz-532": "Pardubice, Czech Republic",
    "cz-533": "Svitavy, Czech Republic",
    "cz-534": "Ústí nad Orlicí, Czech Republic",
    "cz-631": "Havlíčkův Brod, Czech Republic",
    "cz-632": "Jihlava, Czech Republic",
    "cz-633": "Pelhřimov, Czech Republic",
    "cz-634": "Třebíč, Czech Republic",
    "cz-635": "Žďár nad Sázavou, Czech Republic",
    "cz-641": "Blansko, Czech Republic",
    "cz-642": "Brno-město, Czech Republic",
    "cz-643": "Brno-venkov, Czech Republic",
    "cz-644": "Břeclav, Czech Republic",
    "cz-645": "Hodonín, Czech Republic",
    "cz-646": "Vyškov, Czech Republic",
    "cz-647": "Znojmo, Czech Republic",
    "cz-711": "Jeseník, Czech Republic",
    "cz-712": "Olomouc, Czech Republic",
    "cz-713": "Prostějov, Czech Republic",
    "cz-714": "Přerov, Czech Republic",
    "cz-715": "Šumperk, Czech Republic",
    "cz-721": "Kroměříž, Czech Republic",
    "cz-722": "Uherské Hradiště, Czech Republic",
    "cz-723": "Vsetín, Czech Republic",
    "cz-724": "Zlín, Czech Republic",
    "cz-801": "Bruntál, Czech Republic",
    "cz-802": "Frýdek-Místek, Czech Republic",
    "cz-803": "Karviná, Czech Republic",
    "cz-804": "Nový Jičín, Czech Republic",
    "cz-805": "Opava, Czech Republic",
    "cz-806": "Ostrava, Czech Republic",
    "de-bb": "Brandenburg, Germany",
    "de-be": "Berlin, Germany",
    "de-bw": "Baden-Württemberg, Germany",
    "de-by": "Bavaria, Germany",
    "de-hb": "Bremen, Germany",
    "de-he": "Hesse, Germany",
    "de-hh": "Hamburg, Germany",
    "de-mv": "Mecklenburg-Vorpommern, Germany",
    "de-ni": "Lower Saxony, Germany",
    "de-nw": "North Rhine-Westphalia, Germany",
    "de-rp": "Rhineland-Palatinate, Germany",
    "de-sh": "Schleswig-Holstein, Germany",
    "de-sl": "Saarland, Germany",
    "de-sn": "Saxony, Germany",
    "de-st": "Saxony-Anhalt, Germany",
    "de-th": "Thuringia, Germany",
    "dj-ar": "Arta, Djibouti",
    "dj-as": "Ali Sabieh, Djibouti",
    "dj-di": "Dikhil, Djibouti",
    "dj-dj": "Djibouti, Djibouti",
    "dj-ob": "Obock, Djibouti",
    "dj-ta": "Tadjourah, Djibouti",
    "dk-81": "Northern Denmark, Denmark",
    "dk-82": "Central Denmark, Denmark",
    "dk-83": "Southern Denmark, Denmark",
    "dk-84": "Capital Region, Denmark",
    "dk-85": "Zealand, Denmark",
    "dm-02": "Saint Andrew, Dominica",
    "dm-03": "Saint David, Dominica",
    "dm-04": "Saint George, Dominica",
    "dm-05": "Saint John, Dominica",
    "dm-06": "Saint Joseph, Dominica",
    "dm-07": "Saint Luke, Dominica",
    "dm-08": "Saint Mark, Dominica",
    "dm-09": "Saint Patrick, Dominica",
    "dm-10": "Saint Paul, Dominica",
    "dm-11": "Saint Peter, Dominica",
    "do-01": "Distrito Nacional, Dominica",
    "do-02": "Azua, Dominica",
    "do-03": "Baoruco, Dominica",
    "do-04": "Barahona, Dominica",
    "do-05": "Dajabón, Dominica",
    "do-06": "Duarte, Dominica",
    "do-07": "Elías Piña, Dominica",
    "do-08": "El Seibo, Dominica",
    "do-09": "Espaillat, Dominica",
    "do-10": "Independencia, Dominica",
    "do-11": "La Altagracia, Dominica",
    "do-12": "La Romana, Dominica",
    "do-13": "La Vega, Dominica",
    "do-14": "María Trinidad Sánchez, Dominica",
    "do-15": "Monte Cristi, Dominica",
    "do-16": "Pedernales, Dominica",
    "do-17": "Peravia, Dominica",
    "do-18": "Puerto Plata, Dominica",
    "do-19": "Hermanas Mirabal, Dominica",
    "do-20": "Samaná, Dominica",
    "do-21": "San Cristóbal, Dominica",
    "do-22": "San Juan, Dominica",
    "do-23": "San Pedro de Macorís, Dominica",
    "do-24": "Sánchez Ramírez, Dominica",
    "do-25": "Santiago, Dominica",
    "do-26": "Santiago Rodríguez, Dominica",
    "do-27": "Valverde, Dominica",
    "do-28": "Monseñor Nouel, Dominica",
    "do-29": "Monte Plata, Dominica",
    "do-30": "Hato Mayor, Dominica",
    "do-31": "San José de Ocoa, Dominica",
    "do-32": "Santo Domingo, Dominica",
    "do-33": "Cibao Nordeste, Dominican Republic",
    "do-34": "Cibao Noroeste, Dominican Republic",
    "do-35": "Cibao Norte, Dominican Republic",
    "do-36": "Cibao Sur, Dominican Republic",
    "do-37": "El Valle, Dominican Republic",
    "do-38": "Enriquillo, Dominican Republic",
    "do-39": "Higüamo, Dominican Republic",
    "do-40": "Ozama, Dominican Republic",
    "do-41": "Valdesia, Dominican Republic",
    "do-42": "Yuma, Dominican Republic",
    "dz-01": "Adrar, Algeria",
    "dz-02": "Chlef, Algeria",
    "dz-03": "Laghouat, Algeria",
    "dz-04": "Oum El Bouaghi, Algeria",
    "dz-05": "Batna, Algeria",
    "dz-06": "Béjaïa, Algeria",
    "dz-07": "Biskra, Algeria",
    "dz-08": "Béchar, Algeria",
    "dz-09": "Blida, Algeria",
    "dz-10": "Bouira, Algeria",
    "dz-11": "Tamanghasset, Algeria",
    "dz-12": "Tébessa, Algeria",
    "dz-13": "Tlemcen, Algeria",
    "dz-14": "Tiaret, Algeria",
    "dz-15": "Tizi Ouzou, Algeria",
    "dz-16": "Algiers, Algeria",
    "dz-17": "Djelfa, Algeria",
    "dz-18": "Jijel, Algeria",
    "dz-19": "Sétif, Algeria",
    "dz-20": "Saïda, Algeria",
    "dz-21": "Skikda, Algeria",
    "dz-22": "Sidi Bel Abbès, Algeria",
    "dz-23": "Annaba, Algeria",
    "dz-24": "Guelma, Algeria",
    "dz-25": "Constantine, Algeria",
    "dz-26": "Médéa, Algeria",
    "dz-27": "Mostaganem, Algeria",
    "dz-28": "M’Sila, Algeria",
    "dz-29": "Mascara, Algeria",
    "dz-30": "Ouargla, Algeria",
    "dz-31": "Oran, Algeria",
    "dz-32": "El Bayadh, Algeria",
    "dz-33": "Illizi, Algeria",
    "dz-34": "Bordj Bou Arréridj, Algeria",
    "dz-35": "Boumerdès, Algeria",
    "dz-36": "El Tarf, Algeria",
    "dz-37": "Tindouf, Algeria",
    "dz-38": "Tissemsilt, Algeria",
    "dz-39": "El Oued, Algeria",
    "dz-40": "Khenchela, Algeria",
    "dz-41": "Souk Ahras, Algeria",
    "dz-42": "Tipasa, Algeria",
    "dz-43": "Mila, Algeria",
    "dz-44": "Aïn Defla, Algeria",
    "dz-45": "Naama, Algeria",
    "dz-46": "Aïn Témouchent, Algeria",
    "dz-47": "Ghardaïa, Algeria",
    "dz-48": "Relizane, Algeria",
    "ec-a": "Azuay, Ecuador",
    "ec-b": "Bolívar, Ecuador",
    "ec-c": "Carchi, Ecuador",
    "ec-d": "Orellana, Ecuador",
    "ec-e": "Esmeraldas, Ecuador",
    "ec-f": "Cañar, Ecuador",
    "ec-g": "Guayas, Ecuador",
    "ec-h": "Chimborazo, Ecuador",
    "ec-i": "Imbabura, Ecuador",
    "ec-l": "Loja, Ecuador",
    "ec-m": "Manabí, Ecuador",
    "ec-n": "Napo, Ecuador",
    "ec-o": "El Oro, Ecuador",
    "ec-p": "Pichincha, Ecuador",
    "ec-r": "Los Ríos, Ecuador",
    "ec-s": "Morona-Santiago, Ecuador",
    "ec-sd": "Santo Domingo de los Tsáchilas, Ecuador",
    "ec-se": "Santa Elena, Ecuador",
    "ec-t": "Tungurahua, Ecuador",
    "ec-u": "Sucumbíos, Ecuador",
    "ec-w": "Galápagos, Ecuador",
    "ec-x": "Cotopaxi, Ecuador",
    "ec-y": "Pastaza, Ecuador",
    "ec-z": "Zamora-Chinchipe, Ecuador",
    "ee-37": "Harju, Estonia",
    "ee-39": "Hiiu, Estonia",
    "ee-44": "Ida-Viru, Estonia",
    "ee-49": "Jõgeva, Estonia",
    "ee-51": "Järva, Estonia",
    "ee-57": "Lääne, Estonia",
    "ee-59": "Lääne-Viru, Estonia",
    "ee-65": "Põlva, Estonia",
    "ee-67": "Pärnu, Estonia",
    "ee-70": "Rapla, Estonia",
    "ee-74": "Saare, Estonia",
    "ee-78": "Tartu, Estonia",
    "ee-82": "Valga, Estonia",
    "ee-84": "Viljandi, Estonia",
    "ee-86": "Võru, Estonia",
    "eg-alx": "Alexandria, Egypt",
    "eg-asn": "Aswan, Egypt",
    "eg-ast": "Asyut, Egypt",
    "eg-ba": "Red Sea, Egypt",
    "eg-bh": "Beheira, Egypt",
    "eg-bns": "Beni Suef, Egypt",
    "eg-c": "Cairo, Egypt",
    "eg-dk": "Dakahlia, Egypt",
    "eg-dt": "Damietta, Egypt",
    "eg-fym": "Faiyum, Egypt",
    "eg-gh": "Gharbia, Egypt",
    "eg-gz": "Giza, Egypt",
    "eg-is": "Ismailia, Egypt",
    "eg-js": "South Sinai, Egypt",
    "eg-kb": "Qalyubia, Egypt",
    "eg-kfs": "Kafr el-Sheikh, Egypt",
    "eg-kn": "Qena, Egypt",
    "eg-lx": "Luxor, Egypt",
    "eg-mn": "Minya, Egypt",
    "eg-mnf": "Monufia, Egypt",
    "eg-mt": "Matrouh, Egypt",
    "eg-pts": "Port Said, Egypt",
    "eg-shg": "Sohag, Egypt",
    "eg-shr": "Al Sharqia, Egypt",
    "eg-sin": "North Sinai, Egypt",
    "eg-suz": "Suez, Egypt",
    "eg-wad": "New Valley, Egypt",
    "er-an": "Anseba, Eritrea",
    "er-dk": "Southern Red Sea, Eritrea",
    "er-du": "Debub, Eritrea",
    "er-gb": "Gash-Barka, Eritrea",
    "er-ma": "Maekel, Eritrea",
    "er-sk": "Northern Red Sea, Eritrea",
    "es-a": "Alicante, Eritrea",
    "es-ab": "Albacete, Eritrea",
    "es-al": "Almería, Eritrea",
    "es-an": "Andalusia, Spain",
    "es-ar": "Aragon, Spain",
    "es-as": "Asturias, Spain",
    "es-av": "Ávila, Spain",
    "es-b": "Barcelona, Spain",
    "es-ba": "Badajoz, Spain",
    "es-bi": "Biscay, Spain",
    "es-bu": "Burgos, Spain",
    "es-c": "A Coruña, Spain",
    "es-ca": "Cádiz, Spain",
    "es-cb": "Cantabria, Spain",
    "es-cc": "Cáceres, Spain",
    "es-ce": "Ceuta, Spain",
    "es-cl": "Castile and León, Spain",
    "es-cm": "Castile-La Mancha, Spain",
    "es-co": "Córdoba, Spain",
    "es-cr": "Ciudad Real, Spain",
    "es-cs": "Castellón, Spain",
    "es-ct": "Catalonia, Spain",
    "es-cu": "Cuenca, Spain",
    "es-ex": "Extremadura, Spain",
    "es-ga": "Galicia, Spain",
    "es-gc": "Las Palmas, Spain",
    "es-gi": "Girona, Spain",
    "es-gr": "Granada, Spain",
    "es-gu": "Guadalajara, Spain",
    "es-h": "Huelva, Spain",
    "es-hu": "Huesca, Spain",
    "es-ib": "Balearic Islands, Spain",
    "es-j": "Jaén, Spain",
    "es-l": "Lleida, Spain",
    "es-le": "León, Spain",
    "es-lo": "La Rioja Province, Spain",
    "es-lu": "Lugo, Spain",
    "es-m": "Madrid Province, Spain",
    "es-ma": "Málaga, Spain",
    "es-mc": "Murcia Region, Spain",
    "es-md": "Madrid Autonomous Community, Spain",
    "es-ml": "Melilla, Spain",
    "es-mu": "Murcia, Spain",
    "es-na": "Navarra, Spain",
    "es-nc": "Navarra Chartered Community, Spain",
    "es-o": "Asturias Province, Spain",
    "es-or": "Ourense, Spain",
    "es-p": "Palencia, Spain",
    "es-pm": "Balears Province, Spain",
    "es-po": "Pontevedra, Spain",
    "es-pv": "Basque Country, Spain",
    "es-ri": "La Rioja, Spain",
    "es-s": "Cantabria Province, Spain",
    "es-sa": "Salamanca, Spain",
    "es-se": "Seville, Spain",
    "es-sg": "Segovia, Spain",
    "es-so": "Soria, Spain",
    "es-ss": "Gipuzkoa, Spain",
    "es-t": "Tarragona, Spain",
    "es-te": "Teruel, Spain",
    "es-tf": "Santa Cruz de Tenerife, Spain",
    "es-to": "Toledo, Spain",
    "es-v": "Valencia, Spain",
    "es-va": "Valladolid, Spain",
    "es-vc": "Valencian Community, Spain",
    "es-vi": "Álava, Spain",
    "es-z": "Zaragoza, Spain",
    "es-za": "Zamora, Spain",
    "et-aa": "Addis Ababa, Ethiopia",
    "et-af": "Afar, Ethiopia",
    "et-am": "Amhara, Ethiopia",
    "et-be": "Benishangul-Gumuz, Ethiopia",
    "et-dd": "Dire Dawa, Ethiopia",
    "et-ga": "Gambela, Ethiopia",
    "et-ha": "Harari, Ethiopia",
    "et-or": "Oromia, Ethiopia",
    "et-sn": "Southern Nations, Nationalities, and Peoples, Ethiopia",
    "et-so": "Somali, Ethiopia",
    "et-ti": "Tigray, Ethiopia",
    "fi-02": "South Karelia, Ethiopia",
    "fi-03": "Southern Ostrobothnia, Ethiopia",
    "fi-04": "Southern Savonia, Ethiopia",
    "fi-05": "Kainuu, Ethiopia",
    "fi-06": "Tavastia Proper, Ethiopia",
    "fi-07": "Central Ostrobothnia, Ethiopia",
    "fi-08": "Central Finland, Ethiopia",
    "fi-09": "Kymenlaakso, Ethiopia",
    "fi-10": "Lapland, Ethiopia",
    "fi-11": "Pirkanmaa, Ethiopia",
    "fi-12": "Ostrobothnia, Ethiopia",
    "fi-13": "North Karelia, Ethiopia",
    "fi-14": "Northern Ostrobothnia, Ethiopia",
    "fi-15": "Northern Savonia, Ethiopia",
    "fi-16": "Päijänne Tavastia, Ethiopia",
    "fi-17": "Satakunta, Ethiopia",
    "fi-18": "Uusimaa, Ethiopia",
    "fi-19": "Southwest Finland, Ethiopia",
    "fj-01": "Ba, Ethiopia",
    "fj-02": "Bua, Ethiopia",
    "fj-03": "Cakaudrove, Ethiopia",
    "fj-04": "Kadavu, Ethiopia",
    "fj-05": "Lau, Ethiopia",
    "fj-06": "Lomaiviti, Ethiopia",
    "fj-07": "Macuata, Ethiopia",
    "fj-08": "Nadroga-Navosa, Ethiopia",
    "fj-09": "Naitasiri, Ethiopia",
    "fj-10": "Namosi, Ethiopia",
    "fj-11": "Ra, Ethiopia",
    "fj-12": "Rewa, Ethiopia",
    "fj-13": "Serua, Ethiopia",
    "fj-14": "Tailevu, Ethiopia",
    "fj-c": "Central, Fiji",
    "fj-e": "Eastern, Fiji",
    "fj-n": "Northern, Fiji",
    "fj-r": "Rotuma, Fiji",
    "fj-w": "Western, Fiji",
    "fm-ksa": "Kosrae, Micronesia",
    "fm-pni": "Pohnpei, Micronesia",
    "fm-trk": "Chuuk, Micronesia",
    "fm-yap": "Yap, Micronesia",
    "fr-01": "Ain, Micronesia",
    "fr-02": "Aisne, Micronesia",
    "fr-2a": "Corse-du-Sud, Micronesia",
    "fr-2b": "Haute-Corse, Micronesia",
    "fr-03": "Allier, Micronesia",
    "fr-04": "Alpes-de-Haute-Provence, Micronesia",
    "fr-05": "Hautes-Alpes, Micronesia",
    "fr-06": "Alpes-Maritimes, Micronesia",
    "fr-07": "Ardèche, Micronesia",
    "fr-08": "Ardennes, Micronesia",
    "fr-09": "Ariège, Micronesia",
    "fr-10": "Aube, Micronesia",
    "fr-11": "Aude, Micronesia",
    "fr-12": "Aveyron, Micronesia",
    "fr-13": "Bouches-du-Rhône, Micronesia",
    "fr-14": "Calvados, Micronesia",
    "fr-15": "Cantal, Micronesia",
    "fr-16": "Charente, Micronesia",
    "fr-17": "Charente-Maritime, Micronesia",
    "fr-18": "Cher, Micronesia",
    "fr-19": "Corrèze, Micronesia",
    "fr-21": "Côte-d’Or, Micronesia",
    "fr-22": "Côtes-d’Armor, Micronesia",
    "fr-23": "Creuse, Micronesia",
    "fr-24": "Dordogne, Micronesia",
    "fr-25": "Doubs, Micronesia",
    "fr-26": "Drôme, Micronesia",
    "fr-27": "Eure, Micronesia",
    "fr-28": "Eure-et-Loir, Micronesia",
    "fr-29": "Finistère, Micronesia",
    "fr-30": "Gard, Micronesia",
    "fr-31": "Haute-Garonne, Micronesia",
    "fr-32": "Gers, Micronesia",
    "fr-33": "Gironde, Micronesia",
    "fr-34": "Hérault, Micronesia",
    "fr-35": "Ille-et-Vilaine, Micronesia",
    "fr-36": "Indre, Micronesia",
    "fr-37": "Indre-et-Loire, Micronesia",
    "fr-38": "Isère, Micronesia",
    "fr-39": "Jura, Micronesia",
    "fr-40": "Landes, Micronesia",
    "fr-41": "Loir-et-Cher, Micronesia",
    "fr-42": "Loire, Micronesia",
    "fr-43": "Haute-Loire, Micronesia",
    "fr-44": "Loire-Atlantique, Micronesia",
    "fr-45": "Loiret, Micronesia",
    "fr-46": "Lot, Micronesia",
    "fr-47": "Lot-et-Garonne, Micronesia",
    "fr-48": "Lozère, Micronesia",
    "fr-49": "Maine-et-Loire, Micronesia",
    "fr-50": "Manche, Micronesia",
    "fr-51": "Marne, Micronesia",
    "fr-52": "Haute-Marne, Micronesia",
    "fr-53": "Mayenne, Micronesia",
    "fr-54": "Meurthe-et-Moselle, Micronesia",
    "fr-55": "Meuse, Micronesia",
    "fr-56": "Morbihan, Micronesia",
    "fr-57": "Moselle, Micronesia",
    "fr-58": "Nièvre, Micronesia",
    "fr-59": "Nord, Micronesia",
    "fr-60": "Oise, Micronesia",
    "fr-61": "Orne, Micronesia",
    "fr-62": "Pas-de-Calais, Micronesia",
    "fr-63": "Puy-de-Dôme, Micronesia",
    "fr-64": "Pyrénées-Atlantiques, Micronesia",
    "fr-65": "Hautes-Pyrénées, Micronesia",
    "fr-66": "Pyrénées-Orientales, Micronesia",
    "fr-67": "Bas-Rhin, Micronesia",
    "fr-68": "Haut-Rhin, Micronesia",
    "fr-69": "Rhône, Micronesia",
    "fr-70": "Haute-Saône, Micronesia",
    "fr-71": "Saône-et-Loire, Micronesia",
    "fr-72": "Sarthe, Micronesia",
    "fr-73": "Savoie, Micronesia",
    "fr-74": "Haute-Savoie, Micronesia",
    "fr-75": "Paris, Micronesia",
    "fr-76": "Seine-Maritime, Micronesia",
    "fr-77": "Seine-et-Marne, Micronesia",
    "fr-78": "Yvelines, Micronesia",
    "fr-79": "Deux-Sèvres, Micronesia",
    "fr-80": "Somme, Micronesia",
    "fr-81": "Tarn, Micronesia",
    "fr-82": "Tarn-et-Garonne, Micronesia",
    "fr-83": "Var, Micronesia",
    "fr-84": "Vaucluse, Micronesia",
    "fr-85": "Vendée, Micronesia",
    "fr-86": "Vienne, Micronesia",
    "fr-87": "Haute-Vienne, Micronesia",
    "fr-88": "Vosges, Micronesia",
    "fr-89": "Yonne, Micronesia",
    "fr-90": "Territoire de Belfort, Micronesia",
    "fr-91": "Essonne, Micronesia",
    "fr-92": "Hauts-de-Seine, Micronesia",
    "fr-93": "Seine-Saint-Denis, Micronesia",
    "fr-94": "Val-de-Marne, Micronesia",
    "fr-95": "Val-d’Oise, Micronesia",
    "fr-ara": "Auvergne-Rhône-Alpes, France",
    "fr-bfc": "Burgundy-Franche-Comté, France",
    "fr-bre": "Brittany, France",
    "fr-cor": "Corsica, France",
    "fr-cvl": "Centre-Val de Loire, France",
    "fr-ges": "Grand-Est, France",
    "fr-gua": "Guadeloupe, France",
    "fr-hdf": "Hauts-de-France, France",
    "fr-idf": "Île-de-France², France",
    "fr-lre": "La Réunion, France",
    "fr-may": "Mayotte, France",
    "fr-naq": "Nouvelle-Aquitaine, France",
    "fr-nor": "Normandie, France",
    "fr-occ": "Occitanie, France",
    "fr-pac": "Provence-Alpes-Côte-d’Azur, France",
    "fr-pdl": "Pays-de-la-Loire, France",
    "ga-1": "Estuaire, Gabon",
    "ga-2": "Haut-Ogooué, Gabon",
    "ga-3": "Moyen-Ogooué, Gabon",
    "ga-4": "Ngounié, Gabon",
    "ga-5": "Nyanga, Gabon",
    "ga-6": "Ogooué-Ivindo, Gabon",
    "ga-7": "Ogooué-Lolo, Gabon",
    "ga-8": "Ogooué-Maritime, Gabon",
    "ga-9": "Woleu-Ntem, Gabon",
    "gb-abc": "Armagh, Banbridge and Craigavon, Gabon",
    "gb-abd": "Aberdeenshire, Gabon",
    "gb-abe": "Aberdeen, Gabon",
    "gb-agb": "Argyll and Bute, Gabon",
    "gb-agy": "Anglesey, Gabon",
    "gb-and": "Ards and North Down, Gabon",
    "gb-ann": "Antrim and Newtownabbey, Gabon",
    "gb-ans": "Angus, Gabon",
    "gb-bas": "Bath and North East Somerset, Gabon",
    "gb-bbd": "Blackburn with Darwen, Gabon",
    "gb-bdf": "Bedford, Gabon",
    "gb-bdg": "Barking and Dagenham, Gabon",
    "gb-ben": "Brent, Gabon",
    "gb-bex": "Bexley, Gabon",
    "gb-bfs": "Belfast, Gabon",
    "gb-bge": "Bridgend, Gabon",
    "gb-bgw": "Blaenau Gwent, Gabon",
    "gb-bir": "Birmingham, Gabon",
    "gb-bkm": "Buckinghamshire, Gabon",
    "gb-bmh": "Bournemouth, Gabon",
    "gb-bne": "Barnet, Gabon",
    "gb-bnh": "Brighton and Hove, Gabon",
    "gb-bns": "Barnsley, Gabon",
    "gb-bol": "Bolton, Gabon",
    "gb-bpl": "Blackpool, Gabon",
    "gb-brc": "Bracknell Forest, Gabon",
    "gb-brd": "Bradford, Gabon",
    "gb-bry": "Bromley, Gabon",
    "gb-bst": "Bristol, Gabon",
    "gb-bur": "Bury, Gabon",
    "gb-cam": "Cambridgeshire, Gabon",
    "gb-cay": "Caerphilly, Gabon",
    "gb-cbf": "Central Bedfordshire, Gabon",
    "gb-ccg": "Causeway Coast and Glens, Gabon",
    "gb-cgn": "Ceredigion, Gabon",
    "gb-che": "Cheshire East, Gabon",
    "gb-chw": "Cheshire West and Chester, Gabon",
    "gb-cld": "Calderdale, Gabon",
    "gb-clk": "Clackmannanshire, Gabon",
    "gb-cma": "Cumbria, Gabon",
    "gb-cmd": "Camden, Gabon",
    "gb-cmn": "Carmarthenshire, Gabon",
    "gb-con": "Cornwall, Gabon",
    "gb-cov": "Coventry, Gabon",
    "gb-crf": "Cardiff, Gabon",
    "gb-cry": "Croydon, Gabon",
    "gb-cwy": "Conwy, Gabon",
    "gb-dal": "Darlington, Gabon",
    "gb-dby": "Derbyshire, Gabon",
    "gb-den": "Denbighshire, Gabon",
    "gb-der": "Derby, Gabon",
    "gb-dev": "Devon, Gabon",
    "gb-dgy": "Dumfries and Galloway, Gabon",
    "gb-dnc": "Doncaster, Gabon",
    "gb-dnd": "Dundee, Gabon",
    "gb-dor": "Dorset, Gabon",
    "gb-drs": "Derry and Strabane, Gabon",
    "gb-dud": "Dudley, Gabon",
    "gb-dur": "Durham, Gabon",
    "gb-eal": "Ealing, Gabon",
    "gb-eaw": "England and Wales, United Kingdom",
    "gb-eay": "East Ayrshire, United Kingdom",
    "gb-edh": "Edinburgh, United Kingdom",
    "gb-edu": "East Dunbartonshire, United Kingdom",
    "gb-eln": "East Lothian, United Kingdom",
    "gb-els": "Outer Hebrides, United Kingdom",
    "gb-enf": "Enfield, United Kingdom",
    "gb-eng": "England, United Kingdom",
    "gb-erw": "East Renfrewshire, United Kingdom",
    "gb-ery": "East Riding of Yorkshire, United Kingdom",
    "gb-ess": "Essex, United Kingdom",
    "gb-esx": "East Sussex, United Kingdom",
    "gb-fal": "Falkirk, United Kingdom",
    "gb-fif": "Fife, United Kingdom",
    "gb-fln": "Flintshire, United Kingdom",
    "gb-fmo": "Fermanagh and Omagh, United Kingdom",
    "gb-gat": "Gateshead, United Kingdom",
    "gb-gbn": "Great Britain, United Kingdom",
    "gb-glg": "Glasgow, United Kingdom",
    "gb-gls": "Gloucestershire, United Kingdom",
    "gb-gre": "Greenwich, United Kingdom",
    "gb-gwn": "Gwynedd, United Kingdom",
    "gb-hal": "Halton, United Kingdom",
    "gb-ham": "Hampshire, United Kingdom",
    "gb-hav": "Havering, United Kingdom",
    "gb-hck": "Hackney, United Kingdom",
    "gb-hef": "Herefordshire, United Kingdom",
    "gb-hil": "Hillingdon, United Kingdom",
    "gb-hld": "Highland, United Kingdom",
    "gb-hmf": "Hammersmith and Fulham, United Kingdom",
    "gb-hns": "Hounslow, United Kingdom",
    "gb-hpl": "Hartlepool, United Kingdom",
    "gb-hrt": "Hertfordshire, United Kingdom",
    "gb-hrw": "Harrow, United Kingdom",
    "gb-hry": "Haringey, United Kingdom",
    "gb-ios": "Isles of Scilly, United Kingdom",
    "gb-iow": "Isle of Wight, United Kingdom",
    "gb-isl": "Islington, United Kingdom",
    "gb-ivc": "Inverclyde, United Kingdom",
    "gb-kec": "Kensington and Chelsea, United Kingdom",
    "gb-ken": "Kent, United Kingdom",
    "gb-khl": "Kingston upon Hull, United Kingdom",
    "gb-kir": "Kirklees, United Kingdom",
    "gb-ktt": "Kingston upon Thames, United Kingdom",
    "gb-kwl": "Knowsley, United Kingdom",
    "gb-lan": "Lancashire, United Kingdom",
    "gb-lbc": "Lisburn and Castlereagh, United Kingdom",
    "gb-lbh": "Lambeth, United Kingdom",
    "gb-lce": "Leicester, United Kingdom",
    "gb-lds": "Leeds, United Kingdom",
    "gb-lec": "Leicestershire, United Kingdom",
    "gb-lew": "Lewisham, United Kingdom",
    "gb-lin": "Lincolnshire, United Kingdom",
    "gb-liv": "Liverpool, United Kingdom",
    "gb-lnd": "London, United Kingdom",
    "gb-lut": "Luton, United Kingdom",
    "gb-man": "Manchester, United Kingdom",
    "gb-mdb": "Middlesbrough, United Kingdom",
    "gb-mdw": "Medway, United Kingdom",
    "gb-mea": "Mid and East Antrim, United Kingdom",
    "gb-mik": "Milton Keynes, United Kingdom",
    "gb-mln": "Midlothian, United Kingdom",
    "gb-mon": "Monmouthshire, United Kingdom",
    "gb-mrt": "Merton, United Kingdom",
    "gb-mry": "Moray, United Kingdom",
    "gb-mty": "Merthyr Tydfil, United Kingdom",
    "gb-mul": "Mid Ulster, United Kingdom",
    "gb-nay": "North Ayrshire, United Kingdom",
    "gb-nbl": "Northumberland, United Kingdom",
    "gb-nel": "North East Lincolnshire, United Kingdom",
    "gb-net": "Newcastle upon Tyne, United Kingdom",
    "gb-nfk": "Norfolk, United Kingdom",
    "gb-ngm": "Nottingham, United Kingdom",
    "gb-nir": "Northern Ireland, United Kingdom",
    "gb-nlk": "North Lanarkshire, United Kingdom",
    "gb-nln": "North Lincolnshire, United Kingdom",
    "gb-nmd": "Newry, Mourne and Down, United Kingdom",
    "gb-nsm": "North Somerset, United Kingdom",
    "gb-nth": "Northamptonshire, United Kingdom",
    "gb-ntl": "Neath Port Talbot, United Kingdom",
    "gb-ntt": "Nottinghamshire, United Kingdom",
    "gb-nty": "North Tyneside, United Kingdom",
    "gb-nwm": "Newham, United Kingdom",
    "gb-nwp": "Newport, United Kingdom",
    "gb-nyk": "North Yorkshire, United Kingdom",
    "gb-old": "Oldham, United Kingdom",
    "gb-ork": "Orkney Islands, United Kingdom",
    "gb-oxf": "Oxfordshire, United Kingdom",
    "gb-pem": "Pembrokeshire, United Kingdom",
    "gb-pkn": "Perth and Kinross, United Kingdom",
    "gb-ply": "Plymouth, United Kingdom",
    "gb-pol": "Poole, United Kingdom",
    "gb-por": "Portsmouth, United Kingdom",
    "gb-pow": "Powys, United Kingdom",
    "gb-pte": "Peter, United Kingdom",
    "gb-rcc": "Redcar and Cleveland, United Kingdom",
    "gb-rch": "Rochdale, United Kingdom",
    "gb-rct": "Rhondda Cynon Taf, United Kingdom",
    "gb-rdb": "Redbridge, United Kingdom",
    "gb-rdg": "Reading, United Kingdom",
    "gb-rfw": "Renfrewshire, United Kingdom",
    "gb-ric": "Richmond upon Thames, United Kingdom",
    "gb-rot": "Rotherham, United Kingdom",
    "gb-rut": "Rutland, United Kingdom",
    "gb-saw": "Sandwell, United Kingdom",
    "gb-say": "South Ayrshire, United Kingdom",
    "gb-scb": "Scottish Borders, United Kingdom",
    "gb-sct": "Scotland, United Kingdom",
    "gb-sfk": "Suffolk, United Kingdom",
    "gb-sft": "Sefton, United Kingdom",
    "gb-sgc": "South Gloucestershire, United Kingdom",
    "gb-shf": "Sheffield, United Kingdom",
    "gb-shn": "Saint Helens, United Kingdom",
    "gb-shr": "Shropshire, United Kingdom",
    "gb-skp": "Stockport, United Kingdom",
    "gb-slf": "Salford, United Kingdom",
    "gb-slg": "Slough, United Kingdom",
    "gb-slk": "South Lanarkshire, United Kingdom",
    "gb-snd": "Sunderland, United Kingdom",
    "gb-sol": "Solihull, United Kingdom",
    "gb-som": "Somerset, United Kingdom",
    "gb-sos": "Southend-on-Sea, United Kingdom",
    "gb-sry": "Surrey, United Kingdom",
    "gb-ste": "Stoke-on-Trent, United Kingdom",
    "gb-stg": "Stirling, United Kingdom",
    "gb-sth": "Southampton, United Kingdom",
    "gb-stn": "Sutton, United Kingdom",
    "gb-sts": "Staffordshire, United Kingdom",
    "gb-stt": "Stockton-on-Tees, United Kingdom",
    "gb-sty": "South Tyneside, United Kingdom",
    "gb-swa": "Swansea, United Kingdom",
    "gb-swd": "Swindon, United Kingdom",
    "gb-swk": "Southwark, United Kingdom",
    "gb-tam": "Tameside, United Kingdom",
    "gb-tfw": "Telford and Wrekin, United Kingdom",
    "gb-thr": "Thurrock, United Kingdom",
    "gb-tob": "Torbay, United Kingdom",
    "gb-tof": "Torfaen, United Kingdom",
    "gb-trf": "Trafford, United Kingdom",
    "gb-twh": "Tower Hamlets, United Kingdom",
    "gb-ukm": "United Kingdom, United Kingdom",
    "gb-vgl": "Vale of Glamorgan, United Kingdom",
    "gb-war": "Warwickshire, United Kingdom",
    "gb-wbk": "West Berkshire, United Kingdom",
    "gb-wdu": "West Dunbartonshire, United Kingdom",
    "gb-wft": "Waltham Forest, United Kingdom",
    "gb-wgn": "Wigan, United Kingdom",
    "gb-wil": "Wiltshire, United Kingdom",
    "gb-wkf": "Wakefield, United Kingdom",
    "gb-wll": "Walsall, United Kingdom",
    "gb-wln": "West Lothian, United Kingdom",
    "gb-wls": "Wales, United Kingdom",
    "gb-wlv": "Wolverhampton, United Kingdom",
    "gb-wnd": "Wandsworth, United Kingdom",
    "gb-wnm": "Windsor and Maidenhead, United Kingdom",
    "gb-wok": "Wokingham, United Kingdom",
    "gb-wor": "Worcestershire, United Kingdom",
    "gb-wrl": "Wirral, United Kingdom",
    "gb-wrt": "Warrington, United Kingdom",
    "gb-wrx": "Wrexham, United Kingdom",
    "gb-wsm": "Westminster, United Kingdom",
    "gb-wsx": "West Sussex, United Kingdom",
    "gb-yor": "York, United Kingdom",
    "gb-zet": "Shetland, United Kingdom",
    "gd-01": "Saint Andrew, Grenada",
    "gd-02": "Saint David, Grenada",
    "gd-03": "Saint George, Grenada",
    "gd-04": "Saint John, Grenada",
    "gd-05": "Saint Mark, Grenada",
    "gd-06": "Saint Patrick, Grenada",
    "gd-10": "Carriacou and Petite Martinique, Grenada",
    "ge-ab": "Abkhazia, Georgia",
    "ge-aj": "Adjara, Georgia",
    "ge-gu": "Guria, Georgia",
    "ge-im": "Imereti, Georgia",
    "ge-ka": "Kakheti, Georgia",
    "ge-kk": "Kvemo Kartli, Georgia",
    "ge-mm": "Mtskheta-Mtianeti, Georgia",
    "ge-rl": "Racha-Lechkhumi and Kvemo Svaneti, Georgia",
    "ge-sj": "Samtskhe-Javakheti, Georgia",
    "ge-sk": "Shida Kartli, Georgia",
    "ge-sz": "Samegrelo-Zemo Svaneti, Georgia",
    "ge-tb": "Tbilisi, Georgia",
    "gh-aa": "Greater Accra, Ghana",
    "gh-ah": "Ashanti, Ghana",
    "gh-ba": "Brong-Ahafo, Ghana",
    "gh-cp": "Central, Ghana",
    "gh-ep": "Eastern, Ghana",
    "gh-np": "Northern, Ghana",
    "gh-tv": "Volta, Ghana",
    "gh-ue": "Upper East, Ghana",
    "gh-uw": "Upper West, Ghana",
    "gh-wp": "Western, Ghana",
    "gl-av": "Avannaata Kommunia, Ghana",
    "gl-ku": "Kujalleq, Greenland",
    "gl-qa": "Qaasuitsup, Greenland",
    "gl-qe": "Qeqqata, Greenland",
    "gl-qt": "Kommune Qeqertalik, Greenland",
    "gl-sm": "Sermersooq, Greenland",
    "gm-b": "Banjul, Gambia",
    "gm-l": "Lower River Division, Gambia",
    "gm-m": "Central River Division, Gambia",
    "gm-n": "North Bank Division, Gambia",
    "gm-u": "Upper River Division, Gambia",
    "gm-w": "West Coast Division, Gambia",
    "gn-b": "Boké Region, Guinea",
    "gn-be": "Beyla, Guinea",
    "gn-bf": "Boffa, Guinea",
    "gn-bk": "Boké, Guinea",
    "gn-c": "Conakry, Guinea",
    "gn-co": "Coyah, Guinea",
    "gn-d": "Kindia Region, Guinea",
    "gn-db": "Dabola, Guinea",
    "gn-di": "Dinguiraye, Guinea",
    "gn-dl": "Dalaba, Guinea",
    "gn-du": "Dubréka, Guinea",
    "gn-f": "Faranah Region, Guinea",
    "gn-fa": "Faranah, Guinea",
    "gn-fo": "Forécariah, Guinea",
    "gn-fr": "Fria, Guinea",
    "gn-ga": "Gaoual, Guinea",
    "gn-gu": "Guéckédou, Guinea",
    "gn-k": "Kankan Region, Guinea",
    "gn-ka": "Kankan, Guinea",
    "gn-kb": "Koubia, Guinea",
    "gn-kd": "Kindia, Guinea",
    "gn-ke": "Kérouané, Guinea",
    "gn-kn": "Koundara, Guinea",
    "gn-ko": "Kouroussa, Guinea",
    "gn-ks": "Kissidougou, Guinea",
    "gn-l": "Labé Region, Guinea",
    "gn-la": "Labé, Guinea",
    "gn-le": "Lélouma, Guinea",
    "gn-lo": "Lola, Guinea",
    "gn-m": "Mamou Region, Guinea",
    "gn-mc": "Macenta, Guinea",
    "gn-md": "Mandiana, Guinea",
    "gn-ml": "Mali, Guinea",
    "gn-mm": "Mamou, Guinea",
    "gn-n": "Nzérékoré Region, Guinea",
    "gn-nz": "Nzérékoré, Guinea",
    "gn-pi": "Pita, Guinea",
    "gn-si": "Siguiri, Guinea",
    "gn-te": "Télimélé, Guinea",
    "gn-to": "Tougué, Guinea",
    "gn-yo": "Yomou, Guinea",
    "gq-an": "Annobón, Guinea",
    "gq-bn": "Bioko Norte, Guinea",
    "gq-bs": "Bioko Sur, Guinea",
    "gq-c": "Río Muni, Equatorial Guinea",
    "gq-cs": "Centro Sur, Equatorial Guinea",
    "gq-i": "Insular, Equatorial Guinea",
    "gq-kn": "Kié-Ntem, Equatorial Guinea",
    "gq-li": "Litoral, Equatorial Guinea",
    "gq-wn": "Wele-Nzas, Equatorial Guinea",
    "gr-69": "Mount Athos, Greece",
    "gr-a": "East Macedonia and Thrace, Greece",
    "gr-b": "Central Macedonia, Greece",
    "gr-c": "West Macedonia, Greece",
    "gr-d": "Epirus, Greece",
    "gr-e": "Thessaly, Greece",
    "gr-f": "Ionian Islands, Greece",
    "gr-g": "West Greece, Greece",
    "gr-h": "Central Greece, Greece",
    "gr-i": "Attica, Greece",
    "gr-j": "Peloponnese, Greece",
    "gr-k": "North Aegean, Greece",
    "gr-l": "South Aegean, Greece",
    "gr-m": "Crete, Greece",
    "gt-av": "Alta Verapaz, Guatemala",
    "gt-bv": "Baja Verapaz, Guatemala",
    "gt-cm": "Chimaltenango, Guatemala",
    "gt-cq": "Chiquimula, Guatemala",
    "gt-es": "Escuintla, Guatemala",
    "gt-gu": "Guatemala, Guatemala",
    "gt-hu": "Huehuetenango, Guatemala",
    "gt-iz": "Izabal, Guatemala",
    "gt-ja": "Jalapa, Guatemala",
    "gt-ju": "Jutiapa, Guatemala",
    "gt-pe": "Petén, Guatemala",
    "gt-pr": "El Progreso, Guatemala",
    "gt-qc": "Quiché, Guatemala",
    "gt-qz": "Quetzaltenango, Guatemala",
    "gt-re": "Retalhuleu, Guatemala",
    "gt-sa": "Sacatepéquez, Guatemala",
    "gt-sm": "San Marcos, Guatemala",
    "gt-so": "Sololá, Guatemala",
    "gt-sr": "Santa Rosa, Guatemala",
    "gt-su": "Suchitepéquez, Guatemala",
    "gt-to": "Totonicapán, Guatemala",
    "gt-za": "Zacapa, Guatemala",
    "gw-ba": "Bafatá, Guatemala",
    "gw-bl": "Bolama, Guatemala",
    "gw-bm": "Biombo, Guatemala",
    "gw-bs": "Bissau, Guinea-Bissau",
    "gw-ca": "Cacheu, Guinea-Bissau",
    "gw-ga": "Gabú, Guinea-Bissau",
    "gw-l": "Leste, Guinea-Bissau",
    "gw-n": "Norte, Guinea-Bissau",
    "gw-oi": "Oio, Guinea-Bissau",
    "gw-qu": "Quinara, Guinea-Bissau",
    "gw-s": "Sul, Guinea-Bissau",
    "gw-to": "Tombali, Guinea-Bissau",
    "gy-ba": "Barima-Waini, Guyana",
    "gy-cu": "Cuyuni-Mazaruni, Guyana",
    "gy-de": "Demerara-Mahaica, Guyana",
    "gy-eb": "East Berbice-Corentyne, Guyana",
    "gy-es": "Essequibo Islands-West Demerara, Guyana",
    "gy-ma": "Mahaica-Berbice, Guyana",
    "gy-pm": "Pomeroon-Supenaam, Guyana",
    "gy-pt": "Potaro-Siparuni, Guyana",
    "gy-ud": "Upper Demerara-Berbice, Guyana",
    "gy-ut": "Upper Takutu-Upper Essequibo, Guyana",
    "hn-at": "Atlántida, Honduras",
    "hn-ch": "Choluteca, Honduras",
    "hn-cl": "Colón, Honduras",
    "hn-cm": "Comayagua, Honduras",
    "hn-cp": "Copán, Honduras",
    "hn-cr": "Cortés, Honduras",
    "hn-ep": "El Paraíso, Honduras",
    "hn-fm": "Francisco Morazán, Honduras",
    "hn-gd": "Gracias a Dios, Honduras",
    "hn-ib": "Bay Islands, Honduras",
    "hn-in": "Intibucá, Honduras",
    "hn-le": "Lempira, Honduras",
    "hn-lp": "La Paz, Honduras",
    "hn-oc": "Ocotepeque, Honduras",
    "hn-ol": "Olancho, Honduras",
    "hn-sb": "Santa Bárbara, Honduras",
    "hn-va": "Valle, Honduras",
    "hn-yo": "Yoro, Honduras",
    "hr-01": "Zagreb County, Croatia",
    "hr-02": "Krapina-Zagorje, Croatia",
    "hr-03": "Sisak-Moslavina, Croatia",
    "hr-04": "Karlovac, Croatia",
    "hr-05": "Varaždin, Croatia",
    "hr-06": "Koprivnica-Križevci, Croatia",
    "hr-07": "Bjelovar-Bilogora, Croatia",
    "hr-08": "Primorje-Gorski Kotar, Croatia",
    "hr-09": "Lika-Senj, Croatia",
    "hr-10": "Virovitica-Podravina, Croatia",
    "hr-11": "Požega-Slavonia, Croatia",
    "hr-12": "Brod-Posavina, Croatia",
    "hr-13": "Zadar, Croatia",
    "hr-14": "Osijek-Baranja, Croatia",
    "hr-15": "Šibenik-Knin, Croatia",
    "hr-16": "Vukovar-Syrmia, Croatia",
    "hr-17": "Split-Dalmatia, Croatia",
    "hr-18": "Istria, Croatia",
    "hr-19": "Dubrovnik-Neretva, Croatia",
    "hr-20": "Međimurje, Croatia",
    "hr-21": "Zagreb, Croatia",
    "ht-ar": "Artibonite, Haiti",
    "ht-ce": "Centre, Haiti",
    "ht-ga": "Grand’Anse, Haiti",
    "ht-nd": "Nord, Haiti",
    "ht-ne": "Nord-Est, Haiti",
    "ht-ni": "Nippes, Haiti",
    "ht-no": "Nord-Ouest, Haiti",
    "ht-ou": "Ouest, Haiti",
    "ht-sd": "Sud, Haiti",
    "ht-se": "Sud-Est, Haiti",
    "hu-ba": "Baranya, Hungary",
    "hu-bc": "Békéscsaba, Hungary",
    "hu-be": "Békés, Hungary",
    "hu-bk": "Bács-Kiskun, Hungary",
    "hu-bu": "Budapest, Hungary",
    "hu-bz": "Borsod-Abaúj-Zemplén, Hungary",
    "hu-cs": "Csongrád, Hungary",
    "hu-de": "Debrecen, Hungary",
    "hu-du": "Dunaújváros, Hungary",
    "hu-eg": "Eger, Hungary",
    "hu-er": "Érd, Hungary",
    "hu-fe": "Fejér, Hungary",
    "hu-gs": "Győr-Moson-Sopron, Hungary",
    "hu-gy": "Győr, Hungary",
    "hu-hb": "Hajdú-Bihar, Hungary",
    "hu-he": "Heves, Hungary",
    "hu-hv": "Hódmezővásárhely, Hungary",
    "hu-jn": "Jász-Nagykun-Szolnok, Hungary",
    "hu-ke": "Komárom-Esztergom, Hungary",
    "hu-km": "Kecskemét, Hungary",
    "hu-kv": "Kaposvár, Hungary",
    "hu-mi": "Miskolc, Hungary",
    "hu-nk": "Nagykanizsa, Hungary",
    "hu-no": "Nógrád, Hungary",
    "hu-ny": "Nyíregyháza, Hungary",
    "hu-pe": "Pest, Hungary",
    "hu-ps": "Pécs, Hungary",
    "hu-sd": "Szeged, Hungary",
    "hu-sf": "Székesfehérvár, Hungary",
    "hu-sh": "Szombathely, Hungary",
    "hu-sk": "Szolnok, Hungary",
    "hu-sn": "Sopron, Hungary",
    "hu-so": "Somogy, Hungary",
    "hu-ss": "Szekszárd, Hungary",
    "hu-st": "Salgótarján, Hungary",
    "hu-sz": "Szabolcs-Szatmár-Bereg, Hungary",
    "hu-tb": "Tatabánya, Hungary",
    "hu-to": "Tolna, Hungary",
    "hu-va": "Vas, Hungary",
    "hu-ve": "Veszprém County, Hungary",
    "hu-vm": "Veszprém, Hungary",
    "hu-za": "Zala, Hungary",
    "hu-ze": "Zalaegerszeg, Hungary",
    "id-ac": "Aceh, Hungary",
    "id-ba": "Bali, Hungary",
    "id-bb": "Bangka–Belitung Islands, Hungary",
    "id-be": "Bengkulu, Hungary",
    "id-bt": "Banten, Hungary",
    "id-go": "Gorontalo, Hungary",
    "id-ja": "Jambi, Hungary",
    "id-jb": "West Java, Hungary",
    "id-ji": "East Java, Hungary",
    "id-jk": "Jakarta, Hungary",
    "id-jt": "Central Java, Hungary",
    "id-jw": "Java, Indonesia",
    "id-ka": "Kalimantan, Indonesia",
    "id-kb": "West Kalimantan, Indonesia",
    "id-ki": "East Kalimantan, Indonesia",
    "id-kr": "Riau Islands, Indonesia",
    "id-ks": "South Kalimantan, Indonesia",
    "id-kt": "Central Kalimantan, Indonesia",
    "id-ku": "North Kalimantan, Indonesia",
    "id-la": "Lampung, Indonesia",
    "id-ma": "Maluku, Indonesia",
    "id-ml": "Maluku Islands, Indonesia",
    "id-mu": "North Maluku, Indonesia",
    "id-nb": "West Nusa Tenggara, Indonesia",
    "id-nt": "East Nusa Tenggara, Indonesia",
    "id-nu": "Lesser Sunda Islands, Indonesia",
    "id-pa": "Papua, Indonesia",
    "id-pb": "West Papua, Indonesia",
    "id-pp": "Papua Islands, Indonesia",
    "id-ri": "Riau, Indonesia",
    "id-sa": "North Sulawesi, Indonesia",
    "id-sb": "West Sumatra, Indonesia",
    "id-sg": "Southeast Sulawesi, Indonesia",
    "id-sl": "Sulawesi, Indonesia",
    "id-sm": "Sumatra, Indonesia",
    "id-sn": "South Sulawesi, Indonesia",
    "id-sr": "West Sulawesi, Indonesia",
    "id-ss": "South Sumatra, Indonesia",
    "id-st": "Central Sulawesi, Indonesia",
    "id-su": "North Sumatra, Indonesia",
    "id-yo": "Yogyakarta, Indonesia",
    "ie-c": "Connacht, Ireland",
    "ie-ce": "Clare, Ireland",
    "ie-cn": "Cavan, Ireland",
    "ie-co": "Cork, Ireland",
    "ie-cw": "Carlow, Ireland",
    "ie-d": "Dublin, Ireland",
    "ie-dl": "Donegal, Ireland",
    "ie-g": "Galway, Ireland",
    "ie-ke": "Kildare, Ireland",
    "ie-kk": "Kilkenny, Ireland",
    "ie-ky": "Kerry, Ireland",
    "ie-l": "Leinster, Ireland",
    "ie-ld": "Longford, Ireland",
    "ie-lh": "Louth, Ireland",
    "ie-lk": "Limerick, Ireland",
    "ie-lm": "Leitrim, Ireland",
    "ie-ls": "Laois, Ireland",
    "ie-m": "Munster, Ireland",
    "ie-mh": "Meath, Ireland",
    "ie-mn": "Monaghan, Ireland",
    "ie-mo": "Mayo, Ireland",
    "ie-oy": "Offaly, Ireland",
    "ie-rn": "Roscommon, Ireland",
    "ie-so": "Sligo, Ireland",
    "ie-ta": "Tipperary, Ireland",
    "ie-u": "Ulster, Ireland",
    "ie-wd": "Waterford, Ireland",
    "ie-wh": "Westmeath, Ireland",
    "ie-ww": "Wicklow, Ireland",
    "ie-wx": "Wexford, Ireland",
    "il-d": "Southern District, Israel",
    "il-ha": "Haifa District, Israel",
    "il-jm": "Jerusalem, Israel",
    "il-m": "Central District, Israel",
    "il-ta": "Tel Aviv District, Israel",
    "il-z": "Northern District, Israel",
    "in-an": "Andaman and Nicobar Islands, India",
    "in-ap": "Andhra Pradesh, India",
    "in-ar": "Arunachal Pradesh, India",
    "in-as": "Assam, India",
    "in-br": "Bihar, India",
    "in-ch": "Chandigarh, India",
    "in-ct": "Chhattisgarh, India",
    "in-dd": "Daman and Diu, India",
    "in-dl": "Delhi, India",
    "in-dn": "Dadra and Nagar Haveli, India",
    "in-ga": "Goa, India",
    "in-gj": "Gujarat, India",
    "in-hp": "Himachal Pradesh, India",
    "in-hr": "Haryana, India",
    "in-jh": "Jharkhand, India",
    "in-jk": "Jammu and Kashmir, India",
    "in-ka": "Karnataka, India",
    "in-kl": "Kerala, India",
    "in-ld": "Lakshadweep, India",
    "in-mh": "Maharashtra, India",
    "in-ml": "Meghalaya, India",
    "in-mn": "Manipur, India",
    "in-mp": "Madhya Pradesh, India",
    "in-mz": "Mizoram, India",
    "in-nl": "Nagaland, India",
    "in-or": "Odisha, India",
    "in-pb": "Punjab, India",
    "in-py": "Puducherry, India",
    "in-rj": "Rajasthan, India",
    "in-sk": "Sikkim, India",
    "in-tg": "Telangana, India",
    "in-tn": "Tamil Nadu, India",
    "in-tr": "Tripura, India",
    "in-up": "Uttar Pradesh, India",
    "in-ut": "Uttarakhand, India",
    "in-wb": "West Bengal, India",
    "iq-an": "Al Anbar, Iraq",
    "iq-ar": "Erbil, Iraq",
    "iq-ba": "Basra, Iraq",
    "iq-bb": "Babylon, Iraq",
    "iq-bg": "Baghdad, Iraq",
    "iq-da": "Dohuk, Iraq",
    "iq-di": "Diyala, Iraq",
    "iq-dq": "Dhi Qar, Iraq",
    "iq-ka": "Karbala, Iraq",
    "iq-ki": "Kirkuk, Iraq",
    "iq-ma": "Maysan, Iraq",
    "iq-mu": "Al Muthanna, Iraq",
    "iq-na": "Najaf, Iraq",
    "iq-ni": "Nineveh, Iraq",
    "iq-qa": "Al-Qādisiyyah, Iraq",
    "iq-sd": "Saladin, Iraq",
    "iq-su": "Sulaymaniyah, Iraq",
    "iq-wa": "Wasit, Iraq",
    "ir-01": "East Azerbaijan, Iran",
    "ir-02": "West Azarbaijan, Iran",
    "ir-03": "Ardabil, Iran",
    "ir-04": "Isfahan, Iran",
    "ir-05": "Ilam, Iran",
    "ir-06": "Bushehr, Iran",
    "ir-07": "Tehran, Iran",
    "ir-08": "Chaharmahal and Bakhtiari, Iran",
    "ir-10": "Khuzestan, Iran",
    "ir-11": "Zanjan, Iran",
    "ir-12": "Semnan, Iran",
    "ir-13": "Sistan and Baluchestan, Iran",
    "ir-14": "Fars, Iran",
    "ir-15": "Kerman, Iran",
    "ir-16": "Kurdistan, Iran",
    "ir-17": "Kermanshah, Iran",
    "ir-18": "Kohgiluyeh and Boyer-Ahmad, Iran",
    "ir-19": "Gilan, Iran",
    "ir-20": "Lorestan, Iran",
    "ir-21": "Mazandaran, Iran",
    "ir-22": "Markazi, Iran",
    "ir-23": "Hormozgan, Iran",
    "ir-24": "Hamadan, Iran",
    "ir-25": "Yazd, Iran",
    "ir-26": "Qom, Iran",
    "ir-27": "Golestan, Iran",
    "ir-28": "Qazvin, Iran",
    "ir-29": "South Khorasan, Iran",
    "ir-30": "Razavi Khorasan, Iran",
    "ir-31": "North Khorasan, Iran",
    "ir-32": "Alborz, Iran",
    "is-1": "Capital, Iceland",
    "is-2": "Southern Peninsula, Iceland",
    "is-3": "Western, Iceland",
    "is-4": "Westfjords, Iceland",
    "is-5": "Northwestern, Iceland",
    "is-6": "Northeastern, Iceland",
    "is-7": "Eastern, Iceland",
    "is-8": "Southern, Iceland",
    "it-21": "Piedmont, Italy",
    "it-23": "Aosta Valley, Italy",
    "it-25": "Lombardy, Italy",
    "it-32": "Trentino-South Tyrol, Italy",
    "it-34": "Veneto, Italy",
    "it-36": "Friuli–Venezia Giulia, Italy",
    "it-42": "Liguria, Italy",
    "it-45": "Emilia-Romagna, Italy",
    "it-52": "Tuscany, Italy",
    "it-55": "Umbria, Italy",
    "it-57": "Marche, Italy",
    "it-62": "Lazio, Italy",
    "it-65": "Abruzzo, Italy",
    "it-67": "Molise, Italy",
    "it-72": "Campania, Italy",
    "it-75": "Apulia, Italy",
    "it-77": "Basilicata, Italy",
    "it-78": "Calabria, Italy",
    "it-82": "Sicily, Italy",
    "it-88": "Sardinia, Italy",
    "it-ag": "Agrigento, Italy",
    "it-al": "Alessandria, Italy",
    "it-an": "Ancona, Italy",
    "it-ao": "Aosta, Italy",
    "it-ap": "Ascoli Piceno, Italy",
    "it-aq": "L’Aquila, Italy",
    "it-ar": "Arezzo, Italy",
    "it-at": "Asti, Italy",
    "it-av": "Avellino, Italy",
    "it-ba": "Bari, Italy",
    "it-bg": "Bergamo, Italy",
    "it-bi": "Biella, Italy",
    "it-bl": "Belluno, Italy",
    "it-bn": "Benevento, Italy",
    "it-bo": "Bologna, Italy",
    "it-br": "Brindisi, Italy",
    "it-bs": "Brescia, Italy",
    "it-bt": "Barletta-Andria-Trani, Italy",
    "it-bz": "South Tyrol, Italy",
    "it-ca": "Cagliari, Italy",
    "it-cb": "Campobasso, Italy",
    "it-ce": "Caserta, Italy",
    "it-ch": "Chieti, Italy",
    "it-ci": "Carbonia-Iglesias, Italy",
    "it-cl": "Caltanissetta, Italy",
    "it-cn": "Cuneo, Italy",
    "it-co": "Como, Italy",
    "it-cr": "Cremona, Italy",
    "it-cs": "Cosenza, Italy",
    "it-ct": "Catania, Italy",
    "it-cz": "Catanzaro, Italy",
    "it-en": "Enna, Italy",
    "it-fc": "Forlì-Cesena, Italy",
    "it-fe": "Ferrara, Italy",
    "it-fg": "Foggia, Italy",
    "it-fi": "Florence, Italy",
    "it-fm": "Fermo, Italy",
    "it-fr": "Frosinone, Italy",
    "it-ge": "Genoa, Italy",
    "it-go": "Gorizia, Italy",
    "it-gr": "Grosseto, Italy",
    "it-im": "Imperia, Italy",
    "it-is": "Isernia, Italy",
    "it-kr": "Crotone, Italy",
    "it-lc": "Lecco, Italy",
    "it-le": "Lecce, Italy",
    "it-li": "Livorno, Italy",
    "it-lo": "Lodi, Italy",
    "it-lt": "Latina, Italy",
    "it-lu": "Lucca, Italy",
    "it-mb": "Monza and Brianza, Italy",
    "it-mc": "Macerata, Italy",
    "it-me": "Messina, Italy",
    "it-mi": "Milan, Italy",
    "it-mn": "Mantua, Italy",
    "it-mo": "Modena, Italy",
    "it-ms": "Massa and Carrara, Italy",
    "it-mt": "Matera, Italy",
    "it-na": "Naples, Italy",
    "it-no": "Novara, Italy",
    "it-nu": "Nuoro, Italy",
    "it-og": "Ogliastra, Italy",
    "it-or": "Oristano, Italy",
    "it-ot": "Olbia-Tempio, Italy",
    "it-pa": "Palermo, Italy",
    "it-pc": "Piacenza, Italy",
    "it-pd": "Padua, Italy",
    "it-pe": "Pescara, Italy",
    "it-pg": "Perugia, Italy",
    "it-pi": "Pisa, Italy",
    "it-pn": "Pordenone, Italy",
    "it-po": "Prato, Italy",
    "it-pr": "Parma, Italy",
    "it-pt": "Pistoia, Italy",
    "it-pu": "Pesaro and Urbino, Italy",
    "it-pv": "Pavia, Italy",
    "it-pz": "Potenza, Italy",
    "it-ra": "Ravenna, Italy",
    "it-rc": "Reggio Calabria, Italy",
    "it-re": "Reggio Emilia, Italy",
    "it-rg": "Ragusa, Italy",
    "it-ri": "Rieti, Italy",
    "it-rm": "Rome, Italy",
    "it-rn": "Rimini, Italy",
    "it-ro": "Rovigo, Italy",
    "it-sa": "Salerno, Italy",
    "it-si": "Siena, Italy",
    "it-so": "Sondrio, Italy",
    "it-sp": "La Spezia, Italy",
    "it-sr": "Syracuse, Italy",
    "it-ss": "Sassari, Italy",
    "it-sv": "Savona, Italy",
    "it-ta": "Taranto, Italy",
    "it-te": "Teramo, Italy",
    "it-tn": "Trentino, Italy",
    "it-to": "Turin, Italy",
    "it-tp": "Trapani, Italy",
    "it-tr": "Terni, Italy",
    "it-ts": "Trieste, Italy",
    "it-tv": "Treviso, Italy",
    "it-ud": "Udine, Italy",
    "it-va": "Varese, Italy",
    "it-vb": "Verbano-Cusio-Ossola, Italy",
    "it-vc": "Vercelli, Italy",
    "it-ve": "Venice, Italy",
    "it-vi": "Vicenza, Italy",
    "it-vr": "Verona, Italy",
    "it-vs": "Medio Campidano, Italy",
    "it-vt": "Viterbo, Italy",
    "it-vv": "Vibo Valentia, Italy",
    "jm-01": "Kingston, Jamaica",
    "jm-02": "Saint Andrew, Jamaica",
    "jm-03": "Saint Thomas, Jamaica",
    "jm-04": "Portland, Jamaica",
    "jm-05": "Saint Mary, Jamaica",
    "jm-06": "Saint Ann, Jamaica",
    "jm-07": "Trelawny, Jamaica",
    "jm-08": "Saint James, Jamaica",
    "jm-09": "Hanover, Jamaica",
    "jm-10": "Westmoreland, Jamaica",
    "jm-11": "Saint Elizabeth, Jamaica",
    "jm-12": "Manchester, Jamaica",
    "jm-13": "Clarendon, Jamaica",
    "jm-14": "Saint Catherine, Jamaica",
    "jo-aj": "Ajloun, Jordan",
    "jo-am": "Amman, Jordan",
    "jo-aq": "Aqaba, Jordan",
    "jo-at": "Tafilah, Jordan",
    "jo-az": "Zarqa, Jordan",
    "jo-ba": "Balqa, Jordan",
    "jo-ir": "Irbid, Jordan",
    "jo-ja": "Jerash, Jordan",
    "jo-ka": "Karak, Jordan",
    "jo-ma": "Mafraq, Jordan",
    "jo-md": "Madaba, Jordan",
    "jo-mn": "Ma’an, Jordan",
    "jp-01": "Hokkaidō, Japan",
    "jp-02": "Aomori, Japan",
    "jp-03": "Iwate, Japan",
    "jp-04": "Miyagi, Japan",
    "jp-05": "Akita, Japan",
    "jp-06": "Yamagata, Japan",
    "jp-07": "Fukushima, Japan",
    "jp-08": "Ibaraki, Japan",
    "jp-09": "Tochigi, Japan",
    "jp-10": "Gunma, Japan",
    "jp-11": "Saitama, Japan",
    "jp-12": "Chiba, Japan",
    "jp-13": "Tokyo, Japan",
    "jp-14": "Kanagawa, Japan",
    "jp-15": "Niigata, Japan",
    "jp-16": "Toyama, Japan",
    "jp-17": "Ishikawa, Japan",
    "jp-18": "Fukui, Japan",
    "jp-19": "Yamanashi, Japan",
    "jp-20": "Nagano, Japan",
    "jp-21": "Gifu, Japan",
    "jp-22": "Shizuoka, Japan",
    "jp-23": "Aichi, Japan",
    "jp-24": "Mie, Japan",
    "jp-25": "Shiga, Japan",
    "jp-26": "Kyōto, Japan",
    "jp-27": "Ōsaka, Japan",
    "jp-28": "Hyōgo, Japan",
    "jp-29": "Nara, Japan",
    "jp-30": "Wakayama, Japan",
    "jp-31": "Tottori, Japan",
    "jp-32": "Shimane, Japan",
    "jp-33": "Okayama, Japan",
    "jp-34": "Hiroshima, Japan",
    "jp-35": "Yamaguchi, Japan",
    "jp-36": "Tokushima, Japan",
    "jp-37": "Kagawa, Japan",
    "jp-38": "Ehime, Japan",
    "jp-39": "Kōchi, Japan",
    "jp-40": "Fukuoka, Japan",
    "jp-41": "Saga, Japan",
    "jp-42": "Nagasaki, Japan",
    "jp-43": "Kumamoto, Japan",
    "jp-44": "Ōita, Japan",
    "jp-45": "Miyazaki, Japan",
    "jp-46": "Kagoshima, Japan",
    "jp-47": "Okinawa, Japan",
    "ke-01": "Baringo, Kenya",
    "ke-02": "Bomet, Kenya",
    "ke-03": "Bungoma, Kenya",
    "ke-04": "Busia, Kenya",
    "ke-05": "Elgeyo-Marakwet, Kenya",
    "ke-06": "Embu, Kenya",
    "ke-07": "Garissa, Kenya",
    "ke-08": "Homa Bay, Kenya",
    "ke-09": "Isiolo, Kenya",
    "ke-10": "Kajiado, Kenya",
    "ke-11": "Kakamega, Kenya",
    "ke-12": "Kericho, Kenya",
    "ke-13": "Kiambu, Kenya",
    "ke-14": "Kilifi, Kenya",
    "ke-15": "Kirinyaga, Kenya",
    "ke-16": "Kisii, Kenya",
    "ke-17": "Kisumu, Kenya",
    "ke-18": "Kitui, Kenya",
    "ke-19": "Kwale, Kenya",
    "ke-20": "Laikipia, Kenya",
    "ke-21": "Lamu, Kenya",
    "ke-22": "Machakos, Kenya",
    "ke-23": "Makueni, Kenya",
    "ke-24": "Mandera, Kenya",
    "ke-25": "Marsabit, Kenya",
    "ke-26": "Meru, Kenya",
    "ke-27": "Migori, Kenya",
    "ke-28": "Mombasa, Kenya",
    "ke-29": "Murang’a, Kenya",
    "ke-30": "Nairobi County, Kenya",
    "ke-31": "Nakuru, Kenya",
    "ke-32": "Nandi, Kenya",
    "ke-33": "Narok, Kenya",
    "ke-34": "Nyamira, Kenya",
    "ke-35": "Nyandarua, Kenya",
    "ke-36": "Nyeri, Kenya",
    "ke-37": "Samburu, Kenya",
    "ke-38": "Siaya, Kenya",
    "ke-39": "Taita-Taveta, Kenya",
    "ke-40": "Tana River, Kenya",
    "ke-41": "Tharaka-Nithi, Kenya",
    "ke-42": "Trans Nzoia, Kenya",
    "ke-43": "Turkana, Kenya",
    "ke-44": "Uasin Gishu, Kenya",
    "ke-45": "Vihiga, Kenya",
    "ke-46": "Wajir, Kenya",
    "ke-47": "West Pokot, Kenya",
    "kg-b": "Batken, Kyrgyzstan",
    "kg-c": "Chuy, Kyrgyzstan",
    "kg-gb": "Bishkek, Kyrgyzstan",
    "kg-go": "Osh, Kyrgyzstan",
    "kg-j": "Jalal-Abad, Kyrgyzstan",
    "kg-n": "Naryn, Kyrgyzstan",
    "kg-o": "Osh Region, Kyrgyzstan",
    "kg-t": "Talas, Kyrgyzstan",
    "kg-y": "Issyk-Kul, Kyrgyzstan",
    "kh-1": "Banteay Meanchey, Cambodia",
    "kh-2": "Battambang, Cambodia",
    "kh-3": "Kampong Cham, Cambodia",
    "kh-4": "Kampong Chhnang, Cambodia",
    "kh-5": "Kampong Speu, Cambodia",
    "kh-6": "Kampong Thom, Cambodia",
    "kh-7": "Kampot, Cambodia",
    "kh-8": "Kandal, Cambodia",
    "kh-9": "Koh Kong, Cambodia",
    "kh-10": "Kratié, Cambodia",
    "kh-11": "Mondulkiri, Cambodia",
    "kh-12": "Phnom Penh, Cambodia",
    "kh-13": "Preah Vihear, Cambodia",
    "kh-14": "Prey Veng, Cambodia",
    "kh-15": "Pursat, Cambodia",
    "kh-16": "Ratanakiri, Cambodia",
    "kh-17": "Siem Reap, Cambodia",
    "kh-18": "Sihanoukville, Cambodia",
    "kh-19": "Stung Treng, Cambodia",
    "kh-20": "Svay Rieng, Cambodia",
    "kh-21": "Takéo, Cambodia",
    "kh-22": "Oddar Meanchey, Cambodia",
    "kh-23": "Kep, Cambodia",
    "kh-24": "Pailin, Cambodia",
    "kh-25": "Tbong Khmum, Cambodia",
    "ki-g": "Gilbert Islands, Kiribati",
    "ki-l": "Line Islands, Kiribati",
    "ki-p": "Phoenix Islands, Kiribati",
    "km-a": "Anjouan, Comoros",
    "km-g": "Grande Comore, Comoros",
    "km-m": "Mohéli, Comoros",
    "kn-01": "Christ Church Nichola Town, Comoros",
    "kn-02": "Saint Anne Sandy Point, Comoros",
    "kn-03": "Saint George Basseterre, Comoros",
    "kn-04": "Saint George Gingerland, Comoros",
    "kn-05": "Saint James Windward, Comoros",
    "kn-06": "Saint John Capisterre, Comoros",
    "kn-07": "Saint John Figtree, Comoros",
    "kn-08": "Saint Mary Cayon, Comoros",
    "kn-09": "Saint Paul Capisterre, Comoros",
    "kn-10": "Saint Paul Charlestown, Comoros",
    "kn-11": "Saint Peter Basseterre, Comoros",
    "kn-12": "Saint Thomas Lowland, Comoros",
    "kn-13": "Saint Thomas Middle Island, Comoros",
    "kn-15": "Trinity Palmetto Point, Comoros",
    "kn-k": "Saint Kitts, St. Kitts & Nevis",
    "kn-n": "Nevis, St. Kitts & Nevis",
    "kp-01": "Pyongyang, North Korea",
    "kp-02": "South Pyongan, North Korea",
    "kp-03": "North Pyongan, North Korea",
    "kp-04": "Chagang, North Korea",
    "kp-05": "South Hwanghae, North Korea",
    "kp-06": "North Hwanghae, North Korea",
    "kp-07": "Kangwon, North Korea",
    "kp-08": "South Hamgyong, North Korea",
    "kp-09": "North Hamgyong, North Korea",
    "kp-10": "Ryanggang, North Korea",
    "kp-13": "Rason, North Korea",
    "kp-14": "Nampho, North Korea",
    "kr-11": "Seoul, South Korea",
    "kr-26": "Busan, South Korea",
    "kr-27": "Daegu, South Korea",
    "kr-28": "Incheon, South Korea",
    "kr-29": "Gwangju City, South Korea",
    "kr-30": "Daejeon, South Korea",
    "kr-31": "Ulsan, South Korea",
    "kr-41": "Gyeonggi, South Korea",
    "kr-42": "Gangwon, South Korea",
    "kr-43": "North Chungcheong, South Korea",
    "kr-44": "South Chungcheong, South Korea",
    "kr-45": "North Jeolla, South Korea",
    "kr-46": "South Jeolla, South Korea",
    "kr-47": "North Gyeongsang, South Korea",
    "kr-48": "South Gyeongsang, South Korea",
    "kr-49": "Jeju, South Korea",
    "kr-50": "Sejong, South Korea",
    "kw-ah": "Al Ahmadi, Kuwait",
    "kw-fa": "Al Farwaniyah, Kuwait",
    "kw-ha": "Hawalli, Kuwait",
    "kw-ja": "Al Jahra, Kuwait",
    "kw-ku": "Al Asimah, Kuwait",
    "kw-mu": "Mubarak Al-Kabeer, Kuwait",
    "kz-akm": "Akmola, Kazakhstan",
    "kz-akt": "Aktobe, Kazakhstan",
    "kz-ala": "Almaty, Kazakhstan",
    "kz-alm": "Almaty Region, Kazakhstan",
    "kz-ast": "Astana, Kazakhstan",
    "kz-aty": "Atyrau, Kazakhstan",
    "kz-bay": "Bayqongyr, Kazakhstan",
    "kz-kar": "Karagandy, Kazakhstan",
    "kz-kus": "Kostanay, Kazakhstan",
    "kz-kzy": "Kyzylorda, Kazakhstan",
    "kz-man": "Mangystau, Kazakhstan",
    "kz-pav": "Pavlodar, Kazakhstan",
    "kz-sev": "North Kazakhstan, Kazakhstan",
    "kz-shy": "Shymkent, Kazakhstan",
    "kz-vos": "East Kazakhstan, Kazakhstan",
    "kz-yuz": "South Kazakhstan, Kazakhstan",
    "kz-zap": "West Kazakhstan, Kazakhstan",
    "kz-zha": "Jambyl, Kazakhstan",
    "la-at": "Attapeu, Laos",
    "la-bk": "Bokeo, Laos",
    "la-bl": "Bolikhamsai, Laos",
    "la-ch": "Champasak, Laos",
    "la-ho": "Houaphanh, Laos",
    "la-kh": "Khammouane, Laos",
    "la-lm": "Luang Namtha, Laos",
    "la-lp": "Luang Prabang, Laos",
    "la-ou": "Oudomxay, Laos",
    "la-ph": "Phongsaly, Laos",
    "la-sl": "Salavan, Laos",
    "la-sv": "Savannakhet, Laos",
    "la-vi": "Vientiane Province, Laos",
    "la-vt": "Vientiane, Laos",
    "la-xa": "Sainyabuli, Laos",
    "la-xe": "Sekong, Laos",
    "la-xi": "Xiangkhouang, Laos",
    "la-xs": "Xaisomboun, Laos",
    "lb-ak": "Akkar, Lebanon",
    "lb-as": "North, Lebanon",
    "lb-ba": "Beirut, Lebanon",
    "lb-bh": "Baalbek-Hermel, Lebanon",
    "lb-bi": "Beqaa, Lebanon",
    "lb-ja": "South, Lebanon",
    "lb-jl": "Mount Lebanon, Lebanon",
    "lb-na": "Nabatieh, Lebanon",
    "lc-01": "Anse la Raye, St. Lucia",
    "lc-02": "Castries, St. Lucia",
    "lc-03": "Choiseul, St. Lucia",
    "lc-05": "Dennery, St. Lucia",
    "lc-06": "Gros Islet, St. Lucia",
    "lc-07": "Laborie, St. Lucia",
    "lc-08": "Micoud, St. Lucia",
    "lc-10": "Soufrière, St. Lucia",
    "lc-11": "Vieux Fort, St. Lucia",
    "lc-12": "Canaries, St. Lucia",
    "li-01": "Balzers, Liechtenstein",
    "li-02": "Eschen, Liechtenstein",
    "li-03": "Gamprin, Liechtenstein",
    "li-04": "Mauren, Liechtenstein",
    "li-05": "Planken, Liechtenstein",
    "li-06": "Ruggell, Liechtenstein",
    "li-07": "Schaan, Liechtenstein",
    "li-08": "Schellenberg, Liechtenstein",
    "li-09": "Triesen, Liechtenstein",
    "li-10": "Triesenberg, Liechtenstein",
    "li-11": "Vaduz, Liechtenstein",
    "lk-1": "Western, Sri Lanka",
    "lk-2": "Central, Sri Lanka",
    "lk-3": "Southern, Sri Lanka",
    "lk-4": "Northern, Sri Lanka",
    "lk-5": "Eastern, Sri Lanka",
    "lk-6": "North Western, Sri Lanka",
    "lk-7": "North Central, Sri Lanka",
    "lk-8": "Uva, Sri Lanka",
    "lk-9": "Sabaragamuwa, Sri Lanka",
    "lk-11": "Colombo, Sri Lanka",
    "lk-12": "Gampaha, Sri Lanka",
    "lk-13": "Kalutara, Sri Lanka",
    "lk-21": "Kandy, Sri Lanka",
    "lk-22": "Matale, Sri Lanka",
    "lk-23": "Nuwara Eliya, Sri Lanka",
    "lk-31": "Galle, Sri Lanka",
    "lk-32": "Matara, Sri Lanka",
    "lk-33": "Hambantota, Sri Lanka",
    "lk-41": "Jaffna, Sri Lanka",
    "lk-42": "Kilinochchi, Sri Lanka",
    "lk-43": "Mannar, Sri Lanka",
    "lk-44": "Vavuniya, Sri Lanka",
    "lk-45": "Mullaitivu, Sri Lanka",
    "lk-51": "Batticaloa, Sri Lanka",
    "lk-52": "Ampara, Sri Lanka",
    "lk-53": "Trincomalee, Sri Lanka",
    "lk-61": "Kurunegala, Sri Lanka",
    "lk-62": "Puttalam, Sri Lanka",
    "lk-71": "Anuradhapura, Sri Lanka",
    "lk-72": "Polonnaruwa, Sri Lanka",
    "lk-81": "Badulla, Sri Lanka",
    "lk-82": "Moneragala, Sri Lanka",
    "lk-91": "Ratnapura, Sri Lanka",
    "lk-92": "Kegalle, Sri Lanka",
    "lr-bg": "Bong, Liberia",
    "lr-bm": "Bomi, Liberia",
    "lr-cm": "Grand Cape Mount, Liberia",
    "lr-gb": "Grand Bassa, Liberia",
    "lr-gg": "Grand Gedeh, Liberia",
    "lr-gk": "Grand Kru, Liberia",
    "lr-gp": "Gbarpolu, Liberia",
    "lr-lo": "Lofa, Liberia",
    "lr-mg": "Margibi, Liberia",
    "lr-mo": "Montserrado, Liberia",
    "lr-my": "Maryland, Liberia",
    "lr-ni": "Nimba, Liberia",
    "lr-rg": "River Gee, Liberia",
    "lr-ri": "Rivercess, Liberia",
    "lr-si": "Sinoe, Liberia",
    "ls-a": "Maseru, Lesotho",
    "ls-b": "Butha-Buthe, Lesotho",
    "ls-c": "Leribe, Lesotho",
    "ls-d": "Berea, Lesotho",
    "ls-e": "Mafeteng, Lesotho",
    "ls-f": "Mohale’s Hoek, Lesotho",
    "ls-g": "Quthing, Lesotho",
    "ls-h": "Qacha’s Nek, Lesotho",
    "ls-j": "Mokhotlong, Lesotho",
    "ls-k": "Thaba-Tseka, Lesotho",
    "lt-01": "Akmenė, Lithuania",
    "lt-02": "Alytus Municipality, Lithuania",
    "lt-03": "Alytus, Lithuania",
    "lt-04": "Anykščiai, Lithuania",
    "lt-05": "Birštonas, Lithuania",
    "lt-06": "Biržai, Lithuania",
    "lt-07": "Druskininkai, Lithuania",
    "lt-08": "Elektrėnai, Lithuania",
    "lt-09": "Ignalina, Lithuania",
    "lt-10": "Jonava, Lithuania",
    "lt-11": "Joniškis, Lithuania",
    "lt-12": "Jurbarkas, Lithuania",
    "lt-13": "Kaišiadorys, Lithuania",
    "lt-14": "Kalvarija, Lithuania",
    "lt-15": "Kauno Municipality, Lithuania",
    "lt-16": "Kaunas, Lithuania",
    "lt-17": "Kazlų Rūda, Lithuania",
    "lt-18": "Kėdainiai, Lithuania",
    "lt-19": "Kelmė, Lithuania",
    "lt-20": "Klaipėdos Municipality, Lithuania",
    "lt-21": "Klaipėda, Lithuania",
    "lt-22": "Kretinga, Lithuania",
    "lt-23": "Kupiškis, Lithuania",
    "lt-24": "Lazdijai, Lithuania",
    "lt-25": "Marijampolė, Lithuania",
    "lt-26": "Mažeikiai, Lithuania",
    "lt-27": "Molėtai, Lithuania",
    "lt-28": "Neringa, Lithuania",
    "lt-29": "Pagėgiai, Lithuania",
    "lt-30": "Pakruojis, Lithuania",
    "lt-31": "Palanga, Lithuania",
    "lt-32": "Panevėžio Municipality, Lithuania",
    "lt-33": "Panevėžys, Lithuania",
    "lt-34": "Pasvalys, Lithuania",
    "lt-35": "Plungė, Lithuania",
    "lt-36": "Prienai, Lithuania",
    "lt-37": "Radviliškis, Lithuania",
    "lt-38": "Raseiniai, Lithuania",
    "lt-39": "Rietavas, Lithuania",
    "lt-40": "Rokiškis, Lithuania",
    "lt-41": "Šakiai, Lithuania",
    "lt-42": "Šalčininkai, Lithuania",
    "lt-43": "Šiaulių Municipality, Lithuania",
    "lt-44": "Šiauliai, Lithuania",
    "lt-45": "Šilalė, Lithuania",
    "lt-46": "Šilutė, Lithuania",
    "lt-47": "Širvintos, Lithuania",
    "lt-48": "Skuodas, Lithuania",
    "lt-49": "Švenčionys, Lithuania",
    "lt-50": "Tauragė, Lithuania",
    "lt-51": "Telšiai, Lithuania",
    "lt-52": "Trakai, Lithuania",
    "lt-53": "Ukmergė, Lithuania",
    "lt-54": "Utena, Lithuania",
    "lt-55": "Varėna, Lithuania",
    "lt-56": "Vilkaviškis, Lithuania",
    "lt-57": "Vilniaus Municipality, Lithuania",
    "lt-58": "Vilnius, Lithuania",
    "lt-59": "Visaginas, Lithuania",
    "lt-60": "Zarasai, Lithuania",
    "lt-al": "Alytus County, Lithuania",
    "lt-kl": "Klaipėda County, Lithuania",
    "lt-ku": "Kaunas County, Lithuania",
    "lt-mr": "Marijampolė County, Lithuania",
    "lt-pn": "Panevėžys County, Lithuania",
    "lt-sa": "Šiauliai County, Lithuania",
    "lt-ta": "Tauragė County, Lithuania",
    "lt-te": "Telšiai County, Lithuania",
    "lt-ut": "Utena County, Lithuania",
    "lt-vl": "Vilnius County, Lithuania",
    "lu-ca": "Capellen, Luxembourg",
    "lu-cl": "Clervaux, Luxembourg",
    "lu-di": "Diekirch, Luxembourg",
    "lu-ec": "Echternach, Luxembourg",
    "lu-es": "Esch-sur-Alzette, Luxembourg",
    "lu-gr": "Grevenmacher, Luxembourg",
    "lu-lu": "Luxembourg, Luxembourg",
    "lu-me": "Mersch, Luxembourg",
    "lu-rd": "Redange, Luxembourg",
    "lu-rm": "Remich, Luxembourg",
    "lu-vd": "Vianden, Luxembourg",
    "lu-wi": "Wiltz, Luxembourg",
    "lv-001": "Aglona, Latvia",
    "lv-002": "Aizkraukle, Latvia",
    "lv-003": "Aizpute, Latvia",
    "lv-004": "Aknīste, Latvia",
    "lv-005": "Aloja, Latvia",
    "lv-006": "Alsunga, Latvia",
    "lv-007": "Alūksne, Latvia",
    "lv-008": "Amata, Latvia",
    "lv-009": "Ape, Latvia",
    "lv-010": "Auce, Latvia",
    "lv-011": "Ādaži, Latvia",
    "lv-012": "Babīte, Latvia",
    "lv-013": "Baldone, Latvia",
    "lv-014": "Baltinava, Latvia",
    "lv-015": "Balvi, Latvia",
    "lv-016": "Bauska, Latvia",
    "lv-017": "Beverīna, Latvia",
    "lv-018": "Brocēni, Latvia",
    "lv-019": "Burtnieki, Latvia",
    "lv-020": "Carnikava, Latvia",
    "lv-021": "Cesvaine, Latvia",
    "lv-022": "Cēsis, Latvia",
    "lv-023": "Cibla, Latvia",
    "lv-024": "Dagda, Latvia",
    "lv-025": "Daugavpils Municipality, Latvia",
    "lv-026": "Dobele, Latvia",
    "lv-027": "Dundaga, Latvia",
    "lv-028": "Durbe, Latvia",
    "lv-029": "Engure, Latvia",
    "lv-030": "Ērgļi, Latvia",
    "lv-031": "Garkalne, Latvia",
    "lv-032": "Grobiņa, Latvia",
    "lv-033": "Gulbene, Latvia",
    "lv-034": "Iecava, Latvia",
    "lv-035": "Ikšķile, Latvia",
    "lv-036": "Ilūkste, Latvia",
    "lv-037": "Inčukalns, Latvia",
    "lv-038": "Jaunjelgava, Latvia",
    "lv-039": "Jaunpiebalga, Latvia",
    "lv-040": "Jaunpils, Latvia",
    "lv-041": "Jelgava Municipality, Latvia",
    "lv-042": "Jēkabpils Municipality, Latvia",
    "lv-043": "Kandava, Latvia",
    "lv-044": "Kārsava, Latvia",
    "lv-045": "Kocēni, Latvia",
    "lv-046": "Koknese, Latvia",
    "lv-047": "Krāslava, Latvia",
    "lv-048": "Krimulda, Latvia",
    "lv-049": "Krustpils, Latvia",
    "lv-050": "Kuldīga, Latvia",
    "lv-051": "Ķegums, Latvia",
    "lv-052": "Ķekava, Latvia",
    "lv-053": "Lielvārde, Latvia",
    "lv-054": "Limbaži, Latvia",
    "lv-055": "Līgatne, Latvia",
    "lv-056": "Līvāni, Latvia",
    "lv-057": "Lubāna, Latvia",
    "lv-058": "Ludza, Latvia",
    "lv-059": "Madona, Latvia",
    "lv-060": "Mazsalaca, Latvia",
    "lv-061": "Mālpils, Latvia",
    "lv-062": "Mārupe, Latvia",
    "lv-063": "Mērsrags, Latvia",
    "lv-064": "Naukšēni, Latvia",
    "lv-065": "Nereta, Latvia",
    "lv-066": "Nīca, Latvia",
    "lv-067": "Ogre, Latvia",
    "lv-068": "Olaine, Latvia",
    "lv-069": "Ozolnieki, Latvia",
    "lv-070": "Pārgauja, Latvia",
    "lv-071": "Pāvilosta, Latvia",
    "lv-072": "Pļaviņas, Latvia",
    "lv-073": "Preiļi, Latvia",
    "lv-074": "Priekule, Latvia",
    "lv-075": "Priekuļi, Latvia",
    "lv-076": "Rauna, Latvia",
    "lv-077": "Rēzekne Municipality, Latvia",
    "lv-078": "Riebiņi, Latvia",
    "lv-079": "Roja, Latvia",
    "lv-080": "Ropaži, Latvia",
    "lv-081": "Rucava, Latvia",
    "lv-082": "Rugāji, Latvia",
    "lv-083": "Rundāle, Latvia",
    "lv-084": "Rūjiena, Latvia",
    "lv-085": "Sala, Latvia",
    "lv-086": "Salacgrīva, Latvia",
    "lv-087": "Salaspils, Latvia",
    "lv-088": "Saldus, Latvia",
    "lv-089": "Saulkrasti, Latvia",
    "lv-090": "Sēja, Latvia",
    "lv-091": "Sigulda, Latvia",
    "lv-092": "Skrīveri, Latvia",
    "lv-093": "Skrunda, Latvia",
    "lv-094": "Smiltene, Latvia",
    "lv-095": "Stopiņi, Latvia",
    "lv-096": "Strenči, Latvia",
    "lv-097": "Talsi, Latvia",
    "lv-098": "Tērvete, Latvia",
    "lv-099": "Tukums, Latvia",
    "lv-100": "Vaiņode, Latvia",
    "lv-101": "Valka, Latvia",
    "lv-102": "Varakļāni, Latvia",
    "lv-103": "Vārkava, Latvia",
    "lv-104": "Vecpiebalga, Latvia",
    "lv-105": "Vecumnieki, Latvia",
    "lv-106": "Ventspils Municipality, Latvia",
    "lv-107": "Viesīte, Latvia",
    "lv-108": "Viļaka, Latvia",
    "lv-109": "Viļāni, Latvia",
    "lv-110": "Zilupe, Latvia",
    "lv-dgv": "Daugavpils, Latvia",
    "lv-jel": "Jelgava, Latvia",
    "lv-jkb": "Jēkabpils, Latvia",
    "lv-jur": "Jūrmala, Latvia",
    "lv-lpx": "Liepāja, Latvia",
    "lv-rez": "Rēzekne, Latvia",
    "lv-rix": "Riga, Latvia",
    "lv-ven": "Ventspils, Latvia",
    "lv-vmr": "Valmiera, Latvia",
    "ly-ba": "Benghazi, Libya",
    "ly-bu": "Butnan, Libya",
    "ly-dr": "Derna, Libya",
    "ly-gt": "Ghat, Libya",
    "ly-ja": "Jabal al Akhdar, Libya",
    "ly-jg": "Jabal al Gharbi, Libya",
    "ly-ji": "Jafara, Libya",
    "ly-ju": "Jufra, Libya",
    "ly-kf": "Kufra, Libya",
    "ly-mb": "Murqub, Libya",
    "ly-mi": "Misrata, Libya",
    "ly-mj": "Marj, Libya",
    "ly-mq": "Murzuq, Libya",
    "ly-nl": "Nalut, Libya",
    "ly-nq": "Nuqat al Khams, Libya",
    "ly-sb": "Sabha, Libya",
    "ly-sr": "Sirte, Libya",
    "ly-tb": "Tripoli, Libya",
    "ly-wa": "Al Wahat, Libya",
    "ly-wd": "Wadi al Hayaa, Libya",
    "ly-ws": "Wadi al Shatii, Libya",
    "ly-za": "Zawiya, Libya",
    "ma-01": "Tangier-Tétouan, Morocco",
    "ma-02": "Gharb-Chrarda-Béni Hssen, Morocco",
    "ma-03": "Taza-Al Hoceima-Taounate, Morocco",
    "ma-04": "Oriental, Morocco",
    "ma-05": "Fès-Boulemane, Morocco",
    "ma-06": "Meknès-Tafilalet, Morocco",
    "ma-07": "Rabat-Salé-Zemmour-Zaer, Morocco",
    "ma-08": "Grand Casablanca, Morocco",
    "ma-09": "Chaouia-Ouardigha, Morocco",
    "ma-10": "Doukkala-Abda, Morocco",
    "ma-11": "Marrakesh-Tensift-El Haouz, Morocco",
    "ma-12": "Tadla-Azilal, Morocco",
    "ma-13": "Souss-Massa-Drâa, Morocco",
    "ma-14": "Guelmim-Es Semara, Morocco",
    "ma-15": "Laâyoune-Boujdour-Sakia El Hamra, Morocco",
    "ma-16": "Oued Ed-Dahab-Lagouira, Morocco",
    "ma-agd": "Agadir-Ida Ou Tanane, Morocco",
    "ma-aou": "Aousserd, Morocco",
    "ma-asz": "Assa-Zag, Morocco",
    "ma-azi": "Azilal, Morocco",
    "ma-bem": "Béni-Mellal, Morocco",
    "ma-ber": "Berkane, Morocco",
    "ma-bes": "Ben Slimane, Morocco",
    "ma-bod": "Boujdour, Morocco",
    "ma-bom": "Boulemane, Morocco",
    "ma-brr": "Berrechid, Morocco",
    "ma-cas": "Casablanca, Morocco",
    "ma-che": "Chefchaouen, Morocco",
    "ma-chi": "Chichaoua, Morocco",
    "ma-cht": "Chtouka Aït Baha, Morocco",
    "ma-dri": "Driouch, Morocco",
    "ma-err": "Errachidia, Morocco",
    "ma-esi": "Essaouira, Morocco",
    "ma-esm": "Es Semara, Morocco",
    "ma-fah": "Fahs-Beni Makada, Morocco",
    "ma-fes": "Fès-Dar-Dbibegh, Morocco",
    "ma-fig": "Figuig, Morocco",
    "ma-fqh": "Fquih Ben Salah, Morocco",
    "ma-gue": "Guelmim, Morocco",
    "ma-guf": "Guercif, Morocco",
    "ma-haj": "El Hajeb, Morocco",
    "ma-hao": "Al Haouz, Morocco",
    "ma-hoc": "Al Hoceïma, Morocco",
    "ma-ifr": "Ifrane, Morocco",
    "ma-ine": "Inezgane-Aït Melloul, Morocco",
    "ma-jdi": "El Jadida, Morocco",
    "ma-jra": "Jerada, Morocco",
    "ma-ken": "Kénitra, Morocco",
    "ma-kes": "Kelaat Sraghna, Morocco",
    "ma-khe": "Khemisset, Morocco",
    "ma-khn": "Khénifra, Morocco",
    "ma-kho": "Khouribga, Morocco",
    "ma-laa": "Laâyoune, Morocco",
    "ma-lar": "Larache, Morocco",
    "ma-mar": "Marrakech, Morocco",
    "ma-mdf": "M’diq-Fnideq, Morocco",
    "ma-med": "Médiouna, Morocco",
    "ma-mek": "Meknès, Morocco",
    "ma-mid": "Midelt, Morocco",
    "ma-mmd": "Marrakech-Medina, Morocco",
    "ma-mmn": "Marrakech-Menara, Morocco",
    "ma-moh": "Mohammedia, Morocco",
    "ma-mou": "Moulay Yacoub, Morocco",
    "ma-nad": "Nador, Morocco",
    "ma-nou": "Nouaceur, Morocco",
    "ma-oua": "Ouarzazate, Morocco",
    "ma-oud": "Oued Ed-Dahab, Morocco",
    "ma-ouj": "Oujda-Angad, Morocco",
    "ma-ouz": "Ouezzane, Morocco",
    "ma-rab": "Rabat, Morocco",
    "ma-reh": "Rehamna, Morocco",
    "ma-saf": "Safi, Morocco",
    "ma-sal": "Salé, Morocco",
    "ma-sef": "Sefrou, Morocco",
    "ma-set": "Settat, Morocco",
    "ma-sib": "Sidi Bennour, Morocco",
    "ma-sif": "Sidi Ifni, Morocco",
    "ma-sik": "Sidi Kacem, Morocco",
    "ma-sil": "Sidi Slimane, Morocco",
    "ma-skh": "Skhirat-Témara, Morocco",
    "ma-syb": "Sidi Youssef Ben Ali, Morocco",
    "ma-taf": "Tarfaya (EH-partial), Morocco",
    "ma-tai": "Taourirt, Morocco",
    "ma-tao": "Taounate, Morocco",
    "ma-tar": "Taroudant, Morocco",
    "ma-tat": "Tata, Morocco",
    "ma-taz": "Taza, Morocco",
    "ma-tet": "Tétouan, Morocco",
    "ma-tin": "Tinghir, Morocco",
    "ma-tiz": "Tiznit, Morocco",
    "ma-tng": "Tangier-Assilah, Morocco",
    "ma-tnt": "Tan-Tan, Morocco",
    "ma-yus": "Youssoufia, Morocco",
    "ma-zag": "Zagora, Morocco",
    "mc-cl": "La Colle, Monaco",
    "mc-co": "La Condamine, Monaco",
    "mc-fo": "Fontvieille, Monaco",
    "mc-ga": "La Gare, Monaco",
    "mc-je": "Jardin Exotique de Monaco, Monaco",
    "mc-la": "Larvotto, Monaco",
    "mc-ma": "Malbousquet, Monaco",
    "mc-mc": "Monte Carlo, Monaco",
    "mc-mg": "Moneghetti, Monaco",
    "mc-mo": "Monaco-Ville, Monaco",
    "mc-mu": "Moulins, Monaco",
    "mc-ph": "Port Hercules, Monaco",
    "mc-sd": "Sainte-Dévote Chapel, Monaco",
    "mc-so": "La Source, Monaco",
    "mc-sp": "Spélugues, Monaco",
    "mc-sr": "Saint Roman, Monaco",
    "mc-vr": "Vallon de la Rousse, Monaco",
    "md-an": "Anenii Noi, Moldova",
    "md-ba": "Bălţi, Moldova",
    "md-bd": "Bender, Moldova",
    "md-br": "Briceni, Moldova",
    "md-bs": "Basarabeasca, Moldova",
    "md-ca": "Cahul, Moldova",
    "md-cl": "Călărași, Moldova",
    "md-cm": "Cimișlia, Moldova",
    "md-cr": "Criuleni, Moldova",
    "md-cs": "Căușeni, Moldova",
    "md-ct": "Cantemir, Moldova",
    "md-cu": "Chișinău, Moldova",
    "md-do": "Dondușeni, Moldova",
    "md-dr": "Drochia, Moldova",
    "md-du": "Dubăsari, Moldova",
    "md-ed": "Edineț, Moldova",
    "md-fa": "Fălești, Moldova",
    "md-fl": "Florești, Moldova",
    "md-ga": "Gagauzia, Moldova",
    "md-gl": "Glodeni, Moldova",
    "md-hi": "Hîncești, Moldova",
    "md-ia": "Ialoveni, Moldova",
    "md-le": "Leova, Moldova",
    "md-ni": "Nisporeni, Moldova",
    "md-oc": "Ocniţa, Moldova",
    "md-or": "Orhei, Moldova",
    "md-re": "Rezina, Moldova",
    "md-ri": "Rîșcani, Moldova",
    "md-sd": "Șoldănești, Moldova",
    "md-si": "Sîngerei, Moldova",
    "md-sn": "Transnistria, Moldova",
    "md-so": "Soroca, Moldova",
    "md-st": "Strășeni, Moldova",
    "md-sv": "Ştefan Vodă, Moldova",
    "md-ta": "Taraclia, Moldova",
    "md-te": "Telenești, Moldova",
    "md-un": "Ungheni, Moldova",
    "me-01": "Andrijevica, Montenegro",
    "me-02": "Bar, Montenegro",
    "me-03": "Berane, Montenegro",
    "me-04": "Bijelo Polje, Montenegro",
    "me-05": "Budva, Montenegro",
    "me-06": "Cetinje, Montenegro",
    "me-07": "Danilovgrad, Montenegro",
    "me-08": "Herceg Novi, Montenegro",
    "me-09": "Kolašin, Montenegro",
    "me-10": "Kotor, Montenegro",
    "me-11": "Mojkovac, Montenegro",
    "me-12": "Nikšić, Montenegro",
    "me-13": "Plav, Montenegro",
    "me-14": "Pljevlja, Montenegro",
    "me-15": "Plužine, Montenegro",
    "me-16": "Podgorica, Montenegro",
    "me-17": "Rožaje, Montenegro",
    "me-18": "Šavnik, Montenegro",
    "me-19": "Tivat, Montenegro",
    "me-20": "Ulcinj, Montenegro",
    "me-21": "Žabljak, Montenegro",
    "me-22": "Gusinje, Montenegro",
    "me-23": "Petnjica, Montenegro",
    "mg-a": "Toamasina, Madagascar",
    "mg-d": "Antsiranana, Madagascar",
    "mg-f": "Fianarantsoa, Madagascar",
    "mg-m": "Mahajanga, Madagascar",
    "mg-t": "Antananarivo, Madagascar",
    "mg-u": "Toliara, Madagascar",
    "mh-alk": "Ailuk Atoll, Madagascar",
    "mh-all": "Ailinglaplap Atoll, Madagascar",
    "mh-arn": "Arno, Madagascar",
    "mh-aur": "Aur Atoll, Madagascar",
    "mh-ebo": "Ebon Atoll, Madagascar",
    "mh-eni": "Enewetak Atoll, Madagascar",
    "mh-jab": "Jabat Island, Madagascar",
    "mh-jal": "Jaluit Atoll, Madagascar",
    "mh-kil": "Kili Island, Madagascar",
    "mh-kwa": "Kwajalein, Madagascar",
    "mh-l": "Ralik Chain, Marshall Islands",
    "mh-lae": "Lae Atoll, Marshall Islands",
    "mh-lib": "Lib Island, Marshall Islands",
    "mh-lik": "Likiep Atoll, Marshall Islands",
    "mh-maj": "Majuro, Marshall Islands",
    "mh-mal": "Maloelap Atoll, Marshall Islands",
    "mh-mej": "Mejit Island, Marshall Islands",
    "mh-mil": "Mili Atoll, Marshall Islands",
    "mh-nmk": "Namdrik Atoll, Marshall Islands",
    "mh-nmu": "Namu Atoll, Marshall Islands",
    "mh-ron": "Rongelap Atoll, Marshall Islands",
    "mh-t": "Ratak Chain, Marshall Islands",
    "mh-uja": "Ujae Atoll, Marshall Islands",
    "mh-uti": "Utirik Atoll, Marshall Islands",
    "mh-wth": "Wotho Atoll, Marshall Islands",
    "mh-wtj": "Wotje Atoll, Marshall Islands",
    "mk-02": "Aračinovo, Macedonia",
    "mk-03": "Berovo, Macedonia",
    "mk-04": "Bitola, Macedonia",
    "mk-05": "Bogdanci, Macedonia",
    "mk-06": "Bogovinje, Macedonia",
    "mk-07": "Bosilovo, Macedonia",
    "mk-08": "Brvenica, Macedonia",
    "mk-10": "Valandovo, Macedonia",
    "mk-11": "Vasilevo, Macedonia",
    "mk-12": "Vevčani, Macedonia",
    "mk-13": "Veles, Macedonia",
    "mk-14": "Vinica, Macedonia",
    "mk-16": "Vrapčište, Macedonia",
    "mk-18": "Gevgelija, Macedonia",
    "mk-19": "Gostivar, Macedonia",
    "mk-20": "Gradsko, Macedonia",
    "mk-21": "Debar, Macedonia",
    "mk-22": "Debarca, Macedonia",
    "mk-23": "Delčevo, Macedonia",
    "mk-24": "Demir Kapija, Macedonia",
    "mk-25": "Demir Hisar, Macedonia",
    "mk-26": "Dojran, Macedonia",
    "mk-27": "Dolneni, Macedonia",
    "mk-30": "Želino, Macedonia",
    "mk-32": "Zelenikovo, Macedonia",
    "mk-33": "Zrnovci, Macedonia",
    "mk-34": "Ilinden, Macedonia",
    "mk-35": "Jegunovce, Macedonia",
    "mk-36": "Kavadarci, Macedonia",
    "mk-37": "Karbinci, Macedonia",
    "mk-40": "Kičevo, Macedonia",
    "mk-41": "Konče, Macedonia",
    "mk-42": "Kočani, Macedonia",
    "mk-43": "Kratovo, Macedonia",
    "mk-44": "Kriva Palanka, Macedonia",
    "mk-45": "Krivogaštani, Macedonia",
    "mk-46": "Kruševo, Macedonia",
    "mk-47": "Kumanovo, Macedonia",
    "mk-48": "Lipkovo, Macedonia",
    "mk-49": "Lozovo, Macedonia",
    "mk-50": "Mavrovo and Rostuša, Macedonia",
    "mk-51": "Makedonska Kamenica, Macedonia",
    "mk-52": "Makedonski Brod, Macedonia",
    "mk-53": "Mogila, Macedonia",
    "mk-54": "Negotino, Macedonia",
    "mk-55": "Novaci, Macedonia",
    "mk-56": "Novo Selo, Macedonia",
    "mk-58": "Ohrid, Macedonia",
    "mk-59": "Petrovec, Macedonia",
    "mk-60": "Pehčevo, Macedonia",
    "mk-61": "Plasnica, Macedonia",
    "mk-62": "Prilep, Macedonia",
    "mk-63": "Probištip, Macedonia",
    "mk-64": "Radoviš, Macedonia",
    "mk-65": "Rankovce, Macedonia",
    "mk-66": "Resen, Macedonia",
    "mk-67": "Rosoman, Macedonia",
    "mk-69": "Sveti Nikole, Macedonia",
    "mk-70": "Sopište, Macedonia",
    "mk-71": "Staro Nagoričane, Macedonia",
    "mk-72": "Struga, Macedonia",
    "mk-73": "Strumica, Macedonia",
    "mk-74": "Studeničani, Macedonia",
    "mk-75": "Tearce, Macedonia",
    "mk-76": "Tetovo, Macedonia",
    "mk-78": "Centar Župa, Macedonia",
    "mk-80": "Čaška, Macedonia",
    "mk-81": "Češinovo-Obleševo, Macedonia",
    "mk-82": "Čučer-Sandevo, Macedonia",
    "mk-83": "Štip, Macedonia",
    "mk-85": "Skopje, Macedonia",
    "ml-1": "Kayes, Mali",
    "ml-2": "Koulikoro, Mali",
    "ml-3": "Sikasso, Mali",
    "ml-4": "Ségou, Mali",
    "ml-5": "Mopti, Mali",
    "ml-6": "Tombouctou, Mali",
    "ml-7": "Gao, Mali",
    "ml-8": "Kidal, Mali",
    "ml-9": "Ménaka, Mali",
    "ml-10": "Taoudénit, Mali",
    "ml-bko": "Bamako, Mali",
    "mm-01": "Sagaing, Myanmar (Burma)",
    "mm-02": "Bago, Myanmar (Burma)",
    "mm-03": "Magway, Myanmar (Burma)",
    "mm-04": "Mandalay, Myanmar (Burma)",
    "mm-05": "Tanintharyi, Myanmar (Burma)",
    "mm-06": "Yangon, Myanmar (Burma)",
    "mm-07": "Ayeyarwady, Myanmar (Burma)",
    "mm-11": "Kachin, Myanmar (Burma)",
    "mm-12": "Kayah, Myanmar (Burma)",
    "mm-13": "Kayin, Myanmar (Burma)",
    "mm-14": "Chin, Myanmar (Burma)",
    "mm-15": "Mon, Myanmar (Burma)",
    "mm-16": "Rakhine, Myanmar (Burma)",
    "mm-17": "Shan, Myanmar (Burma)",
    "mm-18": "Naypyidaw, Myanmar (Burma)",
    "mn-1": "Ulaanbaatar, Mongolia",
    "mn-035": "Orkhon, Mongolia",
    "mn-037": "Darkhan-Uul, Mongolia",
    "mn-039": "Khentii, Mongolia",
    "mn-041": "Khövsgöl, Mongolia",
    "mn-043": "Khovd, Mongolia",
    "mn-046": "Uvs, Mongolia",
    "mn-047": "Töv, Mongolia",
    "mn-049": "Selenge, Mongolia",
    "mn-051": "Sükhbaatar, Mongolia",
    "mn-053": "Ömnögovi, Mongolia",
    "mn-055": "Övörkhangai, Mongolia",
    "mn-057": "Zavkhan, Mongolia",
    "mn-059": "Dundgovi, Mongolia",
    "mn-061": "Dornod, Mongolia",
    "mn-063": "Dornogovi, Mongolia",
    "mn-064": "Govisümber, Mongolia",
    "mn-065": "Govi-Altai, Mongolia",
    "mn-067": "Bulgan, Mongolia",
    "mn-069": "Bayankhongor, Mongolia",
    "mn-071": "Bayan-Ölgii, Mongolia",
    "mn-073": "Arkhangai, Mongolia",
    "mr-01": "Hodh Ech Chargui, Mauritania",
    "mr-02": "Hodh El Gharbi, Mauritania",
    "mr-03": "Assaba, Mauritania",
    "mr-04": "Gorgol, Mauritania",
    "mr-05": "Brakna, Mauritania",
    "mr-06": "Trarza, Mauritania",
    "mr-07": "Adrar, Mauritania",
    "mr-08": "Dakhlet Nouadhibou, Mauritania",
    "mr-09": "Tagant, Mauritania",
    "mr-10": "Guidimaka, Mauritania",
    "mr-11": "Tiris Zemmour, Mauritania",
    "mr-12": "Inchiri, Mauritania",
    "mr-13": "Nouakchott Ouest, Mauritania",
    "mr-14": "Nouakchott Nord, Mauritania",
    "mr-15": "Nouakchott Sud, Mauritania",
    "mt-01": "Attard, Malta",
    "mt-02": "Balzan, Malta",
    "mt-03": "Birgu, Malta",
    "mt-04": "Birkirkara, Malta",
    "mt-05": "Birżebbuġa, Malta",
    "mt-06": "Cospicua, Malta",
    "mt-07": "Dingli, Malta",
    "mt-08": "Fgura, Malta",
    "mt-09": "Floriana, Malta",
    "mt-10": "Fontana, Malta",
    "mt-11": "Gudja, Malta",
    "mt-12": "Gżira, Malta",
    "mt-13": "Għajnsielem, Malta",
    "mt-14": "Għarb, Malta",
    "mt-15": "Għargħur, Malta",
    "mt-16": "Għasri, Malta",
    "mt-17": "Għaxaq, Malta",
    "mt-18": "Ħamrun, Malta",
    "mt-19": "Iklin, Malta",
    "mt-20": "Senglea, Malta",
    "mt-21": "Kalkara, Malta",
    "mt-22": "Kerċem, Malta",
    "mt-23": "Kirkop, Malta",
    "mt-24": "Lija, Malta",
    "mt-25": "Luqa, Malta",
    "mt-26": "Marsa, Malta",
    "mt-27": "Marsaskala, Malta",
    "mt-28": "Marsaxlokk, Malta",
    "mt-29": "Mdina, Malta",
    "mt-30": "Mellieħa, Malta",
    "mt-31": "Mġarr, Malta",
    "mt-32": "Mosta, Malta",
    "mt-33": "Mqabba, Malta",
    "mt-34": "Msida, Malta",
    "mt-35": "Imtarfa, Malta",
    "mt-36": "Munxar, Malta",
    "mt-37": "Nadur, Malta",
    "mt-38": "Naxxar, Malta",
    "mt-39": "Paola, Malta",
    "mt-40": "Pembroke, Malta",
    "mt-41": "Pietà, Malta",
    "mt-42": "Qala, Malta",
    "mt-43": "Qormi, Malta",
    "mt-44": "Qrendi, Malta",
    "mt-45": "Victoria, Malta",
    "mt-46": "Rabat, Malta",
    "mt-47": "Safi, Malta",
    "mt-48": "St. Julian’s, Malta",
    "mt-49": "San Ġwann, Malta",
    "mt-50": "Saint Lawrence, Malta",
    "mt-51": "St. Paul’s Bay, Malta",
    "mt-52": "Sannat, Malta",
    "mt-53": "Santa Luċija, Malta",
    "mt-54": "Santa Venera, Malta",
    "mt-55": "Siġġiewi, Malta",
    "mt-56": "Sliema, Malta",
    "mt-57": "Swieqi, Malta",
    "mt-58": "Ta’ Xbiex, Malta",
    "mt-59": "Tarxien, Malta",
    "mt-60": "Valletta, Malta",
    "mt-61": "Xagħra, Malta",
    "mt-62": "Xewkija, Malta",
    "mt-63": "Xgħajra, Malta",
    "mt-64": "Żabbar, Malta",
    "mt-65": "Żebbuġ Gozo, Malta",
    "mt-66": "Żebbuġ, Malta",
    "mt-67": "Żejtun, Malta",
    "mt-68": "Żurrieq, Malta",
    "mu-ag": "Agaléga, Mauritius",
    "mu-bl": "Rivière Noire, Mauritius",
    "mu-br": "Beau-Bassin Rose-Hill, Mauritius",
    "mu-cc": "Cargados Carajos, Mauritius",
    "mu-cu": "Curepipe, Mauritius",
    "mu-fl": "Flacq, Mauritius",
    "mu-gp": "Grand Port, Mauritius",
    "mu-mo": "Moka, Mauritius",
    "mu-pa": "Pamplemousses, Mauritius",
    "mu-pl": "Port Louis District, Mauritius",
    "mu-pu": "Port Louis, Mauritius",
    "mu-pw": "Plaines Wilhems, Mauritius",
    "mu-qb": "Quatre Bornes, Mauritius",
    "mu-ro": "Rodrigues, Mauritius",
    "mu-rr": "Rivière du Rempart, Mauritius",
    "mu-sa": "Savanne, Mauritius",
    "mu-vp": "Vacoas-Phoenix, Mauritius",
    "mv-00": "Alif Dhaal, Mauritius",
    "mv-01": "Addu, Mauritius",
    "mv-02": "Alif Alif, Mauritius",
    "mv-03": "Lhaviyani, Mauritius",
    "mv-04": "Vaavu, Mauritius",
    "mv-05": "Laamu, Mauritius",
    "mv-07": "Haa Alif, Mauritius",
    "mv-08": "Thaa, Mauritius",
    "mv-12": "Meemu, Mauritius",
    "mv-13": "Raa, Mauritius",
    "mv-14": "Faafu, Mauritius",
    "mv-17": "Dhaalu, Mauritius",
    "mv-20": "Baa, Mauritius",
    "mv-23": "Haa Dhaalu, Mauritius",
    "mv-24": "Shaviyani, Mauritius",
    "mv-25": "Noonu, Mauritius",
    "mv-26": "Kaafu, Mauritius",
    "mv-27": "Gaafu Alif, Mauritius",
    "mv-28": "Gaafu Dhaalu, Mauritius",
    "mv-29": "Gnaviyani, Mauritius",
    "mv-ce": "Central Province, Maldives",
    "mv-mle": "Malé, Maldives",
    "mv-nc": "North Central Province, Maldives",
    "mv-no": "North Province, Maldives",
    "mv-sc": "South Central Province, Maldives",
    "mv-su": "South Province, Maldives",
    "mv-un": "Upper North Province, Maldives",
    "mv-us": "Upper South Province, Maldives",
    "mw-ba": "Balaka, Maldives",
    "mw-bl": "Blantyre, Maldives",
    "mw-c": "Central, Malawi",
    "mw-ck": "Chikwawa, Malawi",
    "mw-cr": "Chiradzulu, Malawi",
    "mw-ct": "Chitipa, Malawi",
    "mw-de": "Dedza, Malawi",
    "mw-do": "Dowa, Malawi",
    "mw-kr": "Karonga, Malawi",
    "mw-ks": "Kasungu, Malawi",
    "mw-li": "Lilongwe, Malawi",
    "mw-lk": "Likoma, Malawi",
    "mw-mc": "Mchinji, Malawi",
    "mw-mg": "Mangochi, Malawi",
    "mw-mh": "Machinga, Malawi",
    "mw-mu": "Mulanje, Malawi",
    "mw-mw": "Mwanza, Malawi",
    "mw-mz": "Mzimba, Malawi",
    "mw-n": "Northern, Malawi",
    "mw-nb": "Nkhata Bay, Malawi",
    "mw-ne": "Neno, Malawi",
    "mw-ni": "Ntchisi, Malawi",
    "mw-nk": "Nkhotakota, Malawi",
    "mw-ns": "Nsanje, Malawi",
    "mw-nu": "Ntcheu, Malawi",
    "mw-ph": "Phalombe, Malawi",
    "mw-ru": "Rumphi, Malawi",
    "mw-s": "Southern, Malawi",
    "mw-sa": "Salima, Malawi",
    "mw-th": "Thyolo, Malawi",
    "mw-zo": "Zomba, Malawi",
    "mx-agu": "Aguascalientes, Mexico",
    "mx-bcn": "Baja California, Mexico",
    "mx-bcs": "Baja California Sur, Mexico",
    "mx-cam": "Campeche, Mexico",
    "mx-chh": "Chihuahua, Mexico",
    "mx-chp": "Chiapas, Mexico",
    "mx-cmx": "Ciudad de Mexico, Mexico",
    "mx-coa": "Coahuila, Mexico",
    "mx-col": "Colima, Mexico",
    "mx-dur": "Durango, Mexico",
    "mx-gro": "Guerrero, Mexico",
    "mx-gua": "Guanajuato, Mexico",
    "mx-hid": "Hidalgo, Mexico",
    "mx-jal": "Jalisco, Mexico",
    "mx-mex": "Mexico State, Mexico",
    "mx-mic": "Michoacán, Mexico",
    "mx-mor": "Morelos, Mexico",
    "mx-nay": "Nayarit, Mexico",
    "mx-nle": "Nuevo León, Mexico",
    "mx-oax": "Oaxaca, Mexico",
    "mx-pue": "Puebla, Mexico",
    "mx-que": "Querétaro, Mexico",
    "mx-roo": "Quintana Roo, Mexico",
    "mx-sin": "Sinaloa, Mexico",
    "mx-slp": "San Luis Potosí, Mexico",
    "mx-son": "Sonora, Mexico",
    "mx-tab": "Tabasco, Mexico",
    "mx-tam": "Tamaulipas, Mexico",
    "mx-tla": "Tlaxcala, Mexico",
    "mx-ver": "Veracruz, Mexico",
    "mx-yuc": "Yucatán, Mexico",
    "mx-zac": "Zacatecas, Mexico",
    "my-01": "Johor, Malaysia",
    "my-02": "Kedah, Malaysia",
    "my-03": "Kelantan, Malaysia",
    "my-04": "Malacca, Malaysia",
    "my-05": "Negeri Sembilan, Malaysia",
    "my-06": "Pahang, Malaysia",
    "my-07": "Penang, Malaysia",
    "my-08": "Perak, Malaysia",
    "my-09": "Perlis, Malaysia",
    "my-10": "Selangor, Malaysia",
    "my-11": "Terengganu, Malaysia",
    "my-12": "Sabah, Malaysia",
    "my-13": "Sarawak, Malaysia",
    "my-14": "Kuala Lumpur, Malaysia",
    "my-15": "Labuan, Malaysia",
    "my-16": "Putrajaya, Malaysia",
    "mz-a": "Niassa, Mozambique",
    "mz-b": "Manica, Mozambique",
    "mz-g": "Gaza, Mozambique",
    "mz-i": "Inhambane, Mozambique",
    "mz-l": "Maputo Province, Mozambique",
    "mz-mpm": "Maputo, Mozambique",
    "mz-n": "Nampula, Mozambique",
    "mz-p": "Cabo Delgado, Mozambique",
    "mz-q": "Zambezia, Mozambique",
    "mz-s": "Sofala, Mozambique",
    "mz-t": "Tete, Mozambique",
    "na-ca": "Zambezi, Namibia",
    "na-er": "Erongo, Namibia",
    "na-ha": "Hardap, Namibia",
    "na-ka": "Karas, Namibia",
    "na-ke": "Kavango East, Namibia",
    "na-kh": "Khomas, Namibia",
    "na-ku": "Kunene, Namibia",
    "na-kw": "Kavango West, Namibia",
    "na-od": "Otjozondjupa, Namibia",
    "na-oh": "Omaheke, Namibia",
    "na-on": "Oshana, Namibia",
    "na-os": "Omusati, Namibia",
    "na-ot": "Oshikoto, Namibia",
    "na-ow": "Ohangwena, Namibia",
    "ne-1": "Agadez, Niger",
    "ne-2": "Diffa, Niger",
    "ne-3": "Dosso, Niger",
    "ne-4": "Maradi, Niger",
    "ne-5": "Tahoua, Niger",
    "ne-6": "Tillabéri, Niger",
    "ne-7": "Zinder, Niger",
    "ne-8": "Niamey, Niger",
    "ng-ab": "Abia, Nigeria",
    "ng-ad": "Adamawa, Nigeria",
    "ng-ak": "Akwa Ibom, Nigeria",
    "ng-an": "Anambra, Nigeria",
    "ng-ba": "Bauchi, Nigeria",
    "ng-be": "Benue, Nigeria",
    "ng-bo": "Borno, Nigeria",
    "ng-by": "Bayelsa, Nigeria",
    "ng-cr": "Cross River, Nigeria",
    "ng-de": "Delta, Nigeria",
    "ng-eb": "Ebonyi, Nigeria",
    "ng-ed": "Edo, Nigeria",
    "ng-ek": "Ekiti, Nigeria",
    "ng-en": "Enugu, Nigeria",
    "ng-fc": "Federal Capital Territory, Nigeria",
    "ng-go": "Gombe, Nigeria",
    "ng-im": "Imo, Nigeria",
    "ng-ji": "Jigawa, Nigeria",
    "ng-kd": "Kaduna, Nigeria",
    "ng-ke": "Kebbi, Nigeria",
    "ng-kn": "Kano, Nigeria",
    "ng-ko": "Kogi, Nigeria",
    "ng-kt": "Katsina, Nigeria",
    "ng-kw": "Kwara, Nigeria",
    "ng-la": "Lagos, Nigeria",
    "ng-na": "Nasarawa, Nigeria",
    "ng-ni": "Niger, Nigeria",
    "ng-og": "Ogun, Nigeria",
    "ng-on": "Ondo, Nigeria",
    "ng-os": "Osun, Nigeria",
    "ng-oy": "Oyo, Nigeria",
    "ng-pl": "Plateau, Nigeria",
    "ng-ri": "Rivers, Nigeria",
    "ng-so": "Sokoto, Nigeria",
    "ng-ta": "Taraba, Nigeria",
    "ng-yo": "Yobe, Nigeria",
    "ng-za": "Zamfara, Nigeria",
    "ni-an": "Atlántico Norte, Nicaragua",
    "ni-as": "Atlántico Sur, Nicaragua",
    "ni-bo": "Boaco, Nicaragua",
    "ni-ca": "Carazo, Nicaragua",
    "ni-ci": "Chinandega, Nicaragua",
    "ni-co": "Chontales, Nicaragua",
    "ni-es": "Estelí, Nicaragua",
    "ni-gr": "Granada, Nicaragua",
    "ni-ji": "Jinotega, Nicaragua",
    "ni-le": "León, Nicaragua",
    "ni-md": "Madriz, Nicaragua",
    "ni-mn": "Managua, Nicaragua",
    "ni-ms": "Masaya, Nicaragua",
    "ni-mt": "Matagalpa, Nicaragua",
    "ni-ns": "Nueva Segovia, Nicaragua",
    "ni-ri": "Rivas, Nicaragua",
    "ni-sj": "Río San Juan, Nicaragua",
    "nl-bq1": "Bonaire, Nicaragua",
    "nl-bq2": "Saba, Nicaragua",
    "nl-bq3": "Sint Eustatius, Nicaragua",
    "nl-dr": "Drenthe, Nicaragua",
    "nl-fl": "Flevoland, Nicaragua",
    "nl-fr": "Friesland, Nicaragua",
    "nl-ge": "Gelderland, Nicaragua",
    "nl-gr": "Groningen, Nicaragua",
    "nl-li": "Limburg, Nicaragua",
    "nl-nb": "North Brabant, Nicaragua",
    "nl-nh": "North Holland, Nicaragua",
    "nl-ov": "Overijssel, Nicaragua",
    "nl-ut": "Utrecht, Nicaragua",
    "nl-ze": "Zeeland, Nicaragua",
    "nl-zh": "South Holland, Nicaragua",
    "no-01": "Østfold, Norway",
    "no-02": "Akershus, Norway",
    "no-03": "Oslo, Norway",
    "no-04": "Hedmark, Norway",
    "no-05": "Oppland, Norway",
    "no-06": "Buskerud, Norway",
    "no-07": "Vestfold, Norway",
    "no-08": "Telemark, Norway",
    "no-09": "Aust-Agder, Norway",
    "no-10": "Vest-Agder, Norway",
    "no-11": "Rogaland, Norway",
    "no-12": "Hordaland, Norway",
    "no-14": "Sogn og Fjordane, Norway",
    "no-15": "Møre og Romsdal, Norway",
    "no-16": "Sør-Trøndelag, Norway",
    "no-17": "Nord-Trøndelag, Norway",
    "no-18": "Nordland, Norway",
    "no-19": "Troms, Norway",
    "no-20": "Finnmark, Norway",
    "no-21": "Svalbard, Norway",
    "no-22": "Jan Mayen, Norway",
    "no-23": "Trøndelag, Norway",
    "np-1": "Central, Nepal",
    "np-2": "Madhya Pashchimanchal, Nepal",
    "np-3": "Western, Nepal",
    "np-4": "Purwanchal, Nepal",
    "np-5": "Sudur Pashchimanchal, Nepal",
    "np-ba": "Bagmati, Nepal",
    "np-bh": "Bheri, Nepal",
    "np-dh": "Dhawalagiri, Nepal",
    "np-ga": "Gandaki, Nepal",
    "np-ja": "Janakpur, Nepal",
    "np-ka": "Karnali, Nepal",
    "np-ko": "Kosi, Nepal",
    "np-lu": "Lumbini, Nepal",
    "np-ma": "Mahakali, Nepal",
    "np-me": "Mechi, Nepal",
    "np-na": "Narayani, Nepal",
    "np-p1": "Province 1, Nepal",
    "np-p2": "Province 2, Nepal",
    "np-p3": "Province 3, Nepal",
    "np-p4": "Gandaki², Nepal",
    "np-p5": "Province 5, Nepal",
    "np-p6": "Karnali², Nepal",
    "np-p7": "Province 7, Nepal",
    "np-ra": "Rapti, Nepal",
    "np-sa": "Sagarmatha, Nepal",
    "np-se": "Seti, Nepal",
    "nr-01": "Aiwo, Nauru",
    "nr-02": "Anabar, Nauru",
    "nr-03": "Anetan, Nauru",
    "nr-04": "Anibare, Nauru",
    "nr-05": "Baiti, Nauru",
    "nr-06": "Boe, Nauru",
    "nr-07": "Buada, Nauru",
    "nr-08": "Denigomodu, Nauru",
    "nr-09": "Ewa, Nauru",
    "nr-10": "Ijuw, Nauru",
    "nr-11": "Meneng, Nauru",
    "nr-12": "Nibok, Nauru",
    "nr-13": "Uaboe, Nauru",
    "nr-14": "Yaren, Nauru",
    "nz-auk": "Auckland, New Zealand",
    "nz-bop": "Bay of Plenty, New Zealand",
    "nz-can": "Canterbury, New Zealand",
    "nz-cit": "Chatham Islands, New Zealand",
    "nz-gis": "Gisborne, New Zealand",
    "nz-hkb": "Hawke’s Bay, New Zealand",
    "nz-mbh": "Marl, New Zealand",
    "nz-mwt": "Manawatu-Wanganui, New Zealand",
    "nz-nsn": "Nelson, New Zealand",
    "nz-ntl": "Northland, New Zealand",
    "nz-ota": "Otago, New Zealand",
    "nz-stl": "Southland, New Zealand",
    "nz-tas": "Tasman, New Zealand",
    "nz-tki": "Taranaki, New Zealand",
    "nz-wgn": "Wellington, New Zealand",
    "nz-wko": "Waikato, New Zealand",
    "nz-wtc": "West Coast, New Zealand",
    "om-bj": "Janub al Batinah, Oman",
    "om-bs": "Shamal al Batinah, Oman",
    "om-bu": "Al Buraimi, Oman",
    "om-da": "Ad Dakhiliyah, Oman",
    "om-ma": "Muscat, Oman",
    "om-mu": "Musandam, Oman",
    "om-sj": "Janub ash Sharqiyah, Oman",
    "om-ss": "Shamal ash Sharqiyah, Oman",
    "om-wu": "Al Wusta, Oman",
    "om-za": "Ad Dhahirah, Oman",
    "om-zu": "Dhofar, Oman",
    "pa-1": "Bocas del Toro, Panama",
    "pa-2": "Coclé, Panama",
    "pa-3": "Colón, Panama",
    "pa-4": "Chiriquí, Panama",
    "pa-5": "Darién, Panama",
    "pa-6": "Herrera, Panama",
    "pa-7": "Los Santos, Panama",
    "pa-8": "Panamá, Panama",
    "pa-9": "Veraguas, Panama",
    "pa-10": "West Panamá, Panama",
    "pa-em": "Emberá, Panama",
    "pa-ky": "Guna Yala, Panama",
    "pa-nb": "Ngöbe-Buglé, Panama",
    "pe-ama": "Amazonas, Peru",
    "pe-anc": "Ancash, Peru",
    "pe-apu": "Apurímac, Peru",
    "pe-are": "Arequipa, Peru",
    "pe-aya": "Ayacucho, Peru",
    "pe-caj": "Cajamarca, Peru",
    "pe-cal": "El Callao, Peru",
    "pe-cus": "Cusco, Peru",
    "pe-huc": "Huánuco, Peru",
    "pe-huv": "Huancavelica, Peru",
    "pe-ica": "Ica, Peru",
    "pe-jun": "Junín, Peru",
    "pe-lal": "La Libertad, Peru",
    "pe-lam": "Lambayeque, Peru",
    "pe-lim": "Lima Region, Peru",
    "pe-lma": "Lima, Peru",
    "pe-lor": "Loreto, Peru",
    "pe-mdd": "Madre de Dios, Peru",
    "pe-moq": "Moquegua, Peru",
    "pe-pas": "Pasco, Peru",
    "pe-piu": "Piura, Peru",
    "pe-pun": "Puno, Peru",
    "pe-sam": "San Martín, Peru",
    "pe-tac": "Tacna, Peru",
    "pe-tum": "Tumbes, Peru",
    "pe-uca": "Ucayali, Peru",
    "pg-cpk": "Chimbu, Papua New Guinea",
    "pg-cpm": "Central, Papua New Guinea",
    "pg-ebr": "East New Britain, Papua New Guinea",
    "pg-ehg": "Eastern Highlands, Papua New Guinea",
    "pg-epw": "Enga, Papua New Guinea",
    "pg-esw": "East Sepik, Papua New Guinea",
    "pg-gpk": "Gulf, Papua New Guinea",
    "pg-hla": "Hela, Papua New Guinea",
    "pg-jwk": "Jiwaka, Papua New Guinea",
    "pg-mba": "Milne Bay, Papua New Guinea",
    "pg-mpl": "Morobe, Papua New Guinea",
    "pg-mpm": "Madang, Papua New Guinea",
    "pg-mrl": "Manus, Papua New Guinea",
    "pg-ncd": "Port Moresby, Papua New Guinea",
    "pg-nik": "New Ireland, Papua New Guinea",
    "pg-npp": "Oro, Papua New Guinea",
    "pg-nsb": "Bougainville, Papua New Guinea",
    "pg-san": "Sandaun, Papua New Guinea",
    "pg-shm": "Southern Highlands, Papua New Guinea",
    "pg-wbk": "West New Britain, Papua New Guinea",
    "pg-whm": "Western Highlands, Papua New Guinea",
    "pg-wpd": "Western, Papua New Guinea",
    "ph-00": "Metro Manila, Philippines",
    "ph-01": "Ilocos, Philippines",
    "ph-02": "Cagayan Valley, Philippines",
    "ph-03": "Central Luzon, Philippines",
    "ph-05": "Bicol, Philippines",
    "ph-06": "Western Visayas, Philippines",
    "ph-07": "Central Visayas, Philippines",
    "ph-08": "Eastern Visayas, Philippines",
    "ph-09": "Zamboanga Peninsula, Philippines",
    "ph-10": "Northern Mindanao, Philippines",
    "ph-11": "Davao, Philippines",
    "ph-12": "Soccsksargen, Philippines",
    "ph-13": "Caraga, Philippines",
    "ph-14": "Muslim Mindanao, Philippines",
    "ph-15": "Cordillera Administrative, Philippines",
    "ph-40": "Calabarzon, Philippines",
    "ph-41": "Mimaropa, Philippines",
    "ph-abr": "Abra, Philippines",
    "ph-agn": "Agusan del Norte, Philippines",
    "ph-ags": "Agusan del Sur, Philippines",
    "ph-akl": "Aklan, Philippines",
    "ph-alb": "Albay, Philippines",
    "ph-ant": "Antique, Philippines",
    "ph-apa": "Apayao, Philippines",
    "ph-aur": "Aurora, Philippines",
    "ph-ban": "Bataan, Philippines",
    "ph-bas": "Basilan, Philippines",
    "ph-ben": "Benguet, Philippines",
    "ph-bil": "Biliran, Philippines",
    "ph-boh": "Bohol, Philippines",
    "ph-btg": "Batangas, Philippines",
    "ph-btn": "Batanes, Philippines",
    "ph-buk": "Bukidnon, Philippines",
    "ph-bul": "Bulacan, Philippines",
    "ph-cag": "Cagayan, Philippines",
    "ph-cam": "Camiguin, Philippines",
    "ph-can": "Camarines Norte, Philippines",
    "ph-cap": "Capiz, Philippines",
    "ph-cas": "Camarines Sur, Philippines",
    "ph-cat": "Catanduanes, Philippines",
    "ph-cav": "Cavite, Philippines",
    "ph-ceb": "Cebu, Philippines",
    "ph-com": "Compostela Valley, Philippines",
    "ph-dao": "Davao Oriental, Philippines",
    "ph-das": "Davao del Sur, Philippines",
    "ph-dav": "Davao del Norte, Philippines",
    "ph-din": "Dinagat Islands, Philippines",
    "ph-dvo": "Davao Occidental, Philippines",
    "ph-eas": "Eastern Samar, Philippines",
    "ph-gui": "Guimaras, Philippines",
    "ph-ifu": "Ifugao, Philippines",
    "ph-ili": "Iloilo, Philippines",
    "ph-iln": "Ilocos Norte, Philippines",
    "ph-ils": "Ilocos Sur, Philippines",
    "ph-isa": "Isabela, Philippines",
    "ph-kal": "Kalinga, Philippines",
    "ph-lag": "Laguna, Philippines",
    "ph-lan": "Lanao del Norte, Philippines",
    "ph-las": "Lanao del Sur, Philippines",
    "ph-ley": "Leyte, Philippines",
    "ph-lun": "La Union, Philippines",
    "ph-mad": "Marinduque, Philippines",
    "ph-mag": "Maguindanao, Philippines",
    "ph-mas": "Masbate, Philippines",
    "ph-mdc": "Occidental Mindoro, Philippines",
    "ph-mdr": "Oriental Mindoro, Philippines",
    "ph-mou": "Mountain, Philippines",
    "ph-msc": "Misamis Occidental, Philippines",
    "ph-msr": "Misamis Oriental, Philippines",
    "ph-nco": "Cotabato, Philippines",
    "ph-nec": "Negros Occidental, Philippines",
    "ph-ner": "Negros Oriental, Philippines",
    "ph-nsa": "Northern Samar, Philippines",
    "ph-nue": "Nueva Ecija, Philippines",
    "ph-nuv": "Nueva Vizcaya, Philippines",
    "ph-pam": "Pampanga, Philippines",
    "ph-pan": "Pangasinan, Philippines",
    "ph-plw": "Palawan, Philippines",
    "ph-que": "Quezon, Philippines",
    "ph-qui": "Quirino, Philippines",
    "ph-riz": "Rizal, Philippines",
    "ph-rom": "Romblon, Philippines",
    "ph-sar": "Sarangani, Philippines",
    "ph-sco": "South Cotabato, Philippines",
    "ph-sig": "Siquijor, Philippines",
    "ph-sle": "Southern Leyte, Philippines",
    "ph-slu": "Sulu, Philippines",
    "ph-sor": "Sorsogon, Philippines",
    "ph-suk": "Sultan Kudarat, Philippines",
    "ph-sun": "Surigao del Norte, Philippines",
    "ph-sur": "Surigao del Sur, Philippines",
    "ph-tar": "Tarlac, Philippines",
    "ph-taw": "Tawi-Tawi, Philippines",
    "ph-wsa": "Samar, Philippines",
    "ph-zan": "Zamboanga del Norte, Philippines",
    "ph-zas": "Zamboanga del Sur, Philippines",
    "ph-zmb": "Zambales, Philippines",
    "ph-zsi": "Zamboanga Sibugay, Philippines",
    "pk-ba": "Balochistan, Pakistan",
    "pk-gb": "Gilgit-Baltistan, Pakistan",
    "pk-is": "Islamabad, Pakistan",
    "pk-jk": "Azad Kashmir, Pakistan",
    "pk-kp": "Khyber Pakhtunkhwa, Pakistan",
    "pk-pb": "Punjab, Pakistan",
    "pk-sd": "Sindh, Pakistan",
    "pk-ta": "Federally Administered Tribal Areas, Pakistan",
    "pl-02": "Lower Silesia, Poland",
    "pl-04": "Kuyavia-Pomerania, Poland",
    "pl-06": "Lublin, Poland",
    "pl-08": "Lubusz, Poland",
    "pl-10": "Łódź, Poland",
    "pl-12": "Lesser Poland, Poland",
    "pl-14": "Mazovia, Poland",
    "pl-16": "Opole, Poland",
    "pl-18": "Subcarpathia, Poland",
    "pl-20": "Podlachia, Poland",
    "pl-22": "Pomerania, Poland",
    "pl-24": "Silesia, Poland",
    "pl-26": "Holy Cross, Poland",
    "pl-28": "Warmia-Masuria, Poland",
    "pl-30": "Greater Poland, Poland",
    "pl-32": "West Pomerania, Poland",
    "ps-bth": "Bethlehem, Palestinian Territories",
    "ps-deb": "Deir al-Balah, Palestinian Territories",
    "ps-gza": "Gaza, Palestinian Territories",
    "ps-hbn": "Hebron, Palestinian Territories",
    "ps-jem": "Jerusalem, Palestinian Territories",
    "ps-jen": "Jenin, Palestinian Territories",
    "ps-jrh": "Jericho, Palestinian Territories",
    "ps-kys": "Khan Yunis, Palestinian Territories",
    "ps-nbs": "Nablus, Palestinian Territories",
    "ps-ngz": "North Gaza, Palestinian Territories",
    "ps-qqa": "Qalqilya, Palestinian Territories",
    "ps-rbh": "Ramallah and al-Bireh, Palestinian Territories",
    "ps-rfh": "Rafah, Palestinian Territories",
    "ps-slt": "Salfit, Palestinian Territories",
    "ps-tbs": "Tubas, Palestinian Territories",
    "ps-tkm": "Tulkarm, Palestinian Territories",
    "pt-01": "Aveiro, Portugal",
    "pt-02": "Beja, Portugal",
    "pt-03": "Braga, Portugal",
    "pt-04": "Bragança, Portugal",
    "pt-05": "Castelo Branco, Portugal",
    "pt-06": "Coimbra, Portugal",
    "pt-07": "Évora, Portugal",
    "pt-08": "Faro, Portugal",
    "pt-09": "Guarda, Portugal",
    "pt-10": "Leiria, Portugal",
    "pt-11": "Lisbon, Portugal",
    "pt-12": "Portalegre, Portugal",
    "pt-13": "Porto, Portugal",
    "pt-14": "Santarém, Portugal",
    "pt-15": "Setúbal, Portugal",
    "pt-16": "Viana do Castelo, Portugal",
    "pt-17": "Vila Real, Portugal",
    "pt-18": "Viseu, Portugal",
    "pt-20": "Azores, Portugal",
    "pt-30": "Madeira, Portugal",
    "pw-002": "Aimeliik, Palau",
    "pw-004": "Airai, Palau",
    "pw-010": "Angaur, Palau",
    "pw-050": "Hatohobei, Palau",
    "pw-100": "Kayangel, Palau",
    "pw-150": "Koror, Palau",
    "pw-212": "Melekeok, Palau",
    "pw-214": "Ngaraard, Palau",
    "pw-218": "Ngarchelong, Palau",
    "pw-222": "Ngardmau, Palau",
    "pw-224": "Ngatpang, Palau",
    "pw-226": "Ngchesar, Palau",
    "pw-227": "Ngeremlengui, Palau",
    "pw-228": "Ngiwal, Palau",
    "pw-350": "Peleliu, Palau",
    "pw-370": "Sonsorol, Palau",
    "py-1": "Concepción, Paraguay",
    "py-2": "San Pedro, Paraguay",
    "py-3": "Cordillera, Paraguay",
    "py-4": "Guairá, Paraguay",
    "py-5": "Caaguazú, Paraguay",
    "py-6": "Caazapá, Paraguay",
    "py-7": "Itapúa, Paraguay",
    "py-8": "Misiones, Paraguay",
    "py-9": "Paraguarí, Paraguay",
    "py-10": "Alto Paraná, Paraguay",
    "py-11": "Central, Paraguay",
    "py-12": "Ñeembucú, Paraguay",
    "py-13": "Amambay, Paraguay",
    "py-14": "Canindeyú, Paraguay",
    "py-15": "Presidente Hayes, Paraguay",
    "py-16": "Alto Paraguay, Paraguay",
    "py-19": "Boquerón, Paraguay",
    "py-asu": "Asunción, Paraguay",
    "qa-da": "Doha, Qatar",
    "qa-kh": "Al Khor, Qatar",
    "qa-ms": "Madinat ash Shamal, Qatar",
    "qa-ra": "Al Rayyan, Qatar",
    "qa-sh": "Ash Shīḩānīyah, Qatar",
    "qa-us": "Umm Salal, Qatar",
    "qa-wa": "Al Wakrah, Qatar",
    "qa-za": "Al Daayen, Qatar",
    "ro-ab": "Alba, Romania",
    "ro-ag": "Argeș, Romania",
    "ro-ar": "Arad, Romania",
    "ro-b": "Bucharest, Romania",
    "ro-bc": "Bacău, Romania",
    "ro-bh": "Bihor, Romania",
    "ro-bn": "Bistriţa-Năsăud, Romania",
    "ro-br": "Brăila, Romania",
    "ro-bt": "Botoşani, Romania",
    "ro-bv": "Braşov, Romania",
    "ro-bz": "Buzău, Romania",
    "ro-cj": "Cluj, Romania",
    "ro-cl": "Călărași, Romania",
    "ro-cs": "Caraș-Severin, Romania",
    "ro-ct": "Constanța, Romania",
    "ro-cv": "Covasna, Romania",
    "ro-db": "Dâmbovița, Romania",
    "ro-dj": "Dolj, Romania",
    "ro-gj": "Gorj, Romania",
    "ro-gl": "Galați, Romania",
    "ro-gr": "Giurgiu, Romania",
    "ro-hd": "Hunedoara, Romania",
    "ro-hr": "Harghita, Romania",
    "ro-if": "Ilfov, Romania",
    "ro-il": "Ialomița, Romania",
    "ro-is": "Iași, Romania",
    "ro-mh": "Mehedinți, Romania",
    "ro-mm": "Maramureş, Romania",
    "ro-ms": "Mureş, Romania",
    "ro-nt": "Neamţ, Romania",
    "ro-ot": "Olt, Romania",
    "ro-ph": "Prahova, Romania",
    "ro-sb": "Sibiu, Romania",
    "ro-sj": "Sălaj, Romania",
    "ro-sm": "Satu Mare, Romania",
    "ro-sv": "Suceava, Romania",
    "ro-tl": "Tulcea, Romania",
    "ro-tm": "Timiș, Romania",
    "ro-tr": "Teleorman, Romania",
    "ro-vl": "Vâlcea, Romania",
    "ro-vn": "Vrancea, Romania",
    "ro-vs": "Vaslui, Romania",
    "rs-00": "Beograd, Serbia",
    "rs-01": "North Bačka, Serbia",
    "rs-02": "Central Banat, Serbia",
    "rs-03": "North Banat, Serbia",
    "rs-04": "South Banat, Serbia",
    "rs-05": "West Bačka, Serbia",
    "rs-06": "South Bačka, Serbia",
    "rs-07": "Srem, Serbia",
    "rs-08": "Mačva, Serbia",
    "rs-09": "Kolubara, Serbia",
    "rs-10": "Podunavlje, Serbia",
    "rs-11": "Braničevo, Serbia",
    "rs-12": "Šumadija, Serbia",
    "rs-13": "Pomoravlje, Serbia",
    "rs-14": "Bor, Serbia",
    "rs-15": "Zaječar, Serbia",
    "rs-16": "Zlatibor, Serbia",
    "rs-17": "Moravica, Serbia",
    "rs-18": "Raška, Serbia",
    "rs-19": "Rasina, Serbia",
    "rs-20": "Nišava, Serbia",
    "rs-21": "Toplica, Serbia",
    "rs-22": "Pirot, Serbia",
    "rs-23": "Jablanica, Serbia",
    "rs-24": "Pčinja, Serbia",
    "rs-25": "Kosovo, Serbia",
    "rs-26": "Peć, Serbia",
    "rs-27": "Prizren, Serbia",
    "rs-28": "Kosovska Mitrovica, Serbia",
    "rs-29": "Kosovo-Pomoravlje, Serbia",
    "rs-km": "Kosovo-Metohija, Serbia",
    "rs-vo": "Vojvodina, Serbia",
    "ru-ad": "Adygea, Russia",
    "ru-al": "Altai, Russia",
    "ru-alt": "Altai Krai, Russia",
    "ru-amu": "Amur, Russia",
    "ru-ark": "Arkhangelsk, Russia",
    "ru-ast": "Astrakhan, Russia",
    "ru-ba": "Bashkortostan, Russia",
    "ru-bel": "Belgorod, Russia",
    "ru-bry": "Bryansk, Russia",
    "ru-bu": "Buryat, Russia",
    "ru-ce": "Chechen, Russia",
    "ru-che": "Chelyabinsk, Russia",
    "ru-chu": "Chukotka Okrug, Russia",
    "ru-cu": "Chuvash, Russia",
    "ru-da": "Dagestan, Russia",
    "ru-in": "Ingushetia, Russia",
    "ru-irk": "Irkutsk, Russia",
    "ru-iva": "Ivanovo, Russia",
    "ru-kam": "Kamchatka Krai, Russia",
    "ru-kb": "Kabardino-Balkar, Russia",
    "ru-kc": "Karachay-Cherkess, Russia",
    "ru-kda": "Krasnodar Krai, Russia",
    "ru-kem": "Kemerovo, Russia",
    "ru-kgd": "Kaliningrad, Russia",
    "ru-kgn": "Kurgan, Russia",
    "ru-kha": "Khabarovsk Krai, Russia",
    "ru-khm": "Khanty-Mansi, Russia",
    "ru-kir": "Kirov, Russia",
    "ru-kk": "Khakassia, Russia",
    "ru-kl": "Kalmykia, Russia",
    "ru-klu": "Kaluga, Russia",
    "ru-ko": "Komi, Russia",
    "ru-kos": "Kostroma, Russia",
    "ru-kr": "Karelia, Russia",
    "ru-krs": "Kursk, Russia",
    "ru-kya": "Krasnoyarsk Krai, Russia",
    "ru-len": "Leningrad, Russia",
    "ru-lip": "Lipetsk, Russia",
    "ru-mag": "Magadan, Russia",
    "ru-me": "Mari El, Russia",
    "ru-mo": "Mordovia, Russia",
    "ru-mos": "Moscow Province, Russia",
    "ru-mow": "Moscow, Russia",
    "ru-mur": "Murmansk, Russia",
    "ru-nen": "Nenets, Russia",
    "ru-ngr": "Novgorod, Russia",
    "ru-niz": "Nizhny Novgorod, Russia",
    "ru-nvs": "Novosibirsk, Russia",
    "ru-oms": "Omsk, Russia",
    "ru-ore": "Orenburg, Russia",
    "ru-orl": "Oryol, Russia",
    "ru-per": "Perm Krai, Russia",
    "ru-pnz": "Penza, Russia",
    "ru-pri": "Primorsky Krai, Russia",
    "ru-psk": "Pskov, Russia",
    "ru-ros": "Rostov, Russia",
    "ru-rya": "Ryazan, Russia",
    "ru-sa": "Sakha, Russia",
    "ru-sak": "Sakhalin, Russia",
    "ru-sam": "Samara, Russia",
    "ru-sar": "Saratov, Russia",
    "ru-se": "North Ossetia-Alania, Russia",
    "ru-smo": "Smolensk, Russia",
    "ru-spe": "Saint Petersburg, Russia",
    "ru-sta": "Stavropol Krai, Russia",
    "ru-sve": "Sverdlovsk, Russia",
    "ru-ta": "Tatarstan, Russia",
    "ru-tam": "Tambov, Russia",
    "ru-tom": "Tomsk, Russia",
    "ru-tul": "Tula, Russia",
    "ru-tve": "Tver, Russia",
    "ru-ty": "Tuva, Russia",
    "ru-tyu": "Tyumen, Russia",
    "ru-ud": "Udmurt, Russia",
    "ru-uly": "Ulyanovsk, Russia",
    "ru-vgg": "Volgograd, Russia",
    "ru-vla": "Vladimir, Russia",
    "ru-vlg": "Vologda, Russia",
    "ru-vor": "Voronezh, Russia",
    "ru-yan": "Yamalo-Nenets Okrug, Russia",
    "ru-yar": "Yaroslavl, Russia",
    "ru-yev": "Jewish, Russia",
    "ru-zab": "Zabaykalsky Krai, Russia",
    "rw-01": "Kigali, Rwanda",
    "rw-02": "Eastern, Rwanda",
    "rw-03": "Northern, Rwanda",
    "rw-04": "Western, Rwanda",
    "rw-05": "Southern, Rwanda",
    "sa-01": "Riyadh, Saudi Arabia",
    "sa-02": "Makkah, Saudi Arabia",
    "sa-03": "Al Madinah, Saudi Arabia",
    "sa-04": "Eastern, Saudi Arabia",
    "sa-05": "Al-Qassim, Saudi Arabia",
    "sa-06": "Ha’il, Saudi Arabia",
    "sa-07": "Tabuk, Saudi Arabia",
    "sa-08": "Northern Borders, Saudi Arabia",
    "sa-09": "Jizan, Saudi Arabia",
    "sa-10": "Najran, Saudi Arabia",
    "sa-11": "Al Bahah, Saudi Arabia",
    "sa-12": "Al Jawf, Saudi Arabia",
    "sa-14": "Asir, Saudi Arabia",
    "sb-ce": "Central, Solomon Islands",
    "sb-ch": "Choiseul, Solomon Islands",
    "sb-ct": "Honiara, Solomon Islands",
    "sb-gu": "Guadalcanal, Solomon Islands",
    "sb-is": "Isabel, Solomon Islands",
    "sb-mk": "Makira-Ulawa, Solomon Islands",
    "sb-ml": "Malaita, Solomon Islands",
    "sb-rb": "Rennell and Bellona, Solomon Islands",
    "sb-te": "Temotu, Solomon Islands",
    "sb-we": "Western, Solomon Islands",
    "sc-01": "Anse aux Pins, Seychelles",
    "sc-02": "Anse Boileau, Seychelles",
    "sc-03": "Anse Etoile, Seychelles",
    "sc-04": "Au Cap, Seychelles",
    "sc-05": "Anse Royale, Seychelles",
    "sc-06": "Baie Lazare, Seychelles",
    "sc-07": "Baie Sainte Anne, Seychelles",
    "sc-08": "Beau Vallon, Seychelles",
    "sc-09": "Bel Air, Seychelles",
    "sc-10": "Bel Ombre, Seychelles",
    "sc-11": "Cascade, Seychelles",
    "sc-12": "Glacis, Seychelles",
    "sc-13": "Grand’Anse Mahé, Seychelles",
    "sc-14": "Grand’Anse Praslin, Seychelles",
    "sc-15": "La Digue, Seychelles",
    "sc-16": "La Rivière Anglaise, Seychelles",
    "sc-17": "Mont Buxton, Seychelles",
    "sc-18": "Mont Fleuri, Seychelles",
    "sc-19": "Plaisance, Seychelles",
    "sc-20": "Pointe La Rue, Seychelles",
    "sc-21": "Port Glaud, Seychelles",
    "sc-22": "Saint Louis, Seychelles",
    "sc-23": "Takamaka, Seychelles",
    "sc-24": "Les Mamelles, Seychelles",
    "sc-25": "Roche Caiman, Seychelles",
    "sd-dc": "Central Darfur, Sudan",
    "sd-de": "East Darfur, Sudan",
    "sd-dn": "North Darfur, Sudan",
    "sd-ds": "South Darfur, Sudan",
    "sd-dw": "West Darfur, Sudan",
    "sd-gd": "Al Qadarif, Sudan",
    "sd-gk": "West Kurdufan, Sudan",
    "sd-gz": "Al Jazirah, Sudan",
    "sd-ka": "Kassala, Sudan",
    "sd-kh": "Khartoum, Sudan",
    "sd-kn": "North Kurdufan, Sudan",
    "sd-ks": "South Kurdufan, Sudan",
    "sd-nb": "Blue Nile, Sudan",
    "sd-no": "Northern, Sudan",
    "sd-nr": "River Nile, Sudan",
    "sd-nw": "White Nile, Sudan",
    "sd-rs": "Red Sea, Sudan",
    "sd-si": "Sennar, Sudan",
    "se-ab": "Stockholm, Sweden",
    "se-ac": "Västerbotten, Sweden",
    "se-bd": "Norrbotten, Sweden",
    "se-c": "Uppsala, Sweden",
    "se-d": "Södermanland, Sweden",
    "se-e": "Östergötland, Sweden",
    "se-f": "Jönköping, Sweden",
    "se-g": "Kronoberg, Sweden",
    "se-h": "Kalmar, Sweden",
    "se-i": "Gotland, Sweden",
    "se-k": "Blekinge, Sweden",
    "se-m": "Skåne, Sweden",
    "se-n": "Halland, Sweden",
    "se-o": "Västra Götaland, Sweden",
    "se-s": "Värmland, Sweden",
    "se-t": "Örebro, Sweden",
    "se-u": "Västmanland, Sweden",
    "se-w": "Dalarna, Sweden",
    "se-x": "Gävleborg, Sweden",
    "se-y": "Västernorrland, Sweden",
    "se-z": "Jämtland, Sweden",
    "sg-01": "Central Singapore, Singapore",
    "sg-02": "North East, Singapore",
    "sg-03": "North West, Singapore",
    "sg-04": "South East, Singapore",
    "sg-05": "South West, Singapore",
    "sh-ac": "Ascension Island, St. Helena",
    "sh-hl": "Saint Helena, St. Helena",
    "si-001": "Ajdovščina, Slovenia",
    "si-002": "Beltinci, Slovenia",
    "si-003": "Bled, Slovenia",
    "si-004": "Bohinj, Slovenia",
    "si-005": "Borovnica, Slovenia",
    "si-006": "Bovec, Slovenia",
    "si-007": "Brda, Slovenia",
    "si-008": "Brezovica, Slovenia",
    "si-009": "Brežice, Slovenia",
    "si-010": "Tišina, Slovenia",
    "si-011": "Celje, Slovenia",
    "si-012": "Cerklje na Gorenjskem, Slovenia",
    "si-013": "Cerknica, Slovenia",
    "si-014": "Cerkno, Slovenia",
    "si-015": "Črenšovci, Slovenia",
    "si-016": "Črna na Koroškem, Slovenia",
    "si-017": "Črnomelj, Slovenia",
    "si-018": "Destrnik, Slovenia",
    "si-019": "Divača, Slovenia",
    "si-020": "Dobrepolje, Slovenia",
    "si-021": "Dobrova–Polhov Gradec, Slovenia",
    "si-022": "Dol pri Ljubljani, Slovenia",
    "si-023": "Domžale, Slovenia",
    "si-024": "Dornava, Slovenia",
    "si-025": "Dravograd, Slovenia",
    "si-026": "Duplek, Slovenia",
    "si-027": "Gorenja Vas–Poljane, Slovenia",
    "si-028": "Gorišnica, Slovenia",
    "si-029": "Gornja Radgona, Slovenia",
    "si-030": "Gornji Grad, Slovenia",
    "si-031": "Gornji Petrovci, Slovenia",
    "si-032": "Grosuplje, Slovenia",
    "si-033": "Šalovci, Slovenia",
    "si-034": "Hrastnik, Slovenia",
    "si-035": "Hrpelje–Kozina, Slovenia",
    "si-036": "Idrija, Slovenia",
    "si-037": "Ig, Slovenia",
    "si-038": "Ilirska Bistrica, Slovenia",
    "si-039": "Ivančna Gorica, Slovenia",
    "si-040": "Izola, Slovenia",
    "si-041": "Jesenice, Slovenia",
    "si-042": "Juršinci, Slovenia",
    "si-043": "Kamnik, Slovenia",
    "si-044": "Kanal, Slovenia",
    "si-045": "Kidričevo, Slovenia",
    "si-046": "Kobarid, Slovenia",
    "si-047": "Kobilje, Slovenia",
    "si-048": "Kočevje, Slovenia",
    "si-049": "Komen, Slovenia",
    "si-050": "Koper, Slovenia",
    "si-051": "Kozje, Slovenia",
    "si-052": "Kranj, Slovenia",
    "si-053": "Kranjska Gora, Slovenia",
    "si-054": "Krško, Slovenia",
    "si-055": "Kungota, Slovenia",
    "si-056": "Kuzma, Slovenia",
    "si-057": "Laško, Slovenia",
    "si-058": "Lenart, Slovenia",
    "si-059": "Lendava, Slovenia",
    "si-060": "Litija, Slovenia",
    "si-061": "Ljubljana, Slovenia",
    "si-062": "Ljubno, Slovenia",
    "si-063": "Ljutomer, Slovenia",
    "si-064": "Logatec, Slovenia",
    "si-065": "Loška Dolina, Slovenia",
    "si-066": "Loški Potok, Slovenia",
    "si-067": "Luče, Slovenia",
    "si-068": "Lukovica, Slovenia",
    "si-069": "Majšperk, Slovenia",
    "si-070": "Maribor, Slovenia",
    "si-071": "Medvode, Slovenia",
    "si-072": "Mengeš, Slovenia",
    "si-073": "Metlika, Slovenia",
    "si-074": "Mežica, Slovenia",
    "si-075": "Miren–Kostanjevica, Slovenia",
    "si-076": "Mislinja, Slovenia",
    "si-077": "Moravče, Slovenia",
    "si-078": "Moravske Toplice, Slovenia",
    "si-079": "Mozirje, Slovenia",
    "si-080": "Murska Sobota, Slovenia",
    "si-081": "Muta, Slovenia",
    "si-082": "Naklo, Slovenia",
    "si-083": "Nazarje, Slovenia",
    "si-084": "Nova Gorica, Slovenia",
    "si-085": "Novo Mesto, Slovenia",
    "si-086": "Odranci, Slovenia",
    "si-087": "Ormož, Slovenia",
    "si-088": "Osilnica, Slovenia",
    "si-089": "Pesnica, Slovenia",
    "si-090": "Piran, Slovenia",
    "si-091": "Pivka, Slovenia",
    "si-092": "Podčetrtek, Slovenia",
    "si-093": "Podvelka, Slovenia",
    "si-094": "Postojna, Slovenia",
    "si-095": "Preddvor, Slovenia",
    "si-096": "Ptuj, Slovenia",
    "si-097": "Puconci, Slovenia",
    "si-098": "Rače–Fram, Slovenia",
    "si-099": "Radeče, Slovenia",
    "si-100": "Radenci, Slovenia",
    "si-101": "Radlje ob Dravi, Slovenia",
    "si-102": "Radovljica, Slovenia",
    "si-103": "Ravne na Koroškem, Slovenia",
    "si-104": "Ribnica, Slovenia",
    "si-105": "Rogašovci, Slovenia",
    "si-106": "Rogaška Slatina, Slovenia",
    "si-107": "Rogatec, Slovenia",
    "si-108": "Ruše, Slovenia",
    "si-109": "Semič, Slovenia",
    "si-110": "Sevnica, Slovenia",
    "si-111": "Sežana, Slovenia",
    "si-112": "Slovenj Gradec, Slovenia",
    "si-113": "Slovenska Bistrica, Slovenia",
    "si-114": "Slovenske Konjice, Slovenia",
    "si-115": "Starše, Slovenia",
    "si-116": "Sveti Jurij, Slovenia",
    "si-117": "Šenčur, Slovenia",
    "si-118": "Šentilj, Slovenia",
    "si-119": "Šentjernej, Slovenia",
    "si-120": "Šentjur, Slovenia",
    "si-121": "Škocjan, Slovenia",
    "si-122": "Škofja Loka, Slovenia",
    "si-123": "Škofljica, Slovenia",
    "si-124": "Šmarje pri Jelšah, Slovenia",
    "si-125": "Šmartno ob Paki, Slovenia",
    "si-126": "Šoštanj, Slovenia",
    "si-127": "Štore, Slovenia",
    "si-128": "Tolmin, Slovenia",
    "si-129": "Trbovlje, Slovenia",
    "si-130": "Trebnje, Slovenia",
    "si-131": "Tržič, Slovenia",
    "si-132": "Turnišče, Slovenia",
    "si-133": "Velenje, Slovenia",
    "si-134": "Velike Lašče, Slovenia",
    "si-135": "Videm, Slovenia",
    "si-136": "Vipava, Slovenia",
    "si-137": "Vitanje, Slovenia",
    "si-138": "Vodice, Slovenia",
    "si-139": "Vojnik, Slovenia",
    "si-140": "Vrhnika, Slovenia",
    "si-141": "Vuzenica, Slovenia",
    "si-142": "Zagorje ob Savi, Slovenia",
    "si-143": "Zavrč, Slovenia",
    "si-144": "Zreče, Slovenia",
    "si-146": "Železniki, Slovenia",
    "si-147": "Žiri, Slovenia",
    "si-148": "Benedikt, Slovenia",
    "si-149": "Bistrica ob Sotli, Slovenia",
    "si-150": "Bloke, Slovenia",
    "si-151": "Braslovče, Slovenia",
    "si-152": "Cankova, Slovenia",
    "si-153": "Cerkvenjak, Slovenia",
    "si-154": "Dobje, Slovenia",
    "si-155": "Dobrna, Slovenia",
    "si-156": "Dobrovnik, Slovenia",
    "si-157": "Dolenjske Toplice, Slovenia",
    "si-158": "Grad, Slovenia",
    "si-159": "Hajdina, Slovenia",
    "si-160": "Hoče–Slivnica, Slovenia",
    "si-161": "Hodoš, Slovenia",
    "si-162": "Horjul, Slovenia",
    "si-163": "Jezersko, Slovenia",
    "si-164": "Komenda, Slovenia",
    "si-165": "Kostel, Slovenia",
    "si-166": "Križevci, Slovenia",
    "si-167": "Lovrenc na Pohorju, Slovenia",
    "si-168": "Markovci, Slovenia",
    "si-169": "Miklavž na Dravskem Polju, Slovenia",
    "si-170": "Mirna Peč, Slovenia",
    "si-171": "Oplotnica, Slovenia",
    "si-172": "Podlehnik, Slovenia",
    "si-173": "Polzela, Slovenia",
    "si-174": "Prebold, Slovenia",
    "si-175": "Prevalje, Slovenia",
    "si-176": "Razkrižje, Slovenia",
    "si-177": "Ribnica na Pohorju, Slovenia",
    "si-178": "Selnica ob Dravi, Slovenia",
    "si-179": "Sodražica, Slovenia",
    "si-180": "Solčava, Slovenia",
    "si-181": "Sveta Ana, Slovenia",
    "si-182": "Sveti Andraž v Slovenskih Goricah, Slovenia",
    "si-183": "Šempeter–Vrtojba, Slovenia",
    "si-184": "Tabor, Slovenia",
    "si-185": "Trnovska Vas, Slovenia",
    "si-186": "Trzin, Slovenia",
    "si-187": "Velika Polana, Slovenia",
    "si-188": "Veržej, Slovenia",
    "si-189": "Vransko, Slovenia",
    "si-190": "Žalec, Slovenia",
    "si-191": "Žetale, Slovenia",
    "si-192": "Žirovnica, Slovenia",
    "si-193": "Žužemberk, Slovenia",
    "si-194": "Šmartno pri Litiji, Slovenia",
    "si-195": "Apače, Slovenia",
    "si-196": "Cirkulane, Slovenia",
    "si-197": "Kostanjevica na Krki, Slovenia",
    "si-198": "Makole, Slovenia",
    "si-199": "Mokronog–Trebelno, Slovenia",
    "si-200": "Poljčane, Slovenia",
    "si-201": "Renče–Vogrsko, Slovenia",
    "si-202": "Središče ob Dravi, Slovenia",
    "si-203": "Straža, Slovenia",
    "si-204": "Sveta Trojica v Slovenskih Goricah, Slovenia",
    "si-205": "Sveti Tomaž, Slovenia",
    "si-206": "Šmarješke Toplice, Slovenia",
    "si-207": "Gorje, Slovenia",
    "si-208": "Log–Dragomer, Slovenia",
    "si-209": "Rečica ob Savinji, Slovenia",
    "si-210": "Sveti Jurij v Slovenskih Goricah, Slovenia",
    "si-211": "Šentrupert, Slovenia",
    "si-212": "Mirna, Slovenia",
    "si-213": "Ankaran, Slovenia",
    "sk-bc": "Banská Bystrica, Slovakia",
    "sk-bl": "Bratislava, Slovakia",
    "sk-ki": "Košice, Slovakia",
    "sk-ni": "Nitra, Slovakia",
    "sk-pv": "Prešov, Slovakia",
    "sk-ta": "Trnava, Slovakia",
    "sk-tc": "Trenčín, Slovakia",
    "sk-zi": "Žilina, Slovakia",
    "sl-e": "Eastern, Sierra Leone",
    "sl-n": "Northern, Sierra Leone",
    "sl-nw": "North Western, Sierra Leone",
    "sl-s": "Southern, Sierra Leone",
    "sl-w": "Western Area, Sierra Leone",
    "sm-01": "Acquaviva, San Marino",
    "sm-02": "Chiesanuova, San Marino",
    "sm-03": "Domagnano, San Marino",
    "sm-04": "Faetano, San Marino",
    "sm-05": "Fiorentino, San Marino",
    "sm-06": "Borgo Maggiore, San Marino",
    "sm-07": "San Marino, San Marino",
    "sm-08": "Montegiardino, San Marino",
    "sm-09": "Serravalle, San Marino",
    "sn-db": "Diourbel, Senegal",
    "sn-dk": "Dakar, Senegal",
    "sn-fk": "Fatick, Senegal",
    "sn-ka": "Kaffrine, Senegal",
    "sn-kd": "Kolda, Senegal",
    "sn-ke": "Kédougou, Senegal",
    "sn-kl": "Kaolack, Senegal",
    "sn-lg": "Louga, Senegal",
    "sn-mt": "Matam, Senegal",
    "sn-se": "Sédhiou, Senegal",
    "sn-sl": "Saint-Louis, Senegal",
    "sn-tc": "Tambacounda, Senegal",
    "sn-th": "Thiès, Senegal",
    "sn-zg": "Ziguinchor, Senegal",
    "so-aw": "Awdal, Somalia",
    "so-bk": "Bakool, Somalia",
    "so-bn": "Banaadir, Somalia",
    "so-br": "Bari, Somalia",
    "so-by": "Bay, Somalia, Somalia",
    "so-ga": "Galguduud, Somalia",
    "so-ge": "Gedo, Somalia",
    "so-hi": "Hiran, Somalia",
    "so-jd": "Middle Juba, Somalia",
    "so-jh": "Lower Juba, Somalia",
    "so-mu": "Mudug, Somalia",
    "so-nu": "Nugal, Somalia",
    "so-sa": "Sanaag, Somalia",
    "so-sd": "Middle Shebelle, Somalia",
    "so-sh": "Lower Shebelle, Somalia",
    "so-so": "Sool, Somalia",
    "so-to": "Togdheer, Somalia",
    "so-wo": "Woqooyi Galbeed, Somalia",
    "sr-br": "Brokopondo, Suriname",
    "sr-cm": "Commewijne, Suriname",
    "sr-cr": "Coronie, Suriname",
    "sr-ma": "Marowijne, Suriname",
    "sr-ni": "Nickerie, Suriname",
    "sr-pm": "Paramaribo, Suriname",
    "sr-pr": "Para, Suriname",
    "sr-sa": "Saramacca, Suriname",
    "sr-si": "Sipaliwini, Suriname",
    "sr-wa": "Wanica, Suriname",
    "ss-bn": "Northern Bahr el Ghazal, South Sudan",
    "ss-bw": "Western Bahr el Ghazal, South Sudan",
    "ss-ec": "Central Equatoria, South Sudan",
    "ss-ee": "Eastern Equatoria, South Sudan",
    "ss-ew": "Western Equatoria, South Sudan",
    "ss-jg": "Jonglei, South Sudan",
    "ss-lk": "Lakes, South Sudan",
    "ss-nu": "Upper Nile, South Sudan",
    "ss-uy": "Unity, South Sudan",
    "ss-wr": "Warrap, South Sudan",
    "st-p": "Príncipe, São Tomé & Príncipe",
    "st-s": "São Tomé, São Tomé & Príncipe",
    "sv-ah": "Ahuachapán, El Salvador",
    "sv-ca": "Cabañas, El Salvador",
    "sv-ch": "Chalatenango, El Salvador",
    "sv-cu": "Cuscatlán, El Salvador",
    "sv-li": "La Libertad, El Salvador",
    "sv-mo": "Morazán, El Salvador",
    "sv-pa": "La Paz, El Salvador",
    "sv-sa": "Santa Ana, El Salvador",
    "sv-sm": "San Miguel, El Salvador",
    "sv-so": "Sonsonate, El Salvador",
    "sv-ss": "San Salvador, El Salvador",
    "sv-sv": "San Vicente, El Salvador",
    "sv-un": "La Unión, El Salvador",
    "sv-us": "Usulután, El Salvador",
    "sy-di": "Damascus, Syria",
    "sy-dr": "Daraa, Syria",
    "sy-dy": "Deir ez-Zor, Syria",
    "sy-ha": "Al-Hasakah, Syria",
    "sy-hi": "Homs, Syria",
    "sy-hl": "Aleppo, Syria",
    "sy-hm": "Hama, Syria",
    "sy-id": "Idlib, Syria",
    "sy-la": "Latakia, Syria",
    "sy-qu": "Quneitra, Syria",
    "sy-ra": "Ar-Raqqah, Syria",
    "sy-rd": "Rif Dimashq, Syria",
    "sy-su": "As-Suwayda, Syria",
    "sy-ta": "Tartus, Syria",
    "sz-hh": "Hhohho, Swaziland",
    "sz-lu": "Lubombo, Swaziland",
    "sz-ma": "Manzini, Swaziland",
    "sz-sh": "Shiselweni, Swaziland",
    "td-ba": "Batha, Chad",
    "td-bg": "Bahr el Gazel, Chad",
    "td-bo": "Borkou, Chad",
    "td-cb": "Chari-Baguirmi, Chad",
    "td-ee": "Ennedi-Est, Chad",
    "td-eo": "Ennedi-Ouest, Chad",
    "td-gr": "Guéra, Chad",
    "td-hl": "Hadjer-Lamis, Chad",
    "td-ka": "Kanem, Chad",
    "td-lc": "Lac, Chad",
    "td-lo": "Logone Occidental, Chad",
    "td-lr": "Logone Oriental, Chad",
    "td-ma": "Mandoul, Chad",
    "td-mc": "Moyen-Chari, Chad",
    "td-me": "Mayo-Kebbi Est, Chad",
    "td-mo": "Mayo-Kebbi Ouest, Chad",
    "td-nd": "N’Djamena, Chad",
    "td-od": "Ouaddaï, Chad",
    "td-sa": "Salamat, Chad",
    "td-si": "Sila, Chad",
    "td-ta": "Tandjilé, Chad",
    "td-ti": "Tibesti, Chad",
    "td-wf": "Wadi Fira, Chad",
    "tg-c": "Centrale, Togo",
    "tg-k": "Kara, Togo",
    "tg-m": "Maritime, Togo",
    "tg-p": "Plateaux, Togo",
    "tg-s": "Savanes, Togo",
    "th-10": "Bangkok, Thailand",
    "th-11": "Samut Prakan, Thailand",
    "th-12": "Nonthaburi, Thailand",
    "th-13": "Pathum Thani, Thailand",
    "th-14": "Phra Nakhon Si Ayutthaya, Thailand",
    "th-15": "Ang Thong, Thailand",
    "th-16": "Lopburi, Thailand",
    "th-17": "Sing Buri, Thailand",
    "th-18": "Chai Nat, Thailand",
    "th-19": "Saraburi, Thailand",
    "th-20": "Chon Buri, Thailand",
    "th-21": "Rayong, Thailand",
    "th-22": "Chanthaburi, Thailand",
    "th-23": "Trat, Thailand",
    "th-24": "Chachoengsao, Thailand",
    "th-25": "Prachin Buri, Thailand",
    "th-26": "Nakhon Nayok, Thailand",
    "th-27": "Sa Kaeo, Thailand",
    "th-30": "Nakhon Ratchasima, Thailand",
    "th-31": "Buri Ram, Thailand",
    "th-32": "Surin, Thailand",
    "th-33": "Si Sa Ket, Thailand",
    "th-34": "Ubon Ratchathani, Thailand",
    "th-35": "Yasothon, Thailand",
    "th-36": "Chaiyaphum, Thailand",
    "th-37": "Amnat Charoen, Thailand",
    "th-38": "Bueng Kan, Thailand",
    "th-39": "Nong Bua Lam Phu, Thailand",
    "th-40": "Khon Kaen, Thailand",
    "th-41": "Udon Thani, Thailand",
    "th-42": "Loei, Thailand",
    "th-43": "Nong Khai, Thailand",
    "th-44": "Maha Sarakham, Thailand",
    "th-45": "Roi Et, Thailand",
    "th-46": "Kalasin, Thailand",
    "th-47": "Sakon Nakhon, Thailand",
    "th-48": "Nakhon Phanom, Thailand",
    "th-49": "Mukdahan, Thailand",
    "th-50": "Chiang Mai, Thailand",
    "th-51": "Lamphun, Thailand",
    "th-52": "Lampang, Thailand",
    "th-53": "Uttaradit, Thailand",
    "th-54": "Phrae, Thailand",
    "th-55": "Nan, Thailand",
    "th-56": "Phayao, Thailand",
    "th-57": "Chiang Rai, Thailand",
    "th-58": "Mae Hong Son, Thailand",
    "th-60": "Nakhon Sawan, Thailand",
    "th-61": "Uthai Thani, Thailand",
    "th-62": "Kamphaeng Phet, Thailand",
    "th-63": "Tak, Thailand",
    "th-64": "Sukhothai, Thailand",
    "th-65": "Phitsanulok, Thailand",
    "th-66": "Phichit, Thailand",
    "th-67": "Phetchabun, Thailand",
    "th-70": "Ratchaburi, Thailand",
    "th-71": "Kanchanaburi, Thailand",
    "th-72": "Suphanburi, Thailand",
    "th-73": "Nakhon Pathom, Thailand",
    "th-74": "Samut Sakhon, Thailand",
    "th-75": "Samut Songkhram, Thailand",
    "th-76": "Phetchaburi, Thailand",
    "th-77": "Prachuap Khiri Khan, Thailand",
    "th-80": "Nakhon Si Thammarat, Thailand",
    "th-81": "Krabi, Thailand",
    "th-82": "Phang Nga, Thailand",
    "th-83": "Phuket, Thailand",
    "th-84": "Surat Thani, Thailand",
    "th-85": "Ranong, Thailand",
    "th-86": "Chumphon, Thailand",
    "th-90": "Songkhla, Thailand",
    "th-91": "Satun, Thailand",
    "th-92": "Trang, Thailand",
    "th-93": "Phatthalung, Thailand",
    "th-94": "Pattani, Thailand",
    "th-95": "Yala, Thailand",
    "th-96": "Narathiwat, Thailand",
    "th-s": "Pattaya, Thailand",
    "tj-du": "Dushanbe, Tajikistan",
    "tj-gb": "Gorno-Badakhshan, Tajikistan",
    "tj-kt": "Khatlon, Tajikistan",
    "tj-ra": "Nohiyahoi Tobei Jumhurí, Tajikistan",
    "tj-su": "Sughd, Tajikistan",
    "tl-al": "Aileu, Timor-Leste",
    "tl-an": "Ainaro, Timor-Leste",
    "tl-ba": "Baucau, Timor-Leste",
    "tl-bo": "Bobonaro, Timor-Leste",
    "tl-co": "Cova Lima, Timor-Leste",
    "tl-di": "Dili, Timor-Leste",
    "tl-er": "Ermera, Timor-Leste",
    "tl-la": "Lautém, Timor-Leste",
    "tl-li": "Liquiçá, Timor-Leste",
    "tl-mf": "Manufahi, Timor-Leste",
    "tl-mt": "Manatuto, Timor-Leste",
    "tl-oe": "Oecusse, Timor-Leste",
    "tl-vi": "Viqueque, Timor-Leste",
    "tm-a": "Ahal, Turkmenistan",
    "tm-b": "Balkan, Turkmenistan",
    "tm-d": "Daşoguz, Turkmenistan",
    "tm-l": "Lebap, Turkmenistan",
    "tm-m": "Mary, Turkmenistan",
    "tm-s": "Aşgabat, Turkmenistan",
    "tn-11": "Tunis, Tunisia",
    "tn-12": "Ariana, Tunisia",
    "tn-13": "Ben Arous, Tunisia",
    "tn-14": "Manouba, Tunisia",
    "tn-21": "Nabeul, Tunisia",
    "tn-22": "Zaghouan, Tunisia",
    "tn-23": "Bizerte, Tunisia",
    "tn-31": "Béja, Tunisia",
    "tn-32": "Jendouba, Tunisia",
    "tn-33": "Kef, Tunisia",
    "tn-34": "Siliana, Tunisia",
    "tn-41": "Kairouan, Tunisia",
    "tn-42": "Kasserine, Tunisia",
    "tn-43": "Sidi Bouzid, Tunisia",
    "tn-51": "Sousse, Tunisia",
    "tn-52": "Monastir, Tunisia",
    "tn-53": "Mahdia, Tunisia",
    "tn-61": "Sfax, Tunisia",
    "tn-71": "Gafsa, Tunisia",
    "tn-72": "Tozeur, Tunisia",
    "tn-73": "Kebili, Tunisia",
    "tn-81": "Gabès, Tunisia",
    "tn-82": "Medenine, Tunisia",
    "tn-83": "Tataouine, Tunisia",
    "to-01": "ʻEua, Tonga",
    "to-02": "Haʻapai, Tonga",
    "to-03": "Niuas, Tonga",
    "to-04": "Tongatapu, Tonga",
    "to-05": "Vavaʻu, Tonga",
    "tr-01": "Adana, Turkey",
    "tr-02": "Adıyaman, Turkey",
    "tr-03": "Afyonkarahisar, Turkey",
    "tr-04": "Ağrı, Turkey",
    "tr-05": "Amasya, Turkey",
    "tr-06": "Ankara, Turkey",
    "tr-07": "Antalya, Turkey",
    "tr-08": "Artvin, Turkey",
    "tr-09": "Aydın, Turkey",
    "tr-10": "Balıkesir, Turkey",
    "tr-11": "Bilecik, Turkey",
    "tr-12": "Bingöl, Turkey",
    "tr-13": "Bitlis, Turkey",
    "tr-14": "Bolu, Turkey",
    "tr-15": "Burdur, Turkey",
    "tr-16": "Bursa, Turkey",
    "tr-17": "Çanakkale, Turkey",
    "tr-18": "Çankırı, Turkey",
    "tr-19": "Çorum, Turkey",
    "tr-20": "Denizli, Turkey",
    "tr-21": "Diyarbakır, Turkey",
    "tr-22": "Edirne, Turkey",
    "tr-23": "Elazığ, Turkey",
    "tr-24": "Erzincan, Turkey",
    "tr-25": "Erzurum, Turkey",
    "tr-26": "Eskişehir, Turkey",
    "tr-27": "Gaziantep, Turkey",
    "tr-28": "Giresun, Turkey",
    "tr-29": "Gümüşhane, Turkey",
    "tr-30": "Hakkâri, Turkey",
    "tr-31": "Hatay, Turkey",
    "tr-32": "Isparta, Turkey",
    "tr-33": "Mersin, Turkey",
    "tr-34": "Istanbul, Turkey",
    "tr-35": "Izmir, Turkey",
    "tr-36": "Kars, Turkey",
    "tr-37": "Kastamonu, Turkey",
    "tr-38": "Kayseri, Turkey",
    "tr-39": "Kırklareli, Turkey",
    "tr-40": "Kırşehir, Turkey",
    "tr-41": "Kocaeli, Turkey",
    "tr-42": "Konya, Turkey",
    "tr-43": "Kütahya, Turkey",
    "tr-44": "Malatya, Turkey",
    "tr-45": "Manisa, Turkey",
    "tr-46": "Kahramanmaraş, Turkey",
    "tr-47": "Mardin, Turkey",
    "tr-48": "Muğla, Turkey",
    "tr-49": "Muş, Turkey",
    "tr-50": "Nevşehir, Turkey",
    "tr-51": "Niğde, Turkey",
    "tr-52": "Ordu, Turkey",
    "tr-53": "Rize, Turkey",
    "tr-54": "Sakarya, Turkey",
    "tr-55": "Samsun, Turkey",
    "tr-56": "Siirt, Turkey",
    "tr-57": "Sinop, Turkey",
    "tr-58": "Sivas, Turkey",
    "tr-59": "Tekirdağ, Turkey",
    "tr-60": "Tokat, Turkey",
    "tr-61": "Trabzon, Turkey",
    "tr-62": "Tunceli, Turkey",
    "tr-63": "Şanlıurfa, Turkey",
    "tr-64": "Uşak, Turkey",
    "tr-65": "Van, Turkey",
    "tr-66": "Yozgat, Turkey",
    "tr-67": "Zonguldak, Turkey",
    "tr-68": "Aksaray, Turkey",
    "tr-69": "Bayburt, Turkey",
    "tr-70": "Karaman, Turkey",
    "tr-71": "Kırıkkale, Turkey",
    "tr-72": "Batman, Turkey",
    "tr-73": "Şırnak, Turkey",
    "tr-74": "Bartın, Turkey",
    "tr-75": "Ardahan, Turkey",
    "tr-76": "Iğdır, Turkey",
    "tr-77": "Yalova, Turkey",
    "tr-78": "Karabük, Turkey",
    "tr-79": "Kilis, Turkey",
    "tr-80": "Osmaniye, Turkey",
    "tr-81": "Düzce, Turkey",
    "tt-ari": "Arima, Trinidad & Tobago",
    "tt-cha": "Chaguanas, Trinidad & Tobago",
    "tt-ctt": "Couva-Tabaquite-Talparo, Trinidad & Tobago",
    "tt-dmn": "Diego Martin, Trinidad & Tobago",
    "tt-mrc": "Mayaro-Rio Claro, Trinidad & Tobago",
    "tt-ped": "Penal-Debe, Trinidad & Tobago",
    "tt-pos": "Port of Spain, Trinidad & Tobago",
    "tt-prt": "Princes Town, Trinidad & Tobago",
    "tt-ptf": "Point Fortin, Trinidad & Tobago",
    "tt-sfo": "San Fernando, Trinidad & Tobago",
    "tt-sge": "Sangre Grande, Trinidad & Tobago",
    "tt-sip": "Siparia, Trinidad & Tobago",
    "tt-sjl": "San Juan-Laventille, Trinidad & Tobago",
    "tt-tob": "Tobago, Trinidad & Tobago",
    "tt-tup": "Tunapuna-Piarco, Trinidad & Tobago",
    "tv-fun": "Funafuti, Tuvalu",
    "tv-nit": "Niutao, Tuvalu",
    "tv-nkf": "Nukufetau, Tuvalu",
    "tv-nkl": "Nukulaelae, Tuvalu",
    "tv-nma": "Nanumea, Tuvalu",
    "tv-nmg": "Nanumanga, Tuvalu",
    "tv-nui": "Nui, Tuvalu",
    "tv-vai": "Vaitupu, Tuvalu",
    "tw-cha": "Changhua, Taiwan",
    "tw-cyi": "Chiayi County, Taiwan",
    "tw-cyq": "Chiayi, Taiwan",
    "tw-hsq": "Hsinchu County, Taiwan",
    "tw-hsz": "Hsinchu, Taiwan",
    "tw-hua": "Hualien, Taiwan",
    "tw-ila": "Yilan, Taiwan",
    "tw-kee": "Keelung, Taiwan",
    "tw-khh": "Kaohsiung, Taiwan",
    "tw-kin": "Kinmen, Taiwan",
    "tw-lie": "Lienchiang, Taiwan",
    "tw-mia": "Miaoli, Taiwan",
    "tw-nan": "Nantou, Taiwan",
    "tw-nwt": "New Taipei, Taiwan",
    "tw-pen": "Penghu, Taiwan",
    "tw-pif": "Pingtung, Taiwan",
    "tw-tao": "Taoyuan, Taiwan",
    "tw-tnn": "Tainan, Taiwan",
    "tw-tpe": "Taipei, Taiwan",
    "tw-ttt": "Taitung, Taiwan",
    "tw-txg": "Taichung, Taiwan",
    "tw-yun": "Yunlin, Taiwan",
    "tz-01": "Arusha, Tanzania",
    "tz-02": "Dar es Salaam, Tanzania",
    "tz-03": "Dodoma, Tanzania",
    "tz-04": "Iringa, Tanzania",
    "tz-05": "Kagera, Tanzania",
    "tz-06": "North Pemba, Tanzania",
    "tz-07": "Zanzibar North, Tanzania",
    "tz-08": "Kigoma, Tanzania",
    "tz-09": "Kilimanjaro, Tanzania",
    "tz-10": "South Pemba, Tanzania",
    "tz-11": "Zanzibar Central/South, Tanzania",
    "tz-12": "Lindi, Tanzania",
    "tz-13": "Mara, Tanzania",
    "tz-14": "Mbeya, Tanzania",
    "tz-15": "Zanzibar Urban/West, Tanzania",
    "tz-16": "Morogoro, Tanzania",
    "tz-17": "Mtwara, Tanzania",
    "tz-18": "Mwanza, Tanzania",
    "tz-19": "Pwani, Tanzania",
    "tz-20": "Rukwa, Tanzania",
    "tz-21": "Ruvuma, Tanzania",
    "tz-22": "Shinyanga, Tanzania",
    "tz-23": "Singida, Tanzania",
    "tz-24": "Tabora, Tanzania",
    "tz-25": "Tanga, Tanzania",
    "tz-26": "Manyara, Tanzania",
    "tz-27": "Geita, Tanzania",
    "tz-28": "Katavi, Tanzania",
    "tz-29": "Njombe, Tanzania",
    "tz-30": "Simiyu, Tanzania",
    "tz-31": "Songwe, Tanzania",
    "ua-05": "Vinnychchyna, Ukraine",
    "ua-07": "Volyn, Ukraine",
    "ua-09": "Luhanshchyna, Ukraine",
    "ua-12": "Dnipropetrovshchyna, Ukraine",
    "ua-14": "Donechchyna, Ukraine",
    "ua-18": "Zhytomyrshchyna, Ukraine",
    "ua-21": "Zakarpattia, Ukraine",
    "ua-23": "Zaporizhzhya, Ukraine",
    "ua-26": "Prykarpattia, Ukraine",
    "ua-30": "Kiev, Ukraine",
    "ua-32": "Kyivshchyna, Ukraine",
    "ua-35": "Kirovohradschyna, Ukraine",
    "ua-40": "Sevastopol, Ukraine",
    "ua-43": "Crimea, Ukraine",
    "ua-46": "Lvivshchyna, Ukraine",
    "ua-48": "Mykolayivschyna, Ukraine",
    "ua-51": "Odeshchyna, Ukraine",
    "ua-53": "Poltavshchyna, Ukraine",
    "ua-56": "Rivnenshchyna, Ukraine",
    "ua-59": "Sumshchyna, Ukraine",
    "ua-61": "Ternopilshchyna, Ukraine",
    "ua-63": "Kharkivshchyna, Ukraine",
    "ua-65": "Khersonshchyna, Ukraine",
    "ua-68": "Khmelnychchyna, Ukraine",
    "ua-71": "Cherkashchyna, Ukraine",
    "ua-74": "Chernihivshchyna, Ukraine",
    "ua-77": "Chernivtsi Oblast, Ukraine",
    "ug-101": "Kalangala, Ukraine",
    "ug-102": "Kampala, Ukraine",
    "ug-103": "Kiboga, Ukraine",
    "ug-104": "Luwero, Ukraine",
    "ug-105": "Masaka, Ukraine",
    "ug-106": "Mpigi, Ukraine",
    "ug-107": "Mubende, Ukraine",
    "ug-108": "Mukono, Ukraine",
    "ug-109": "Nakasongola, Ukraine",
    "ug-110": "Rakai, Ukraine",
    "ug-111": "Sembabule, Ukraine",
    "ug-112": "Kayunga, Ukraine",
    "ug-113": "Wakiso, Ukraine",
    "ug-114": "Lyantonde, Ukraine",
    "ug-115": "Mityana, Ukraine",
    "ug-116": "Nakaseke, Ukraine",
    "ug-117": "Buikwe, Ukraine",
    "ug-118": "Bukomansibi, Ukraine",
    "ug-119": "Butambala, Ukraine",
    "ug-120": "Buvuma, Ukraine",
    "ug-121": "Gomba, Ukraine",
    "ug-122": "Kalungu, Ukraine",
    "ug-123": "Kyankwanzi, Ukraine",
    "ug-124": "Lwengo, Ukraine",
    "ug-125": "Kyotera, Ukraine",
    "ug-126": "Kasanda, Ukraine",
    "ug-201": "Bugiri, Ukraine",
    "ug-202": "Busia, Ukraine",
    "ug-203": "Iganga, Ukraine",
    "ug-204": "Jinja, Ukraine",
    "ug-205": "Kamuli, Ukraine",
    "ug-206": "Kapchorwa, Ukraine",
    "ug-207": "Katakwi, Ukraine",
    "ug-208": "Kumi, Ukraine",
    "ug-209": "Mbale, Ukraine",
    "ug-210": "Pallisa, Ukraine",
    "ug-211": "Soroti, Ukraine",
    "ug-212": "Tororo, Ukraine",
    "ug-213": "Kaberamaido, Ukraine",
    "ug-214": "Mayuge, Ukraine",
    "ug-215": "Sironko, Ukraine",
    "ug-216": "Amuria, Ukraine",
    "ug-217": "Budaka, Ukraine",
    "ug-218": "Bududa, Ukraine",
    "ug-219": "Bukedea, Ukraine",
    "ug-220": "Bukwa, Ukraine",
    "ug-221": "Butaleja, Ukraine",
    "ug-222": "Kaliro, Ukraine",
    "ug-223": "Manafwa, Ukraine",
    "ug-224": "Namutumba, Ukraine",
    "ug-225": "Bulambuli, Ukraine",
    "ug-226": "Buyende, Ukraine",
    "ug-227": "Kibuku, Ukraine",
    "ug-228": "Kween, Ukraine",
    "ug-229": "Luuka, Ukraine",
    "ug-230": "Namayingo, Ukraine",
    "ug-231": "Ngora, Ukraine",
    "ug-232": "Serere, Ukraine",
    "ug-233": "Butebo, Ukraine",
    "ug-234": "Namisindwa, Ukraine",
    "ug-235": "Bugweri, Ukraine",
    "ug-236": "Kapelebyong, Ukraine",
    "ug-301": "Adjumani, Ukraine",
    "ug-302": "Apac, Ukraine",
    "ug-303": "Arua, Ukraine",
    "ug-304": "Gulu, Ukraine",
    "ug-305": "Kitgum, Ukraine",
    "ug-306": "Kotido, Ukraine",
    "ug-307": "Lira, Ukraine",
    "ug-308": "Moroto, Ukraine",
    "ug-309": "Moyo, Ukraine",
    "ug-310": "Nebbi, Ukraine",
    "ug-311": "Nakapiripirit, Ukraine",
    "ug-312": "Pader, Ukraine",
    "ug-313": "Yumbe, Ukraine",
    "ug-314": "Abim, Ukraine",
    "ug-315": "Amolatar, Ukraine",
    "ug-316": "Amuru, Ukraine",
    "ug-317": "Dokolo, Ukraine",
    "ug-318": "Kaabong, Ukraine",
    "ug-319": "Koboko, Ukraine",
    "ug-320": "Maracha, Ukraine",
    "ug-321": "Oyam, Ukraine",
    "ug-322": "Agago, Ukraine",
    "ug-323": "Alebtong, Ukraine",
    "ug-324": "Amudat, Ukraine",
    "ug-325": "Kole, Ukraine",
    "ug-326": "Lamwo, Ukraine",
    "ug-327": "Napak, Ukraine",
    "ug-328": "Nwoya, Ukraine",
    "ug-329": "Otuke, Ukraine",
    "ug-330": "Zombo², Ukraine",
    "ug-332": "Pakwach, Ukraine",
    "ug-333": "Kwania, Ukraine",
    "ug-334": "Nabilatuk, Ukraine",
    "ug-401": "Bundibugyo, Ukraine",
    "ug-402": "Bushenyi, Ukraine",
    "ug-403": "Hoima, Ukraine",
    "ug-404": "Kabale, Ukraine",
    "ug-405": "Kabarole, Ukraine",
    "ug-406": "Kasese, Ukraine",
    "ug-407": "Kibaale, Ukraine",
    "ug-408": "Kisoro, Ukraine",
    "ug-409": "Masindi, Ukraine",
    "ug-410": "Mbarara, Ukraine",
    "ug-411": "Ntungamo, Ukraine",
    "ug-412": "Rukungiri, Ukraine",
    "ug-413": "Kamwenge, Ukraine",
    "ug-414": "Kanungu, Ukraine",
    "ug-415": "Kyenjojo, Ukraine",
    "ug-416": "Buliisa, Ukraine",
    "ug-417": "Ibanda, Ukraine",
    "ug-418": "Isingiro, Ukraine",
    "ug-419": "Kiruhura, Ukraine",
    "ug-420": "Buhweju, Ukraine",
    "ug-421": "Kiryandongo, Ukraine",
    "ug-422": "Kyegegwa, Ukraine",
    "ug-423": "Mitooma, Ukraine",
    "ug-424": "Ntoroko, Ukraine",
    "ug-425": "Rubirizi, Ukraine",
    "ug-426": "Sheema, Ukraine",
    "ug-427": "Kagadi, Ukraine",
    "ug-428": "Kakumiro, Ukraine",
    "ug-429": "Rubanda, Ukraine",
    "ug-430": "Bunyangabu, Ukraine",
    "ug-431": "Rukiga, Ukraine",
    "ug-432": "Kikuube, Ukraine",
    "ug-c": "Central, Uganda",
    "ug-e": "Eastern, Uganda",
    "ug-n": "Northern, Uganda",
    "ug-w": "Western, Uganda",
    "um-67": "Johnston Atoll, U.S. Outlying Islands",
    "um-71": "Midway Atoll, U.S. Outlying Islands",
    "um-76": "Navassa Island, U.S. Outlying Islands",
    "um-79": "Wake Island, U.S. Outlying Islands",
    "um-81": "Baker Island, U.S. Outlying Islands",
    "um-84": "Howland Island, U.S. Outlying Islands",
    "um-86": "Jarvis Island, U.S. Outlying Islands",
    "um-89": "Kingman Reef, U.S. Outlying Islands",
    "um-95": "Palmyra Atoll, U.S. Outlying Islands",
    "us-ak": "Alaska, United States",
    "us-al": "Alabama, United States",
    "us-ar": "Arkansas, United States",
    "us-az": "Arizona, United States",
    "us-ca": "California, United States",
    "us-co": "Colorado, United States",
    "us-ct": "Connecticut, United States",
    "us-dc": "Washington DC, United States",
    "us-de": "Delaware, United States",
    "us-fl": "Florida, United States",
    "us-ga": "Georgia, United States",
    "us-hi": "Hawaii, United States",
    "us-ia": "Iowa, United States",
    "us-id": "Idaho, United States",
    "us-il": "Illinois, United States",
    "us-in": "Indiana, United States",
    "us-ks": "Kansas, United States",
    "us-ky": "Kentucky, United States",
    "us-la": "Louisiana, United States",
    "us-ma": "Massachusetts, United States",
    "us-md": "Maryland, United States",
    "us-me": "Maine, United States",
    "us-mi": "Michigan, United States",
    "us-mn": "Minnesota, United States",
    "us-mo": "Missouri, United States",
    "us-ms": "Mississippi, United States",
    "us-mt": "Montana, United States",
    "us-nc": "North Carolina, United States",
    "us-nd": "North Dakota, United States",
    "us-ne": "Nebraska, United States",
    "us-nh": "New Hampshire, United States",
    "us-nj": "New Jersey, United States",
    "us-nm": "New Mexico, United States",
    "us-nv": "Nevada, United States",
    "us-ny": "New York, United States",
    "us-oh": "Ohio, United States",
    "us-ok": "Oklahoma, United States",
    "us-or": "Oregon, United States",
    "us-pa": "Pennsylvania, United States",
    "us-ri": "Rhode Island, United States",
    "us-sc": "South Carolina, United States",
    "us-sd": "South Dakota, United States",
    "us-tn": "Tennessee, United States",
    "us-tx": "Texas, United States",
    "us-ut": "Utah, United States",
    "us-va": "Virginia, United States",
    "us-vt": "Vermont, United States",
    "us-wa": "Washington, United States",
    "us-wi": "Wisconsin, United States",
    "us-wv": "West Virginia, United States",
    "us-wy": "Wyoming, United States",
    "uy-ar": "Artigas, Uruguay",
    "uy-ca": "Canelones, Uruguay",
    "uy-cl": "Cerro Largo, Uruguay",
    "uy-co": "Colonia, Uruguay",
    "uy-du": "Durazno, Uruguay",
    "uy-fd": "Florida, Uruguay",
    "uy-fs": "Flores, Uruguay",
    "uy-la": "Lavalleja, Uruguay",
    "uy-ma": "Maldonado, Uruguay",
    "uy-mo": "Montevideo, Uruguay",
    "uy-pa": "Paysandú, Uruguay",
    "uy-rn": "Río Negro, Uruguay",
    "uy-ro": "Rocha, Uruguay",
    "uy-rv": "Rivera, Uruguay",
    "uy-sa": "Salto, Uruguay",
    "uy-sj": "San José, Uruguay",
    "uy-so": "Soriano, Uruguay",
    "uy-ta": "Tacuarembó, Uruguay",
    "uy-tt": "Treinta y Tres, Uruguay",
    "uz-an": "Andijan, Uzbekistan",
    "uz-bu": "Bukhara, Uzbekistan",
    "uz-fa": "Fergana, Uzbekistan",
    "uz-ji": "Jizzakh, Uzbekistan",
    "uz-ng": "Namangan, Uzbekistan",
    "uz-nw": "Navoiy, Uzbekistan",
    "uz-qa": "Qashqadaryo, Uzbekistan",
    "uz-qr": "Karakalpakstan, Uzbekistan",
    "uz-sa": "Samarqand, Uzbekistan",
    "uz-si": "Sirdaryo, Uzbekistan",
    "uz-su": "Surxondaryo, Uzbekistan",
    "uz-tk": "Tashkent, Uzbekistan",
    "uz-to": "Tashkent Province, Uzbekistan",
    "uz-xo": "Xorazm, Uzbekistan",
    "vc-01": "Charlotte, St. Vincent & Grenadines",
    "vc-02": "Saint Andrew, St. Vincent & Grenadines",
    "vc-03": "Saint David, St. Vincent & Grenadines",
    "vc-04": "Saint George, St. Vincent & Grenadines",
    "vc-05": "Saint Patrick, St. Vincent & Grenadines",
    "vc-06": "Grenadines, St. Vincent & Grenadines",
    "ve-a": "Capital, Venezuela",
    "ve-b": "Anzoátegui, Venezuela",
    "ve-c": "Apure, Venezuela",
    "ve-d": "Aragua, Venezuela",
    "ve-e": "Barinas, Venezuela",
    "ve-f": "Bolívar, Venezuela",
    "ve-g": "Carabobo, Venezuela",
    "ve-h": "Cojedes, Venezuela",
    "ve-i": "Falcón, Venezuela",
    "ve-j": "Guárico, Venezuela",
    "ve-k": "Lara, Venezuela",
    "ve-l": "Mérida, Venezuela",
    "ve-m": "Miranda, Venezuela",
    "ve-n": "Monagas, Venezuela",
    "ve-o": "Nueva Esparta, Venezuela",
    "ve-p": "Portuguesa, Venezuela",
    "ve-r": "Sucre, Venezuela",
    "ve-s": "Táchira, Venezuela",
    "ve-t": "Trujillo, Venezuela",
    "ve-u": "Yaracuy, Venezuela",
    "ve-v": "Zulia, Venezuela",
    "ve-w": "Federal Dependencies, Venezuela",
    "ve-x": "Vargas, Venezuela",
    "ve-y": "Delta Amacuro, Venezuela",
    "ve-z": "Amazonas, Venezuela",
    "vn-01": "Lai Châu, Vietnam",
    "vn-02": "Lào Cai, Vietnam",
    "vn-03": "Hà Giang, Vietnam",
    "vn-04": "Cao Bằng, Vietnam",
    "vn-05": "Sơn La, Vietnam",
    "vn-06": "Yên Bái, Vietnam",
    "vn-07": "Tuyên Quang, Vietnam",
    "vn-09": "Lạng Sơn, Vietnam",
    "vn-13": "Quảng Ninh, Vietnam",
    "vn-14": "Hòa Bình, Vietnam",
    "vn-18": "Ninh Bình, Vietnam",
    "vn-20": "Thái Bình, Vietnam",
    "vn-21": "Thanh Hóa, Vietnam",
    "vn-22": "Nghệ An, Vietnam",
    "vn-23": "Hà Tĩnh, Vietnam",
    "vn-24": "Quảng Bình, Vietnam",
    "vn-25": "Quảng Trị, Vietnam",
    "vn-26": "Thừa Thiên–Huế, Vietnam",
    "vn-27": "Quảng Nam, Vietnam",
    "vn-28": "Kon Tum, Vietnam",
    "vn-29": "Quảng Ngãi, Vietnam",
    "vn-30": "Gia Lai, Vietnam",
    "vn-31": "Bình Định, Vietnam",
    "vn-32": "Phú Yên, Vietnam",
    "vn-33": "Đắk Lắk, Vietnam",
    "vn-34": "Khánh Hòa, Vietnam",
    "vn-35": "Lâm Đồng, Vietnam",
    "vn-36": "Ninh Thuận, Vietnam",
    "vn-37": "Tây Ninh, Vietnam",
    "vn-39": "Đồng Nai, Vietnam",
    "vn-40": "Bình Thuận, Vietnam",
    "vn-41": "Long An, Vietnam",
    "vn-43": "Bà Rịa–Vũng Tàu, Vietnam",
    "vn-44": "An Giang, Vietnam",
    "vn-45": "Đồng Tháp, Vietnam",
    "vn-46": "Tiền Giang, Vietnam",
    "vn-47": "Kiên Giang, Vietnam",
    "vn-49": "Vĩnh Long, Vietnam",
    "vn-50": "Bến Tre, Vietnam",
    "vn-51": "Trà Vinh, Vietnam",
    "vn-52": "Sóc Trăng, Vietnam",
    "vn-53": "Bắc Kạn, Vietnam",
    "vn-54": "Bắc Giang, Vietnam",
    "vn-55": "Bạc Liêu, Vietnam",
    "vn-56": "Bắc Ninh, Vietnam",
    "vn-57": "Bình Dương, Vietnam",
    "vn-58": "Bình Phước, Vietnam",
    "vn-59": "Cà Mau, Vietnam",
    "vn-61": "Hải Dương, Vietnam",
    "vn-63": "Hà Nam, Vietnam",
    "vn-66": "Hưng Yên, Vietnam",
    "vn-67": "Nam Định, Vietnam",
    "vn-68": "Phú Thọ, Vietnam",
    "vn-69": "Thái Nguyên, Vietnam",
    "vn-70": "Vĩnh Phúc, Vietnam",
    "vn-71": "Điện Biên, Vietnam",
    "vn-72": "Đắk Nông, Vietnam",
    "vn-73": "Hậu Giang, Vietnam",
    "vn-ct": "Can Tho, Vietnam",
    "vn-dn": "Da Nang, Vietnam",
    "vn-hn": "Hanoi, Vietnam",
    "vn-hp": "Haiphong, Vietnam",
    "vn-sg": "Ho Chi Minh City, Vietnam",
    "vu-map": "Malampa, Vanuatu",
    "vu-pam": "Penama, Vanuatu",
    "vu-sam": "Sanma, Vanuatu",
    "vu-see": "Shefa, Vanuatu",
    "vu-tae": "Tafea, Vanuatu",
    "vu-tob": "Torba, Vanuatu",
    "wf-al": "Alo, Wallis & Futuna",
    "wf-sg": "Sigave, Wallis & Futuna",
    "wf-uv": "Uvea, Wallis & Futuna",
    "ws-aa": "A’ana, Samoa",
    "ws-al": "Aiga-i-le-Tai, Samoa",
    "ws-at": "Atua, Samoa",
    "ws-fa": "Fa’asaleleaga, Samoa",
    "ws-ge": "Gaga’emauga, Samoa",
    "ws-gi": "Gaga’ifomauga, Samoa",
    "ws-pa": "Palauli, Samoa",
    "ws-sa": "Satupa’itea, Samoa",
    "ws-tu": "Tuamasaga, Samoa",
    "ws-vf": "Va’a-o-Fonoti, Samoa",
    "ws-vs": "Vaisigano, Samoa",
    "ye-ab": "Abyan, Yemen",
    "ye-ad": "’Adan, Yemen",
    "ye-am": "Amran, Yemen",
    "ye-ba": "Al Bayda, Yemen",
    "ye-da": "Dhale, Yemen",
    "ye-dh": "Dhamar, Yemen",
    "ye-hd": "Hadramaut, Yemen",
    "ye-hj": "Hajjah, Yemen",
    "ye-hu": "Al Hudaydah, Yemen",
    "ye-ib": "Ibb, Yemen",
    "ye-ja": "Al Jawf, Yemen",
    "ye-la": "Lahij, Yemen",
    "ye-ma": "Ma’rib, Yemen",
    "ye-mr": "Al Mahrah, Yemen",
    "ye-mw": "Al Mahwit, Yemen",
    "ye-ra": "Raymah, Yemen",
    "ye-sa": "Amanat Al Asimah, Yemen",
    "ye-sd": "Sa’dah, Yemen",
    "ye-sh": "Shabwah, Yemen",
    "ye-sn": "Sana’a, Yemen",
    "ye-su": "Arkhabil Suqutra, Yemen",
    "ye-ta": "Taiz, Yemen",
    "za-ec": "Eastern Cape, South Africa",
    "za-fs": "Free, South Africa",
    "za-gt": "Gauteng, South Africa",
    "za-lp": "Limpopo, South Africa",
    "za-mp": "Mpumalanga, South Africa",
    "za-nc": "Northern Cape, South Africa",
    "za-nl": "KwaZulu-Natal, South Africa",
    "za-nw": "North West, South Africa",
    "za-wc": "Western Cape, South Africa",
    "zm-01": "Western, Zambia",
    "zm-02": "Central, Zambia",
    "zm-03": "Eastern, Zambia",
    "zm-04": "Luapula, Zambia",
    "zm-05": "Northern, Zambia",
    "zm-06": "North-Western, Zambia",
    "zm-07": "Southern, Zambia",
    "zm-08": "Copperbelt, Zambia",
    "zm-09": "Lusaka, Zambia",
    "zm-10": "Muchinga, Zambia",
    "zw-bu": "Bulawayo, Zimbabwe",
    "zw-ha": "Harare, Zimbabwe",
    "zw-ma": "Manicaland, Zimbabwe",
    "zw-mc": "Mashonaland Central, Zimbabwe",
    "zw-me": "Mashonaland East, Zimbabwe",
    "zw-mi": "Midlands, Zimbabwe",
    "zw-mn": "Matabeleland North, Zimbabwe",
    "zw-ms": "Matabeleland South, Zimbabwe",
    "zw-mv": "Masvingo, Zimbabwe",
    "zw-mw": "Mashonaland West, Zimbabwe",
}


subregions = {
    "001": "World",
    "002": "Africa",
    "004": "Afghanistan",
    "005": "South America",
    "008": "Albania",
    "009": "Oceania",
    "011": "Western Africa",
    "012": "Algeria",
    "013": "Central America",
    "014": "Eastern Africa",
    "015": "Northern Africa",
    "016": "American Samoa",
    "017": "Middle Africa",
    "018": "Southern Africa",
    "019": "Americas excluding Northern America",
    "020": "Andorra",
    "021": "Northern America",
    "024": "Angola",
    "028": "Antigua and Barbuda",
    "029": "Caribbean",
    "030": "Eastern Asia",
    "031": "Azerbaijan",
    "032": "Argentina",
    "034": "Southern Asia",
    "035": "South-Eastern Asia",
    "036": "Australia",
    "039": "Southern Europe",
    "040": "Austria",
    "044": "Bahamas",
    "048": "Bahrain",
    "050": "Bangladesh",
    "051": "Armenia",
    "052": "Barbados",
    "053": "Australia and New Zealand",
    "054": "Melanesia",
    "056": "Belgium",
    "057": "Micronesia",
    "060": "Bermuda",
    "061": "Polynesia",
    "064": "Bhutan",
    "068": "Bolivia",
    "070": "Bosnia and Herzegovina",
    "072": "Botswana",
    "076": "Brazil",
    "084": "Belize",
    "090": "Solomon Islands",
    "092": "British Virgin Islands",
    "096": "Brunei Darussalam",
    "100": "Bulgaria",
    "104": "Myanmar",
    "108": "Burundi",
    "112": "Belarus",
    "116": "Cambodia",
    "120": "Cameroon",
    "124": "Canada",
    "132": "Cape Verde",
    "136": "Cayman Islands",
    "140": "Central African Republic",
    "142": "Asia excluding Japan",
    "143": "Central Asia",
    "144": "Sri Lanka",
    "145": "Western Asia",
    "148": "Chad",
    "150": "Europe",
    "151": "Eastern Europe",
    "152": "Chile",
    "154": "Northern Europe",
    "155": "Western Europe",
    "156": "China",
    "170": "Colombia",
    "172": "Commonwealth of Independent States",
    "174": "Comoros",
    "175": "Mayotte",
    "178": "Congo",
    "180": "Democratic Republic of the Congo",
    "184": "Cook Islands",
    "188": "Costa Rica",
    "191": "Croatia",
    "192": "Cuba",
    "196": "Cyprus",
    "199": "Least developed countries",
    "203": "Czech Republic",
    "204": "Benin",
    "208": "Denmark",
    "212": "Dominica",
    "214": "Dominican Republic",
    "218": "Ecuador",
    "222": "El Salvador",
    "226": "Equatorial Guinea",
    "231": "Ethiopia",
    "232": "Eritrea",
    "233": "Estonia",
    "234": "Faeroe Islands",
    "238": "Falkland Islands (Malvinas)",
    "242": "Fiji",
    "246": "Finland",
    "248": "Åland Islands",
    "250": "France",
    "254": "French Guiana",
    "258": "French Polynesia",
    "262": "Djibouti",
    "266": "Gabon",
    "268": "Georgia",
    "270": "Gambia",
    "275": "Occupied Palestinian Territory",
    "276": "Germany",
    "288": "Ghana",
    "292": "Gibraltar",
    "296": "Kiribati",
    "300": "Greece",
    "304": "Greenland",
    "308": "Grenada",
    "312": "Guadeloupe",
    "316": "Guam",
    "320": "Guatemala",
    "324": "Guinea",
    "328": "Guyana",
    "332": "Haiti",
    "336": "Holy See",
    "340": "Honduras",
    "344": "Hong Kong Special Administrative Region of China",
    "348": "Hungary",
    "352": "Iceland",
    "356": "India",
    "360": "Indonesia",
    "364": "Iran, Islamic Republic of",
    "368": "Iraq",
    "372": "Ireland",
    "376": "Israel",
    "380": "Italy",
    "384": "Cote d'Ivoire",
    "388": "Jamaica",
    "392": "Japan",
    "398": "Kazakhstan",
    "400": "Jordan",
    "404": "Kenya",
    "408": "Democratic People's Republic of Korea",
    "410": "Republic of Korea",
    "414": "Kuwait",
    "417": "Kyrgyzstan",
    "418": "Lao People's Democratic Republic",
    "419": "Latin America and the Caribbean",
    "422": "Lebanon",
    "426": "Lesotho",
    "428": "Latvia",
    "430": "Liberia",
    "432": "Landlocked developing countries",
    "434": "Libyan Arab Jamahiriya",
    "438": "Liechtenstein",
    "440": "Lithuania",
    "442": "Luxembourg",
    "446": "Macao Special Administrative Region of China",
    "450": "Madagascar",
    "454": "Malawi",
    "458": "Malaysia",
    "462": "Maldives",
    "466": "Mali",
    "470": "Malta",
    "474": "Martinique",
    "478": "Mauritania",
    "480": "Mauritius",
    "484": "Mexico",
    "492": "Monaco",
    "496": "Mongolia",
    "498": "Republic of Moldova",
    "499": "Montenegro",
    "500": "Montserrat",
    "504": "Morocco",
    "508": "Mozambique",
    "512": "Oman",
    "516": "Namibia",
    "520": "Nauru",
    "524": "Nepal",
    "528": "Netherlands",
    "530": "Netherlands Antilles",
    "533": "Aruba",
    "540": "New Caledonia",
    "548": "Vanuatu",
    "554": "New Zealand",
    "558": "Nicaragua",
    "562": "Niger",
    "566": "Nigeria",
    "570": "Niue",
    "574": "Norfolk Island",
    "578": "Norway",
    "580": "Northern Mariana Islands",
    "583": "Micronesia (Federated States of)",
    "584": "Marshall Islands",
    "585": "Palau",
    "586": "Pakistan",
    "591": "Panama",
    "598": "Papua New Guinea",
    "600": "Paraguay",
    "604": "Peru",
    "608": "Philippines",
    "612": "Pitcairn",
    "616": "Poland",
    "620": "Portugal",
    "624": "Guinea-Bissau",
    "626": "Timor-Leste",
    "630": "Puerto Rico",
    "634": "Qatar",
    "638": "Réunion",
    "642": "Romania",
    "643": "Russian Federation",
    "646": "Rwanda",
    "654": "Saint Helena",
    "659": "Saint Kitts and Nevis",
    "660": "Anguilla",
    "662": "Saint Lucia",
    "666": "Saint Pierre and Miquelon",
    "670": "Saint Vincent and the Grenadines",
    "674": "San Marino",
    "678": "Sao Tome and Principe",
    "682": "Saudi Arabia",
    "686": "Senegal",
    "688": "Serbia",
    "690": "Seychelles",
    "694": "Sierra Leone",
    "702": "Singapore",
    "703": "Slovakia",
    "704": "Viet Nam",
    "705": "Slovenia",
    "706": "Somalia",
    "710": "South Africa",
    "716": "Zimbabwe",
    "722": "Small island developing states",
    "724": "Spain",
    "732": "Western Sahara",
    "736": "Sudan",
    "740": "Suriname",
    "744": "Svalbard and Jan Mayen Islands",
    "748": "Swaziland",
    "752": "Sweden",
    "756": "Switzerland",
    "760": "Syrian Arab Republic",
    "762": "Tajikistan",
    "764": "Thailand",
    "768": "Togo",
    "772": "Tokelau",
    "776": "Tonga",
    "778": "Transition countries",
    "780": "Trinidad and Tobago",
    "784": "United Arab Emirates",
    "788": "Tunisia",
    "792": "Turkey",
    "795": "Turkmenistan",
    "796": "Turks and Caicos Islands",
    "798": "Tuvalu",
    "800": "Uganda",
    "804": "Ukraine",
    "807": "The former Yugoslav Republic of Macedonia",
    "818": "Egypt",
    "826": "United Kingdom of Great Britain and Northern Ireland",
    "831": "Guernsey",
    "832": "Jersey",
    "833": "Isle of Man",
    "834": "United Republic of Tanzania",
    "840": "United States of America",
    "850": "United States Virgin Islands",
    "854": "Burkina Faso",
    "858": "Uruguay",
    "860": "Uzbekistan",
    "862": "Venezuela (Bolivarian Republic of)",
    "876": "Wallis and Futuna Islands",
    "882": "Samoa",
    "887": "Yemen",
    "894": "Zambia",
}


def test_subdivisions():
    for ascii in subdivisions:
        ascii_lower = ":%s:" % ascii.lower()
        ascii_upper = ":%s:" % ascii.upper()

        y0 = encode(ascii_lower)
        y1 = encode(ascii_upper)
        z0 = decode(y0)
        z1 = decode(y1)

        assert not y0.startswith(":")
        assert not y0.endswith(":")
        assert z0.startswith(":")
        assert z0.endswith(":")
        assert y0 == y1
        assert ascii_lower == z0
        assert z0 == z1


def test_subregions():
    for ascii in subregions:
        x = ":%s-%s:" % (ascii[0:2], ascii[2:])

        y = encode(x)
        z = decode(y)

        assert not y.startswith(":")
        assert not y.endswith(":")
        assert z.startswith(":")
        assert z.endswith(":")
        assert x == z
